2.28.0:

2011-04-05  Murray Cumming  <murrayc@murrayc.com>

	DBusServer: Add overview documentation.

	* gio/src/dbusserver.hg: Based on my documentation patch for GDBusServer
	in bug #646425.

2011-04-04  Murray Cumming  <murrayc@murrayc.com>

	ThemedIcon: Remove a property as suggested by a TODO.

	* gio/src/themedicon.hg: The name property is write-only and construct-only
	so we should not have any API for it.
	Noticed by Kjell Ahlstedt.

2011-04-04  Murray Cumming  <murrayc@murrayc.com>

	Gio::Settings: Really add list_schemas().

	* gio/src/gio_others.defs: Add g_settings_list_schemas(), though we do not
	actually use this defnition yet. See below. This must be hand-written
	because h2defs.py gets confused by the return type.
	* gio/src/settings.[hg|ccg]: list_schemas(): Make this static and hand-code
	it because gmmproc is confused by the declaration when it is static.
	Noticed by Kjell Ahlstedt.

2011-04-02  Murray Cumming  <murrayc@murrayc.com>

	Gio::DBus examples: Renamed one and removed one.

	* examples/dbus/server.cc: Rename this to server_without_bus.cc to make its
	purpose clearer. This is not the common case. It is for private peer-to-peer
	connections not involving the usual session or system buses, or any bus
	for that matter. Meaning, for instance, that it does not assign names or
	provide introspection, I think.
	* examples/dbus/peer.cc: Removed this because it seems like just a
	complicated version of the server_without_bus example, and this is not in sync
	with the C versoin. Well, we should probably add a client for the server
	example.
	* examples/Makefile.am: Adapted.

2011-04-02  Murray Cumming  <murrayc@murrayc.com>

	Slight cleanup to D-Bus example code.

	* examples/dbus/server.cc:
	* examples/dbus/session_bus_service.cc: Remove code to handle the now
	non-existant GetStdOut D-Bus method. That code was left over from an earlier
	version of an example.

2011-04-02  Murray Cumming  <murrayc@murrayc.com>

	Gio::DBus::NodeInfo::lookup_interface(): Add a method overload with no name.

	* gio/src/dbusintrospection.[hg|ccg]: Add a lookup_interface() method overload
	that just returns the first interface, avoiding the need to specify the name
	when there is only one interface. The C API will not do this itself:
	See bug #646417.
	* examples/dbus/peer.cc:
	* examples/dbus/server.cc:
	* examples/dbus/session_bus_service.cc: Use the new method to simplify the
	code slightly.

2011-04-02  Murray Cumming  <murrayc@murrayc.com>

	Gio::DBus::Connection: Added a register_method() overload with no vtable.

	* gio/src/dbusconnection.[hg|ccg]: This makes sense now that the C API's
	documentation was improved in bug #646419.

2011-04-01  Murray Cumming  <murrayc@murrayc.com>

	Added a simple example of a D-Bus session bus service.

	* examples/dbus/session_bus_service.cc: This uses Gio::DBus::own_name().
	* examples/Makefile.am: Mention the new test.
	* examples/dbus/server.cc: Mention the return (out) value for the GetTime
	method here too, and catch an exception.

2011-04-01  Murray Cumming  <murrayc@murrayc.com>

	Gio::DBus: Minor API changes.

  * gio/src/dbusconnection.[hg|ccg]: register_object(), register_subtree():
  Take the VTable by reference, not pointer. register_object() can take a NULL
  but that needs documentation (see the bug mentioned) and a future method
  overload.
  * gio/src/dbusmethodinvocation.ccg: get_parameters(): Return a
  VariantContainerBase instead of taking a VariantBase output parameter,
  because this is always a tuple. Well, I think so: See the bug mentioned.
  * gio/src/dbusmethodinvocation.hg: return_value(): Take a VariantContainerBase
  instead of a VariantBase, because this is always a tuple.
  return_gerror(), return_error_literal(): Rename them both to return_error().
  * glib/src/variant.hg: VariantContainerBase::create_tuple(): Add a method
  overload that takes a single VariantBase, for convenience, so that applications
  don't need to create a single-item vector.
	* examples/dbus/busserver.cc: Adapted.
	* examples/dbus/busserver.cc: Rename to server.cc and actually implement it,
	though I am currently confused about whether this server's object should be
	available on an existing bus. Maybe we should use Gio::DBus::own_name()
	instead of Gio::DBus::Server.

2011-04-01  Murray Cumming  <murrayc@murrayc.com>

	Rename a D-Bus client example.

	* examples/dbus/userbus.cc: Rename to client_bus_listnames.cc to make it
	more obvious what it does.

2011-03-31  Murray Cumming  <murrayc@murrayc.com>

	DBusProxy: Rename type_map_changed_properties to MapChangeProperties.

	* gio/src/dbusproxy.[hg|ccg]: Use our normal convention for container
	typedefs.

2011-03-30  Murray Cumming  <murrayc@murrayc.com>

	Use the latest mm-common.

	* configure.ac: Require the latest version.
	* doc/Makefile.am: Don't specify the mm-common .pl files to distribute
	because mm-common now does this automatically.

2.27.99.2:

2011-03-29  Murray Cumming  <murrayc@murrayc.com>

	Variant: Rename get(index) to get_child(index).

	* glib/src/variant.[hg|ccg]: Rename all get() methods that return children
	to get_child() to make the API clearer and to avoid ambiguity with get()
	methods that return the underlying type instead.
	* examples/dbus/peer.cc:
	* examples/dbus/userbus.cc:
	* tests/glibmm_variant/main.cc: Adapted.
  https://bugzilla.gnome.org/show_bug.cgi?id=644207#c7
  (Yannick Guesnet)

2011-03-29  Murray Cumming  <murrayc@murrayc-desktop>

	FileUtils: Correct my previous commit.

	* glib/src/fileutils.ccg:
	* glib/src/iochannel.ccg: Do not create a ustring instead of a std::string.

2011-03-29  Murray Cumming  <murrayc@murrayc.com>

	Use the utility functions for creating strings.

	* gio/src/dbuserrorutils.ccg:
	* gio/src/dbusownname.ccg:
	* gio/src/dbusutils.ccg:
	* gio/src/dbuswatchname.ccg:
	* glib/src/fileutils.ccg:
	* glib/src/iochannel.ccg:
	* glib/src/markup.ccg:
	* glib/src/variant.ccg: Use convert_const_gchar_ptr_to_ustring() and
	convert_const_gchar_ptr_to_stdstring(), simplifying code and sometimes
	avoiding crashes with NULL const char*.

2011-03-29  Murray Cumming  <murrayc@murrayc.com>

	Variant<std::string>::get(): Correct my custom implementation.

	* glib/src/variant.ccg: Really call g_variant_get_bytestring().

2011-03-29  Murray Cumming  <murrayc@murrayc.com>

	Variant: Move constructor definitions into the .cc file.

	* glib/src/variant.[hg|ccg]: The implementations of constructors for
	template specializations do not need to be inline. This lets us fix them
	later without requiring recompilation of applications.

2011-03-29  Murray Cumming  <murrayc@murrayc.com>

	Variant: Really declare the cast_dyamic() specialization for ustring.

	* glib/src/variant.[hg|ccg]: Mention the specialization in the .h file instead
	of just in the .cc file.
	Also write a custom Variant<std::string>::get() implementation because this
	can be used for types other than just bytestring.
	* tests/glibmm_variant/main.cc: Add tests for the new casts.

2011-03-28  Krzesimir Nowak  <qdlacz@gmail.com>

	ArrayHandle: Make it compilable with MSVC 2005, 2008, 2010.

	* glib/glibmm/arrayhandle.h: Put operator std::container methods
	definitions inside class template definition. Also added decrementation
	operators for ArrayHandleIterator for MSVC 2005.
	Bug #645851 (Fan, Chun-wei)

2011-03-28  Murray Cumming  <murrayc@murrayc.com>

	Variant: Use the VARIANT_TYPE_* constants.

	* glib/src/variant.ccg: Use the constants instead of creating static members.

2011-03-28  Murray Cumming  <murrayc@murrayc.com>

	VariantType: Capitalize the standard types.

	* glib/src/varianttype.[hg|ccg]: Use, for instance VARIANT_TYPE_STRING instead
	of VariantTypeString. This seems more appropriate for a constant and is the
	style used by gtkmm's STOCK_* items, which this is based on.
	* glib/src/variant.ccg: Adapt.

2011-03-28  Murray Cumming  <murrayc@murrayc.com>

	Variant: Add cast_dynamic<> specializations for strings.

	* glib/src/variant.[hg|ccg]: Add cast_dynamic() specializations for
	Vector<std::string> and Vector<Glib::ustring>, because this type seems
	appropriate for multiple types. For instance, see
	http://library.gnome.org/devel/glib/unstable/glib-GVariant.html#g-variant-get-string
	Thanks to Povietkin Konstantin.

2.27.99.1:

2011-03-27  Murray Cumming  <murrayc@murrayc.com>

	Gio::DBus*: More use of VariantContainerBase.

	* gio/src/dbusconnection.hg:
	* gio/src/dbusinterfacevtable.hg: Correct the documentation.
	* gio/src/dbusproxy.[hg|cgg]: call(): Take a VariantContainerBase instead of
	a VariantBase.
	signal: Provide a VariantContainerBase instead of a VariantBase, though this
	is not documented as necessarily being a tuple, though it is multiple
	values.

2011-03-27  Murray Cumming  <murrayc@murrayc.com>

	Balanced Tree: Clean up the documentation.

	* glib/src/balancedtree.hg: Use doxygen syntax.

2011-03-25  Murray Cumming  <murrayc@murrayc.com>

	Gio::DBus: Use VariantContainerBase for tuple Variants.

	* gio/src/dbusconnection.[hg|ccg]:
	* gio/src/dbusproxy.ccg.[hg|ccg]: call_sync(), call(), call_finish():
	Use VariantContainerBase, instead of VariantBase, for GVariants that are
	documented as being tuples. Because the type is known we can also use
	it as a simple return type instead of an output parameter.
	* tools/m4/convert_gio.m4: Added a necessary conversion.
	* examples/dbus/peer.cc:
	* examples/dbus/userbus.cc: Adapted. These already correctly assumed that
	the type should be VariantContainerBase.

2.27.99:

2011-03-24  Murray Cumming  <murrayc@murrayc.com>

	Remove Gio::Application and friends for now because they are not finished.

	* gio/src/actiongroup.[hg|ccg]:
	* gio/src/application.[hg|ccg]:
	* gio/src/applicationcommandline.[hg|ccg]: Removed these temporarily
	because we removed Gtk::Application temporarily from gtkmm.
	See http://mail.gnome.org/archives/gtkmm-list/2011-March/msg00062.html

2011-03-24  Murray Cumming  <murrayc@murrayc.com>

  Regenerate the XML for the C API documentation.

	* gio/src/gio_docs.xml:
	* glib/src/glib_docs.xml: Regenerated with docextract_to_xml.py.

2011-03-24  Murray Cumming  <murrayc@murrayc.com>

	Gio: Remove SettingsBackend.

	* gio/src/settingsbackend.[hg|ccg]: Remove these because we do not know yet
	if implementing GSettings backends is useful or encouraged, and our wrapper
	is unimplemented, requiring an ABI break to fix it when adding the virtual
	methods.
	* gio/src/filelist.am: Remove mention of the files.
	* gio/src/settings.hg: Remove use of SettingsBackend here too. Unfortunately
	this might have been slightly useful but we cannot provide this API without
	freezing a SettingsBackend API.

2011-03-24  Murray Cumming  <murrayc@murrayc.com>

	More minor documentation corrections.

	* gio/src/dbusauthobserver.hg:
	* gio/src/dbusconnection.hg:
	* gio/src/dbusmessage.hg:
	* gio/src/dbusmethodinvocation.hg:
	* gio/src/dbusproxy.hg:
	* gio/src/dbusserver.hg:
	* gio/src/dbussubtreevtable.hg:
	* glib/src/varianttype.hg: More fixes since the change from DBus* to DBus::.

2011-03-24  Murray Cumming  <murrayc@murrayc.com>

	Documentation: Change DBus to D-Bus.

	* glib/src/varianttype.hg: Use the correct name for D-Bus.
	I made the same change in the C documentation.

2011-03-24  Murray Cumming  <murrayc@murrayc.com>

	Variant: Improved the documentation, based on the C documentation.

	* glib/src/variant.hg: Also changed two methods to take std::string by
	const &.

2011-03-24  Murray Cumming  <murrayc@murrayc.com>

	Avoid a tarball dependency on mm-common.

	* configure.ac: Add a call to MM_CONFIG_DOCTOOL_DIR() telling it to
	copy the files locally and use them from there.
	* docs/Makefile.am: Dist the copied files, so that the build does not
	try to use the versions installed by mm-common.

2.27.98:

2011-03-23  Murray Cumming  <murrayc@murrayc.com>

	Gio::DBus::InterfaceVTable: Make the tuple clearer.

	* gio/src/dbusinterfacevtable.[hg|ccg]: SlotInterfaceMethodCall: Change
	the VariantBase type to a VariantContainerBase, because this is a tuple,
	so people should get the children. This makes it more obvious.
	DBusInterfaceVTable_MethodCall_giomm_callback(): Adapt.
	Suggested by Michael Edwards.

2011-03-23  Murray Cumming  <murrayc@murrayc.com>

	Gio::DBus: Move InterfaceVTable and SubtreeVTable to their own files.

	* gio/src/dbusinterfacevtable.[hg|ccg]:
	* gio/src/dbussubtreevtable.[hg|ccg]: Moved code here from
	* gio/src/dbusconnection.[hg|ccg].
	* gio/src/filelist.am: Mention the new files.

2011-03-21  Murray Cumming  <murrayc@murrayc.com>

	Correct some range checks to use >= instead of just >.

	* glib/glibmm/stringutils.cc: Glib::Ascii::strtod():
	* glib/src/variant.[hg|ccg]: get(): Correct the range check. This would
	previously not have caught all wrong ranges.
	Thanks to Michael Edwards.

2011-03-20  Krzesimir Nowak  <qdlacz@gmail.com>

	Vectorutils, ArrayHandle: Check for NULL pointers.

	* glib/glibmm/vectorutils.[h|cc]: Don't crash in compute_array_size2, when
	NULL is passed - in that case just return 0. Also, array_to_vector method
	return empty vector in such case.
	* glib/glibmm/arrayhandle.[h|cc]: Set array_size to zero if passed array
	is NULL.
	* tests/glibmm_null_vectorutils/main.cc: New test for NULL arrays and lists
	for vectorutils.
	* tests/glibmm_null_containerhandle/main.cc: New test for NULL arrays and lists
	for containerhandles.
	* tests/Makefile.am: Added new tests to build.

2011-03-21  Murray Cumming  <murrayc@murrayc.com>

	Date: Document that some methods return *this, and why.

	* glib/src/date.hg: Thanks to Kjell Ahlstedt:
	http://mail.gnome.org/archives/gtkmm-list/2011-March/msg00049.html

2.27.97:

2011-03-16  Murray Cumming  <murrayc@murrayc.com>

	Variant: Remove unncessary Glib:: namespace qualification.

	* glib/src/variant.[hg|ccg]
	* glib/src/variantiter.hg:
	* glib/src/varianttype.hg: Remove the unnecessary Glib:: namespace
	qualification in the API and documentation.

2011-03-16  Murray Cumming  <murrayc@murrayc.com>

	Gio::Variant: Add some get() method overloads.

	* glib/src/variant.[hg|ccg]: Variant<VariantBase>: Add a get(VariantBase&)
	along with the existing VariantBase get().
	VariantContainerBase: Added a VariantBase get() to match the existing
	get(VariantBase&). Both seem useful, particularly now that we can
	cast_dynamic them.

	VariantContainerBase::get() should maybe be renamed to get_child() too.

2011-03-16  Murray Cumming  <murrayc@murrayc.com>

	Dbus::Proxy: properties_changed signal: Avoid namespace qualifiers in header.

	* gio/src/dbusproxy.[h|ccg]: Add a typedef to the .ccg file to help the
	compiler so we do not need the namespace qualifiers in the API.

2011-03-16  Yannick Guesnet  <Yannick.Guesnet@univ-rouen.fr>

	DBus::Proxy: Added signal properties_changed

	* gio/src/dbusproxy.hg: Add signal properties_changed.
	* gio/src/gio_signals.defs: Change the type of a parameter of
	signal g-properties-changed from "GStrv" to
	"const gchar * const *" to match the signal declaration.

	Bug #644886

2011-03-16  Murray Cumming  <murrayc@murrayc.com>

	Gio::Variant: Use _WRAP_METHOD() instead of hand-coding.

	* glib/src/variant.[hg|ccg]: Use _WRAP_METHOD() for two hand-coded methods.

2011-03-16  Yannick Guesnet  <Yannick.Guesnet@univ-rouen.fr>

	Variant: Added Variant<VariantBase>::get().

	* glib/src/variant.[ccg|hg]: Added Variant<VariantBase>::get().
	* tests/glibmm_variant/main.cc: Add some tests.

	This is useful because Variant<VariantBase> can be manipulate as other
	variants of type Variant<T>. This allow, for example, to define variants
	of type Variant<std::map<ustring, VariantBase> >.

	Bug #644207.

2011-03-14  Yannick Guesnet  <Yannick.Guesnet@univ-rouen.fr>

  Variant: Add a cast method.

	* gio/src/glib/src/variant.[ccg|hg]: Add a VariantBase::cast_dynamic()
	static method.
	* tests/glibmm_variant/main.cc: Add some tests.

	This is useful because VariantBase can and will be passed by value sometimes
	and DBus may have actual Variant types whose underlying type will not be
	known at compile time (this note was by Murray).

	Bug #644146

2011-03-16  Murray Cumming  <murrayc@murrayc.com>

	Fix missing doc-install.pl problem with the tarball build.

	* configure.ac: Remove the call to MM_CONFIG_DOCTOOL_DIR() so we do not copy
	the mm-common doc utils into glibmm and do not try to use local copies of
	them. This is what gtkmm and other modules do so it makes sense to do it now
	for glibmm now that glibmm is not the one that supplies these for pkg-config.
	This fixes bug #644829 (David Ronis) with the tarball build and
	Ubuntu launchpad bug
	https://bugs.launchpad.net/ubuntu/+source/glibmm2.4/+bug/735856
	(Krzysztof Klimonda)

	However, I can see the point of distributing copies in the tarball, which
	could make the tarball build not need mm-common at all. But if we want that
	then we should decide to do it for gtkmm and other modules too.

2.27.96:

2011-03-15  Murray Cumming  <murrayc@murrayc.com>

	Do not install the doctool/*.pl scripts, such as doc-install.pl.

	* docs/Makefile.am: These were already installed by mm-common too, and are
	now discovered via pkg-config from mm-common-util, by the existing
	macro. No changes should be necessary to other modules, though autogen.sh
	might need to be run again.

2011-03-11  Murray Cumming  <murrayc@murrayc.com>

	FileInfo: Added more TODOs about using ustring instead of std::string.

	* gio/src/fileinfo.hg:
	See https://bugzilla.gnome.org/show_bug.cgi?id=615950#c7
	(Kjell Ahlstedt)

2011-03-11  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Tell gmmproc that it reads and writes UTF-8 files.

	* tools/pm/GtkDefs.pm:
	* tools/pm/Output.pm:
	* tools/pm/WrapParser.pm: Add 'use open IO => ":utf8";'. Bug #644037

2011-03-09  Murray Cumming  <murrayc@murrayc.com>

	FileInfo: Add TODOs about using ustring instead of std::string.

	* gio/src/fileinfo.hg: The C documentation says that some of these are
	UTF-8.
	See https://bugzilla.gnome.org/show_bug.cgi?id=615950#c4
	(Kjell Ahlstedt)

2011-03-09  Murray Cumming  <murrayc@murrayc.com>

	DBus::InterfaceVTable: Use g_error_copy() where appropriate.

	* gio/src/dbusconnection.ccg: DBusInterfaceVTable_SetProperty_giomm_callback(),
	DBusInterfaceVTable_GetProperty_giomm_callback(): Copy the GError instead of
	just copying the pointer, because it will be freed along with the parent
	Glib::Error.
	Bug #644008 (Yannick.Guesnet)

2011-03-04  Murray Cumming  <murrayc@murrayc.com>

	Gio::Application::open(file): Fix this.

	* gio/src/application.ccg: There should be one item, not two.

2011-03-04  Murray Cumming  <murrayc@murrayc.com>

	Gio::Application: open(): Added a single-file method overload.

	* gio/src/application.[hg|ccg]: Added an open() overload that takes a single
	Gio::File instead of a vector of Gio::Files.

2011-03-04  Murray Cumming  <murrayc@murrayc.com>

	Gio::Application: Fix a signal definition.

	* gio/src/application.hg: The command-line signal returns an int, not a bool.

2011-03-04  Murray Cumming  <murrayc@murrayc.com>

	Gio::Application: Added get_environ().

	* gio/src/gio_others.defs: Add a hand-written definition for this, because
	h2defs.py ignores functions with this return type.
	* gio/src/applicationcommandline.hg: Wrap the function.

2011-03-04  Murray Cumming  <murrayc@murrayc.com>

	ApplicationCommandLine: Use std::string instead of ustring in some API.

	* gio/src/applicationcommandline.hg: The C documentation says that some
	return strings could be non-UTF-8.

2011-02-28  Murray Cumming  <murrayc@murrayc.com>

	Application: Wrap the local_command_line vfunc, though it is not finished.

	* gio/src/application.hg:
	* gio/src/gio_vfuncs.defs: Wrap the local_command_line vfunc, though see
	the bug report in the comment.

2.27.95:

2011-02-24  Murray Cumming  <murrayc@murrayc.com>

	tests: Remove remaining use of std::cout.

	* tests/giomm_ioerror/main.cc:
	* tests/giomm_simple/main.cc: Hid some use of std::cout that I missed in my
	previous commit.

2011-02-24  Murray Cumming  <murrayc@murrayc.com>

	tests: Use EXIT_* for clarity.

	* tests/*.cc: Use EXIT_SUCCESS rather than 0 because I think that is clearer.

2011-02-24  Murray Cumming  <murrayc@murrayc.com>

	Actually run all tests, and check some failures.

	* tests/Makefile.am: Add all tests to TESTS so they are really run during
	make check, instead of just built.
	* tests/giomm_asyncresult_sourceobject/main.cc:
	* tests/giomm_ioerror/main.cc:
	* tests/giomm_simple/main.cc:
	* tests/glibmm_bool_arrayhandle/main.cc:
	* tests/glibmm_bool_vector/main.cc:
	* tests/glibmm_buildfilename/main.cc:
	* tests/glibmm_date/main.cc:
	* tests/glibmm_ustring_compose/main.cc:
	* tests/glibmm_valuearray/main.cc:
	* tests/glibmm_variant/main.cc:
	* tests/glibmm_vector/main.cc: Remove all use of std::cout by default,
	allowing it to be renabled by changing a line.
	Return (or) exit with EXIT_FAILURE after any use of std::cerr, so that
	make check can report it.

2011-02-24  Murray Cumming  <murrayc@murrayc.com>

	Restore the Gio::DBus::Error registration.

	* tools/generate_wrap_init.pl.in: Use a qualified C++ name for the key in
	the associated-array of exceptions. This seems to work, though it feels very
	hacky.

2011-02-24  Murray Cumming  <murrayc@murrayc.com>

	Rename Gio::DBus::DBusError to Gio::DBus::Error.

	* gio/src/dbuserror.hg: Rename the class to Error.
	* examples/dbus/busserver.cc: Adapated.
	* tests/giomm_ioerror_and_iodbuserror/main.cc: Added a test to check that
	both Gio::Error and Gio::DBus::Error are working.
	* tests/Makefile.am: Set TESTS, so that the test is actually run.
	We should add others to this too.

	This current fails, so I need to fix the problem in a subsequent commit.

2011-02-24  Murray Cumming  <murrayc@murrayc.com>

	Move Gio::DBusError to Gio::Dbus::DBusError.

	* tools/m4/base.m4: Added a SECTION_H_GERROR_PRIVATE section.
	* tools/m4/gerror.m4: Import the SECTION_H_GERROR_PRIVATE section.
	* gio/src/dbuserror.hg: Put this back into the DBus namespace.
	Push a custom friend declaration into the SECTION_H_GERROR_PRIVATE section,
	because the standard generated friend declaration would not specify the
	correct one.
	This still does not rename DBusError to DBus::Error, but this is a step on
	the way.
	* examples/dbus/busserver.cc: Adapated.

2011-02-23  Murray Cumming  <murrayc@murrayc.com>

	Bring back Gio::Error registration.

  * gio/src/error.[hg|ccg]: Move Gio::DBus::Error to
	* gio/src/dbuserror.[hg|ccg]: and temporarily rename it to Gio::DBusError
	because generate_wrap_init.pl.in is wrapping only on of Gio::Error and
	Gio::DBus::Error. Unfortunately, we need to fix the generation to handle
	this properly even when it is called Gio::DBus::DBusError.

2011-02-21  Murray Cumming  <murrayc@murrayc.com>

	Mark some new API.

	* glib/glibmm/miscutils.h: Add @newin{2,28} to the new build_filename()
	overloads.

2011-02-21  Fabricio Godoy  <skarllot@gmail.com>

	Extended build_filename() to accept up to nine parameters.

	* glib/glibmm/miscutils.[h|cc]: Added build_filename() method overloads that
	take more parameters, for convenience.
	* tests/Makefile.am
	* tests/glibmm_buildfilename/main.cc: Added a new testcase.

2.27.94:

2011-02-21  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with --enable-warnigns=fatal.

	* glib/glibmm/arrayhandle.h: Remove some typename keywords to avoid this
	compiler warning:
	"error: using ‘typename’ outside of template"

2011-02-02  Krzesimir Nowak  <qdlacz@gmail.com>

	Added bool specialization for Glib::ArrayHandle.

	* glib/glibmm/arrayhandle.h: Added specialization for bool ArrayHandle.
	This is needed because std::vector<bool> is a specialization for which
	iterators does not return a reference to actual value it holds.
	* glib/glibmm/arrayhandle.cc: New file implementing destructor of
	bool ArrayHandle - the only method that is not inlined.
	* glib/glibmm/filelist.am: Added new source file to build.
	* tests/glibmm_bool_arrayhandle/main.cc: New file implementing test
	checking if bool ArrayHandle actually works.
	* tests/Makefile.am: Added new test to build.

2011-02-17  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	OptionGroup: Fix build error, remove memory leak.

	* glib/src/optiongroup.ccg: Fix build error with --enable-warnings=fatal.
	Remove memory leak when the same OptionEntry is added twice.
	Bug #589197 (Hubert Figuiere)

2011-02-16  Murray Cumming  <murrayc@murrayc.com>

	Move the DBus classes into a Gio::DBus namespace.

	* gio/giomm.h:
	* gio/src/dbus*.[hg|ccg]
	* gio/src/error.hg: Rename all DBus* classes to remove the prefix, putting
	them in a Gio::DBus namespace.
	This required the use of the new _GMMPROC_EXTRA_NAMESPACE macro, to avoid
	generating a confused wrap_init.cc.
	Along the way, I removed unnecessary class predeclarations, instead including
	the relevant header, because that is more convenient for users of the API.
	* gio/src/dbuserror.[hg|ccg]: Renamed to dbuserrorutils.[hg|ccg] and
	renamed the Error namespace to ErrorUtils, to avoid a clash with the
	Gio::DBus::Error exception.
	* gio/src/filelist.am:
	* tools/m4/convert_gio.m4: Changed some conversions.
	* examples/dbus/busserver.cc:
	* examples/dbus/peer.cc:
	* examples/dbus/userbus.cc: Adapted.

	This is generally more organized. A prefix, instead of a namespace, looked
	generally wrong to C++ coders.

2011-02-16  Murray Cumming  <murrayc@murrayc.com>

	gmmproc: Allow some classes to be in a sub-namespace.

	* tools/m4/class_shared.m4:
	* tools/generate_wrap_init.pl.in: Add a _GMMPROC_EXTRA_NAMESPACE(thenamespace)
	macro, so that wrap_init.cc will have the correct pre-declarations of the
	wrap_new() and get_type() functions.
	I am suprised that we have no other way to do this already, but I cannot
	find one, and this hack works.

2011-02-15  Murray Cumming  <murrayc@murrayc.com>

	OptionGroup: Minor code style changes.

	* glib/src/optiongroup.[hg|ccg]: Use the explicit keyword and use a _
	suffix for member variables.

2011-02-14  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  OptionGroup: Add add_entry() that takes a slot with callback function.

	* glib/src/optiongroup.[hg|ccg]: Add add_entry() and add_entry_filename()
	that take a slot. Add protected option_arg_callback().
	An exception thrown by on_pre_parse() or on_post_parse() is propagated
	to the error argument of g_callback_pre_parse() or post_parse_callback().
	* glib/src/optionentry.hg: Add description of set_flags().
	* examples/options/main.cc: Add more OptionEntries and callback functions
	for parsing command option values.
	Bug #589197 (Hubert Figuiere)

2011-02-15  Murray Cumming  <murrayc@murrayc.com>

	Dealt with several TODOs.

	* gio/src/*.[hg|ccg]: Mostly just adding hand-coded documentation,
	and changing some new methods to use std::vector.

2011-02-15  Murray Cumming  <murrayc@murrayc.com>

	Update the .defs for signals and properties.

	* tools/extra_defs_gen/generate_defs_gio.cc: Mention more GDbus types.
	* tools/extra_defs_gen/generate_defs_glib.cc: Mention some types, though
	none have properties or signals.
	* gio/src/gio_signals.defs: Regenerated, though there are no new properties or
	signals.

2011-02-15  Murray Cumming  <murrayc@murrayc.com>

	Regenerate the XML of the C documentation.

	* gio/src/gio_docs.xml:
	* glib/src/glib_docs.xml: Regenerated with docextract_to_xml.py.

2011-02-15  Murray Cumming  <murrayc@murrayc.com>

	Require glib 2.28.0.

	* configure.ac: Update the version check.

2011-02-08  Murray Cumming  <murrayc@murrayc.com>

	Fix the make check build with --enable-warnings=fatal.

	* examples/options/main.cc: Comment-out unused method parameters.

2011-02-06  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	OptionGroup: An on_post_parse() override need not call the base class.

	* glib/src/optiongroup.[hg|ccg]: The C post_parse callback is a static
	protected member function, which performs all necessary post-parsing.
	OptionGroup::on_post_parse is a dummy function.
	* examples/options/main.cc: The on_pre_parse, on_post_parse, and on_error
	overrides don't call the base class functions.
	Bug 588988 (Hubert Figuiere)

2011-02-01  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gmmproc: Add optional arguments custom_vfunc[_callback] to _WRAP_VFUNC.

	* tools/pm/Output.pm:
	* tools/pm/WrapParser.pm: Add handling of optional arguments
	custom_vfunc[_callback] in _WRAP_VFUNC. Bug 641165.

2.27.93:

2011-01-21  Krzesimir Nowak  <qdlacz@gmail.com>

	Vector utils: Corrected documentation and extended it bit.

	* glib/glibmm/vectorutils.h: Documented important parts of *Keeper classes
	and corrected examples in *Handler classes. The documentation mostly tries
	to explain memory management.

2011-01-30  Murray Cumming  <murrayc@murrayc.com>

	Vector utils: Added simple documentation.

	* glib/glibmm/vectorutils.h: Some simple documentation about the *Handler
	utility classes, though I need to correct the example code and explain the
	memory mangement when that is clear to me.

2011-01-28  Murray Cumming  <murrayc@murrayc.com>

	ArrayHandle, ListHandle, SListHandle: Document these as almost-deprecated.

	* glib/glibmm/arrayhandle.h:
	* glib/glibmm/listhandle.h:
	* glib/glibmm/slisthandle.h: Mention that we try not to use these now,
	though we cannot actually deprecate them yet without forcing other libraries
	such as pangomm to deprecate the methods that use them, which they cannot
	really do because they cannot just add a method overload without introducing
	ambiguity.

2011-01-27  Chris Kühl  <chrisk@openismus.com>

	Changed glib include to build cleanly with GLIB_DISABLE_SINGLE_INCLUDES.

	* glib/src/balancedtree.hg: Changed <glib/gtree.h> to <glib.h>.

2011-01-24  Krzesimir Nowak  <qdlacz@gmail.com>

	Added vectorutils.h.

	* glib/glibmm/vectorutils.[h|cc]: New files implementing an array, list,
	slist <-> std::vector convertions. It implements also a specialization
	for bool types.
	* glib/glibmm.h: Include vectorutils.h.
	* glib/glibmm/filelist.am: Added vectorutils to build.
	* tests/glibmm_vector/main.cc: New test for general vectorutils check.
	* tests/glibmm_bool_vector/main.cc: New test checking bool specializations.
	* tests/Makefile.am: Added above tests to build system.

2011-01-20  Murray Cumming  <murrayc@murrayc.com>

	Resolver: lookup_service(), lookup_by_address(): Fix the reference counting.

	* gio/src/resolver.[hg|ccg]: Use the correct OWNERSHIP_*, based on the
	documentation for the C functions. We must release both the list and the
	items.
	Bug #639575 (Michael Edwards)

2011-01-20  Murray Cumming  <murrayc@murrayc.com>

	Application: Fix the build.

	* gio/src/application.ccg: Include giomm/init.h.

2011-01-19  Murray Cumming  <murrayc@murrayc.com>

	Application: Constructor: Initialize glibmm and giomm.

	* gio/src/application.[hg|ccg]: Use a custom klass init function to
	make sure that glibmm and giomm are initialized when Gio::Application is
	instantiated, so it is then unnecssary to call them explicitly.

2.27.91.1:

2011-01-17  Murray Cumming  <murrayc@murrayc.com>

	Fix the make check build.

	* examples/dbus/busserver.cc: Comment out unused methods, to fix the
	build. I guess this example is still in progress. Otherwise, the commented
	code should really be removed.

2010-12-22 Murray Cumming <murrayc@murrayc.com>

  gmmproc: _CLASS_GOBJECT: reverted removal of __REAL_* arguments.

  This is still needed for the gtkmm-2-24 branch.

2011-01-16  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBus: Add initial implementation of a bus server/client example.

	* examples/Makefile.am:
	* examples/dbus/busserver.cc: Add a partial implementation of the
	server part of a server/client example that communicate through the
	user's bus.
	* examples/dbus/peer.cc: Typos.

2011-01-16  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBusConnection: Add a send_message() without an "out_serial" param.

	* gio/src/dbusconnection.{ccg,hg} (send_message): Add new method
	without the "out_serial" param.
	* gio/src/unixfdlist.hg (append): Add exception docs to method.

2011-01-16  José Alburquerque  <jaalburqu@svn.gnome.org>

	Gio::DBus::[watch|own]_name(): Add default values for parameters.

	* gio/src/dbusownname.{ccg,hg} (own_name):
	* gio/src/dbuswatchname.{ccg,hg} (watch_name): Add default values for
	the slot parameters instead of writing up overloads since there would
	be many.  Also reorder the parameters so that the flags have default
	values.

2011-01-16  José Alburquerque  <jaalburqu@svn.gnome.org>

	InetAddress: Wrap properties.

	* gio/src/inetaddress.hg: Wrap the properties.
	* gio/src/dbusconnection.hg: Typo.

2011-01-15  Chris Kühl  <chrisk@openismus.com>

	Added conversion from bool& to gboolean*.

	* tools/m4/convert_glib.m4: Added conversion from bool& to gboolean*.

2011-01-13  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBusServer: Comment out constructors because of bug #639478.

	* gio/src/dbusserver.{ccg,hg}: Comment out the constructors because
	the C new function does more than calling g_initable_new().

2011-01-13  José Alburquerque  <jaalburqu@svn.gnome.org>

	Variant: Use variant_type() functions in implementation where possible.

	* glib/src/variant.ccg: Use the existing variant_type() functions
	where possible.
	* gio/src/dbusserver.ccg: File bug #639478 about GDBusServer's new
	function doing more than using g_initable_new().

2011-01-13  José Alburquerque  <jaalburqu@svn.gnome.org>

	Variant: Have the variant_type() functions return actual types.

	* glib/src/variant.hg: Correct the variant_type() functions of the
	container derived classes to create and return actual variant types
	and not abstract ones.  Also use the functions in the implementation
	of the existing methods.

2011-01-13  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBus: Avoid errors/exceptions in callbacks due to NULL C strings.

	* gio/src/dbusconnection.ccg: Modify the callbacks so that if a C
	string parameter might be NULL, it is passed to the slots as an empty
	string ("").  This avoids possible exceptions from constructing a
	Glib::ustring from NULL.
	* gio/src/dbusconnection.hg: Typos.

	* examples/dbus/peer.cc: Add the usage examples from the C API's
	example.

2011-01-13  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBusServer: Add docs to the signal_new_connection() signal.

	* gio/src/dbusserver.hg: Add the docs from the C API to make sure it
	clear to users that when handling the "new-connection" signal that a
	reference to the new connection must be kept or the connection will
	not be accepted.

	* examples/dbus/peer.cc: Make an exception message more general to
	cover both a possible exception from the call_sync() call and the
	close_sync() call.

2011-01-13  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBusConnection, DBusMessage: Wrap properties and signals.

	* tools/extra_defs_gen/generate_defs_gio.cc:
	* gio/src/gio_signals.defs: Add the GDBusConnection and the
	GDBusMessage types to the signal and properties generation tool and
	regenerate the defs file.

	* gio/src/dbusconnection.hg: Wrap the properties and signals.
	* gio/src/dbusmessage.hg: Wrap the properties (no signals).
	* gio/src/dbusproxy.hg: Comment out a write-only/construct-only
	property.

2011-01-12  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBus Peer Example: Correct some code to complete the example.

	* examples/dbus/peer.cc (keep_connection): renamed to curr_connection.
	(on_method_call): Place the return value of the method in a tuple
	which is then returned.
	(curr_connection): Use this variable to manage incoming connections.
	The C API docs says that when handling ther DBusServer's
	signal_new_connection() a reference to the connection should be kept
	and the handler should return true if the connection should be kept.
	This variable keeps a reference to the current connection.  When the
	caller finishes, it closes the connection thus allowing the server to
	accept another connection.
	(try/catches): Add return statements in the catches that fail so that
	execution does not continue.

	The example runs successfully with the previous commit and the patch
	in bug #639391 filed in the glib bugzilla product page.  Hopefully the
	request will be accepted.

2011-01-12  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBusConnection: Check for NULL bus name in the MethodCall callback.

	* gio/src/dbusconnection.ccg
	(DBusConnection_Message_Filter_giomm_callback): Since the sender can
	be NULL, check for that so that creating a Glib::ustring from a NULL
	does not cause exceptions.

2.27.91:

2011-01-11  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBusConnection: call*() methods: Re-order bus_name parameter.

	* gio/src/dbusconnection.{ccg,hg} (call*): Place the bus_name
	parameter before the timeout_msec parameter to make it easier to
	specifiy a bus name without having to set a timeout value.

	* gio/src/dbusaddress.hg (get_for_bus_sync): Correct declarations to
	return std::string instead of Glib::ustring in accordance with the
	last commit.

2011-01-11  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBus: Use std::string for addresses since they could be a file path.

	* gio/src/dbusaddress.{ccg,hg}:
	* gio/src/dbusconnection.{ccg,hg}:
	* gio/src/dbusserver.{ccg,hg}: Use std::string instead of
	Glib::ustring for address parameters just to avoid possible errors
	since DBus address could be a filename path as the "Addresses"
	section of the DBus introduction seems to imply:
	http://www.freedesktop.org/wiki/IntroductionToDBus.

2011-01-11  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBus: Use std::string for guid's.

	* gio/src/dbusaddress.{ccg,hg}:
	* gio/src/dbusconnection.{ccg,hg}:
	* gio/src/dbusserver.{ccg,hg}:
	* gio/src/dbusutils.{ccg,hg}: Use std::string instead of Glib::ustring
	for guid's since std::string's API is probably adequate enough for
	their use.

2011-01-10  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBus: Add a peer example to test the DBusServer class.

	* gio/src/dbusconnection.{ccg,hg}:  Reorder the VariantBase
	'parameters' parameter in the call*() methods to come after the
	method_name parameter.
	* gio/src/dbusintrospection.hg: Use refreturn for methods where the C
	API does not automatically reference the return.
	* gio/src/dbusserver.{ccg,hg}: Add non-observable constructors and
	create() methods.
	* glib/src/variant.{ccg,hg} (create_tuple): Renamed from create().
	Write this method to be more specific for tuples (it's probably the
	only case where this method might be used).  Dealing with tuples still
	feels awkward with the method.  Maybe there's a better way.

	* examples/Makefile.am:
	* examples/dbus/peer.cc:
	* examples/dbus/userbus.cc:
	* examples/dbus/well-known-address-client.cc: Add the new
	server/client peer example (named peer).  The example crashes because
	the C API seems to not deal with empty strings "" well, but at least
	there is now an example.  Making sure it runs well is necessary.  Also
	rename the previous example to userbus.cc.

2011-01-08  Krzesimir Nowak  <qdlacz@gmail.com>

	Tools: Added a defs fixer tool.

	tools/defs_fixer.pl: Helper tool to fix the generated defs. I hope
	that for most cases it will be just better than using diff and patch.

2011-01-07  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBusConnection: Callbacks: Check for NULL GError** parameters.

	* gio/src/dbusconnection.ccg: Make sure that the callbacks that set a
	GError* do not try to access a NULL pointer if NULL has been passed
	as the GError** parameter.

	Bug #637587 (Yannick Guesnet)

2011-01-07  José Alburquerque  <jaalburqu@svn.gnome.org>

	Gio::DBusConnection: Callbacks: Return all Glib::Errors to caller.

	* gio/src/dbusconnection.ccg: Have to previously modified callbacks
	that deal with getting/setting properties return all Glib::Errors
	and not just Gio::DBusError types.

	Bug #637587 (Yannick Guesnet)

2011-01-07  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBusConnection: Callbacks:  Return DBusError exceptions to caller.

	* gio/src/dbusconnection.ccg: Modify the callbacks that deal with
	getting/setting properties for a DBus interface to set the GError*
	parameter if it is a DBus related GError.  This should allow receiving
	DBus exceptions if the slot throws one with respect to not being able
	to successfully get/set a property.

2011-01-07  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBusConnection: Use gobj() instead of reinterpret_cast<> for *VTable.

	* gio/src/dbusconnection.ccg: Use the gobj() of the
	DBusInterfaceVTable instead of casting it to a GDBusInterfaceVTable in
	the callbacks and in the register_object() method.

2011-01-07  Murray Cumming  <murrayc@murrayc.com>

	DBusConnection: Use const guint instead of guint const.

	* gio/src/dbusconnection.ccg: This is more consistent with other code.

2011-01-07  Murray Cumming  <murrayc@murrayc.com>

	DBusConnectionInvocation: Use refreturn on get methods.

	* gio/src/dbusmethodinvocation.hg: This seems to be necessary, though it does
	not fix bug #637587.

2011-01-07  Murray Cumming  <murrayc@murrayc.com>

	DBusConnection: Use _ suffixes on member variables.

	* gio/src/dbusconnection.[hg|ccg]: Use a _ suffix on member variables to
	avoid confusion with method parameters of the same name, though this does not
	seem to be what is causing bug #637587.

2011-01-06  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBusConnection: Add [register|unregister]_subtree() methods.

	* gio/src/dbusconnection.{ccg,hg}: Add the new methods along with a
	corresponding class (like the one for register_object()).  Added
	method docs.  Modified the registration methods so that the vtable is
	passed and not a struct containing the slots.  Please note that this
	API feels like it could be made better before glibmm goes stable.  In
	particular, it might be nice and (maybe even possible) to not require
	that the *VTable instances be global.

2011-01-06  Murray Cumming  <murrayc@murrayc.com>

	SocketService, ThreadedSocketService: Correct ref-counting for signals.

	* tools/m4/convert_gio.m4: Remove conversions that are only for signals.
	These should not generally be in the general m4 files, to avoid them being
	used implicitly in the wrong place. This is important because they use
	different reference-taking.
	* gio/src/socketservice.hg:
	* gio/src/threadedsocketservice.hg: Add corrected conversions here.

2010-01-06  Krzesimir Nowak  <qdlacz@gmail.com>

	Gmmproc: Try harder to limit false unwrapped properties.

	* tools/pm/GtkDefs.pm: When taking list of properties that are
	unwrapped, try to filter out the properties defined in base class.

2011-01-05  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBusServer: Correct the "active" property.

	* gio/src/dbusserver.hg: Correct the type of the "active" property.

2011-01-05  Murray Cumming  <murrayc@murrayc.com>

	BufferedInputStream, BufferedOutputStream: Correct property name.

	* gio/src/bufferedinputstream.[hg|ccg]
	* gio/src/bufferedoutputstream.[hg|ccg]: When using create_sized(), it
	tried to set the wrong property. Renaming the parameter from size to
	buffer_size fixes this.

	Bug #638616 (Michael Edwards)

2011-01-05  Krzesimir Nowak  <qdlacz@gmail.com>

	Gmmproc: Warn about unwrapped properties.

	* tools/gmmproc.in: When displaying a list of unwrapped properties,
	ignore the ones that are nonreadable and construct only.
	* tools/pm/Property.pm: Added entity_type member initialized with
	'property' value to Property class, which allows us to sort out
	which unwrapped entities are actually properties.

2.27.5.1:

2010-12-30  José Alburquerque  <jaalburqu@svn.gnome.org>

	VariantContainerBase::create: Don't use pointers to pass the children.

	* glib/src/variant.{ccg,hg} (VariantContainerBase::create): Don't use
	pointers to the variant children to pass the array of variants, but
	instead use copies which might be more intuitive for new programmers.
	It is not clear whether this method should remain or not.  We'll have
	to wait for the example to be written.

2010-12-30  José Alburquerque  <jaalburqu@svn.gnome.org>

	VariantContainerBase: Add a create() method from an array of variants.

	* glib/src/variant.{ccg,hg}: (VariantContainerBase::create): Add this
	method that accepts a VariantType (describing what kind of container
	should be created), and a vector of VariantBase.  Theoretically, this
	method should make creation of tuples possible.  There is no tuple
	class in standard C++ so something like this would be necessary in
	cases where tuples need to be created (to be returned, for example,
	from some method call).  The future server/client D-Bus example should
	put this method to the test.
	(VariantStringBase::create_*_path): Sink the variant after creation in
	these methods which was forgotten.
	* gio/src/dbusconnection.hg: Typos.

2010-12-28  José Alburquerque  <jaalburqu@svn.gnome.org>

	Variant test: Use the dictionary variant classes in the test.

	* glib/src/variant.{ccg,hg} (get_iter): Make all the get_iter()
	methods in the variant container classes const.
	(Variant< std::pair<K, V> >::get):
	(Variant< std::map<K, V> >::lookup):
	(std::map<K, V> Variant< std::map<K, V> >::get): Correct the getting
	of a std::pair<> from the Variant<> and the getting of children from
	the parent VariantContainerBase class.
	(Variant< std::map<K, V> >::create): Create the dictionary entries as
	Variants and then use g_variant_builder_add_value() to add them
	instead of g_variant_add() which is easier.

	* tests/glibmm_variant/main.cc: Use the updated dictionary classes in
	the test.

2010-12-26  José Alburquerque  <jaalburqu@svn.gnome.org>

	Variant: Add dictionary entry and dictionary specializations.

	* glib/src/varianttype.hg:
	* glib/src/variant_basictypes.h.m4: Renamed the glibmmVariant doxygen
	group to 'Variant'.
	* glib/src/variant.{ccg,hg}: Throw a std::out_of_range exception
	instead of a std::runtime_error one from methods that throw them
	because of indexes being out of bounds.
	(Variant< std::pair<K, V> >): Added this specialization to deal with a
	dictionary entry variant type.
	(Variant< std::map<K, V> >): Added this specialization to deal with
	variant dictionary types.
	(VariantContainerBase::get): Have this method throw a
	std::out_of_range exception if the index is out of range.
	(Variant< std::vector<Glib::ustring> >::get)
	(Variant< std::vector<std::string> >::get): Free the shallow copy of
	the returned string arrays in the get methods of the string variant
	arrays as the docs of the C API say.

	* gio/src/dbusconnection.hg: Added missing _IGNORE()'s.
	* gio/src/dbusproxy.hg: Updated a TODO.
	* examples/dbus/well-known-address-client.cc: Typo.

2010-12-23  Krzesimir Nowak  <qdlacz@gmail.com>

	Add a valuearray test to build.

	* tests/Makefile.am: Added a valuearray test to build instead of
	value test thrice.

2010-12-23  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBusConnection: Add register/unregister_object() methods.

	* gio/src/dbusconnection.{ccg,hg}: Add register_object() and
	unregister_object() methods.  Use a C++ wrapper class for the
	GDBusInterfaceVTable structure so that it is possible to use slots for
	the registration.

	Fixes Bug #637587 (Yannick Guesnet)

2010-12-22  José Alburquerque  <jaalburqu@svn.gnome.org>

	gmmproc: _CLASS_GOBJECT: Remove __REAL_* additional arguments.

	* tools/m4/class_gobject.m4:
	* tools/m4/class_shared.m4: Remove the use of the
	__REAL_[CNAME|CPARENT]__ variables needed to wrap some classes in
	gtkmm that were typedef to their base type (such as GdkWindow and
	GdkPixmap).  These classes have been fixed in gtk+-3 thus eliminating
	the need for the special arguments in _CLASS_GOBJECT.

2010-08-10  David Kozub  <zub@linux.fjfi.cvut.cz>

	RefPtr: Make it work with sorted containers (e.g. std::set<RefPtr<T> >).

	* glib/glibmm/refptr.h: Add operators <, <=, >, >=
	that compare RefPtrs by their underlying pointer.
	This makes RefPtr work with sorted containers (e.g. std::set<RefPtr<T> >)

	Bug #626858

2010-12-22  Yannick Guesnet  <Yannick.Guesnet@univ-rouen.fr>

	giomm: Application: Add the open signal.

	* gio/src/application.[hg|ccg]: Add signal_open(), by hand-coding instead of
	using _WRAP_SIGNAL(), because we need to change the number of parameters.

2.27.5:

2010-12-22  Murray Cumming  <murrayc@murrayc.com>

	Variant: Fix compiler warnings.

	* glib/src/variant.ccg: Remove some uses of the typename keyword to avoid
	warnings about using them outside of templates (they were in template
	specializations, which I guess is different).

2010-12-22  José Alburquerque  <jaalburqu@svn.gnome.org>

	Variant< std::vector<std::string> >: Correct the getting of the array.

	* glib/src/variant.{ccg,hg} (get): Use
	g_variant_get_bytestring_array() in the get() methods instead of
	g_variant_get_strv().
	* examples/dbus/well-known-address-client.cc: Use a
	VariantContainerBase to get the result of the proxy's call method
	instead of a Variant<VariantBase>.  Also corrected the comment about
	why it is done that way.

2010-12-21  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBus: Well known service example: Complete the example.

	* examples/dbus/well-known-address-client.cc: Complete the well known
	service example by calling the 'ListNames' method of the user's
	session bus.

2010-12-21  José Alburquerque  <jaalburqu@svn.gnome.org>

	Add Variant< std::vector<[Glib::ustring|std::string]> specializations.

	* glib/src/variant.{ccg,hg}: Add two Variant specializations to deal
	specifically with arrays of UTF8 and non-UTF8 strings both reflecting
	the API of the specialization that deals with regular arrays.
	(docs, typos): Minor corrections.
	(Variant<std::vector<T>>::get): Have the method that gets the vector
	return the vector instead of setting an output parameter because
	returning the vector on the call stack should not be costly and it's
	probably more intuitive for the programmer.
	* tests/glibmm_variant/main.cc: Adapt test according to the above
	change.  Correct minor typos.

2010-12-20  José Alburquerque  <jaalburqu@svn.gnome.org>

	Allow giomm to build under mingw32.

	* gio/src/unixcredentialsmessage.hg:
	* gio/src/unixfdlist.hg:
	* gio/src/unixfdmessage.hg:
	* gio/src/unixsocketaddress.hg: Add the _GTKMM_WIN_NO_WRAP macro to
	newly added giomm classes so that giomm builds under mingw32.

	Fixes Bug #636754

2010-12-20  José Alburquerque  <jaalburqu@svn.gnome.org>

	Variant: Add a VariantStringBase and a VariantContainerBase class.

	* glib/src/variant.{ccg,hg} (VariantStringBase): Implement a new class
	from which the Glib::Variant<> string class (like
	Glib::Variant<Glib::ustring>) now derive.  The new class has methods
	for determining/creating object paths and signatures.  The new
	instances are created by setting output parameters.
	(VaraintContainerBase): Implement this new class from which variant
	containers should derive.
	(VariantContainerBase::get_n_children, get, get_maybe): Moved from
	Variant<VariantBase>
	(castitem constructors): Corrected all GVariant* castitem constructors
	to accept a 'take_a_reference' bool parameter.
	(Variant< std::vector<T> >::create, get, get_iter): Re-wrote these
	methods to use the Glib::VariantType class to get variant types
	instead of using strings.  Also Re-wrote to work specifically with
	fixed arrays (see g_variant_get_fixed_array).  This means that this
	class will not work with vectors of strings because
	g_variant_get_strv() and g_variant_get_bytestring_array() need to be
	used in those cases.
	(std::vector<T> get): Re-wrote to use an output parameter.

	* glib/src/variant_basictypes.h.m4: Corrected the castitem
	constructors as above.

	* tests/Makefile.am:
	* tests/glibmm_variant/main.cc: Added a small test for the
	Variant< std::vector<T> > methods.

	* gio/src/dbuserror.hg:
	* gio/src/error.hg: Wrap the GDBusError enum as a GError, moving its
	declaration to error.hg.

2010-12-16  José Alburquerque  <jaalburqu@svn.gnome.org>

	Added a new Glib::Variant<> specialization to deal with arrays.

	* glib/src/variant.{ccg,hg} (VariantBase::get_maybe): Move the method
	that gets a maybe of a container to Variant<VariantBase> because it a
	container specific method.
	(Variant<VariantBase>::get): Correct this method so that it uses an
	output parameter instead of returning a VariantBase.
	(Variant< std::vector<T> >): Added a new specialization designed to
	deal with variant arrays. Similar types dealing with array of strings
	should also be added.
	(typedefs): Added some typedefs that might possibly be useful later.
	(docs): Added docs to methods without them.
	* glib/src/variant_basictypes.{cc,h}.m4:
	(variant_type): Made all the static variant_type() methods return a
	Glib::VariantType so the C++ wrapper is used.
	* glib/src/variantiter.{ccg,hg}: Corrected the includes so
	variantiter.h can be included in variant.h.

2010-12-15  José Alburquerque  <jaalburqu@svn.gnome.org>

	glibmm: Add a Variant<std::string> specialization.

	* glib/src/variant.ccg:
	* glib/src/variant.hg: Add a Variant<std::string> specialization based
	on the already existing Variant<Glib::ustring> one.  A way has to be
	found to create object paths and signatures (see
	g_variant_new_object_path() and g_variant_new_signature()) which are
	also strings and have their own GVariantType.

2010-12-15  José Alburquerque  <jaalburqu@svn.gnome.org>

	Variant[Iter,Type]: Add class docs.

	* glib/src/variantiter.hg:
	* glib/src/varianttype.hg: Add class docs.
	* glib/src/keyfile.hg:
	* glib/src/optiongroup.hg: Correct @newin{}s from 2,26 to 2,28.
	* glib/src/variant.hg (VariantBase): Move the get_n_children() method
	to Variant<VariantBase> since all containers essentially are created
	in the C API as a GVariant containing one (or more) GVariant(s).  The
	C++ container types (such as arrays, etc.) can derive from
	Glib::Variant<VariantBase> to inherit the get_n_children() method.

	* gio/src/gio_extra_objects.defs: Add GDBusProxy.

2010-12-15  Murray Cumming  <murrayc@murrayc.com>

	Tell the documentation generator about MatchInfo.

	* glib/src/glib_extra_objects.defs: Added GMatchInfo here.

2.27.4.1:

2010-12-14  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBus Client Example: create a DBusProxy in preparation for method call.

	* examples/dbus/well-known-address-client.cc: Asynchronously create a
	DBusProxy which can then be used to call a method on the user's
	session bus.  This tests asynchronous creation of objects that derive
	from the AsyncInitable interface.  The reference counting of the newly
	created object should be checked because in the SlotAsyncReady slot,
	the proxy has a reference count of two when it should possibly be
	one (the g_dbus_proxy_new_finish() docs say that in the callback,
	unreferencing the proxy destroys it).

2010-12-14  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBus[Connection|Proxy]: Don't take extra reference on async creation.

	* gio/src/dbusconnection.ccg:
	* gio/src/dbusproxy.ccg: There's no need to put the newly constructed
	DBusConnection|DBusProxy in a Glib::RefPtr<> and then take an extra
	reference.  Simply constructing the object is enough to guarantee that
	the object continues existing until the SlotAsyncReady slot is called.

2010-12-13  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBusProxy: Reorder the parameters so that "name" is second in methods.

	* gio/src/dbusproxy.{ccg,hg}: Reorder the parameters so that the
	"name" parameter comes before the "object_path" parameter as in the C
	API which is probably more natural.  Add _IMPLEMENTS_INTERFACE() for
	the Initable and AsyncInitable interfaces that it implements.
	(class docs): Removed some sentences in the class docs that only
	apply to the C API.  Made it clear that the docs is adapted from the C
	API in case the paragraph about sub-classing does not apply.
	(constructor properties): Corrected the "name" property to the correct
	name "g_name" in constructors.

	* gio/giomm.h: Added all the missing dbus includes.

2010-12-13  José Alburquerque  <jaalburqu@svn.gnome.org>

	Add a DBus Doxygen group.

	* gio/src/dbusconnection.hg: Add a DBus Doxygen group in which to
	include all the D-Bus docs.
	* gio/src/dbusaddress.hg:
	* gio/src/dbusauthobserver.hg:
	* gio/src/dbuserror.hg:
	* gio/src/dbusintrospection.hg:
	* gio/src/dbusmessage.hg:
	* gio/src/dbusmethodinvocation.hg:
	* gio/src/dbusownname.hg:
	* gio/src/dbusproxy.hg:
	* gio/src/dbusserver.hg:
	* gio/src/dbusutils.hg:
	* gio/src/dbuswatchname.hg: Include all the D-Bus classes, functions
	and slots in the new group.
	* glib/glibmm.h: Mention the new group in the list of giomm features.

	* gio/src/dbusproxy.ccg: Typos.

2010-12-12  José Alburquerque  <jaalburqu@svn.gnome.org>

	glibmm: Add a MatchInfo class for use with the existing Regex class.

	* glib/src/regex.{ccg,hg}: Add a new (generic) class wrapping the
	GMatchInfo functions.  Wrap the (commented out) methods with a
	Glib::MatchInfo in Regex so that the new class is used.

	Fixes Bug #636911 (Alexander Shaduri)

2010-12-09  Murray Cumming  <murrayc@murrayc-desktop>

	Added generic gmmproc conversions previously in convert_gtkmm.m4.

	* tools/m4/convert_base.m4: Added generic macros back.

2010-12-09  Murray Cumming  <murrayc@murrayc.com>

	Remove non-glibmm .m4 files.

	* tools/m4/class_gtkobject.m4:
	* tools/m4/convert_atk.m4:
	* tools/m4/convert_gdk.m4:
	* tools/m4/convert_gtk.m4:
	* tools/m4/convert_gtkmm.m4:
	* tools/m4/convert_pango.m4: Remove conversions and macros for non-glibmm
	types. These will be moved to atkmm, pangomm and gtkmm instead.

2010-12-09  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBusProxy: Add a non-cancellable call_sync() method.

	* gio/src/dbusproxy.{ccg,hg}: Add a non-cancellable call_sync()
	method.  Reorder the paramters so that the "timeout_msec" parameter in
	methods that have it can have a default of '-1' which means a default
	timeout.

2010-12-08  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBus: Client Example: Choose a better name for the source file.

	* examples/dbus/client.cc: Renamed to:
	* examples/dbus/well-known-address-client.cc:

	* examples/Makefile.am: Corrected according to renaming above.

2010-12-08  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBusConnection: Add non-observable create method overloads.

	* gio/src/dbusconnection.{ccg,hg}: Add constructors and create methods
	that don't require a DBusAuthObservable paramter.

2010-12-08  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBusConnection: Also correct the static status of the get() methods.

	* gio/src/dbusconnection.{ccg,hg}: As with the create*() methods, the
	get() async methods should be static.
	* gio/src/dbusintrospection.hg (DBusPropertyInfo): Add class docs.

2010-12-08  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: Correct docs of newly added methods that throw a Glib::Error.

	* gio/src/dbusconnection.hg:
	* gio/src/dbusproxy.hg:
	* gio/src/dbusintrospection.hg: Use _WRAP_METHOD_DOCS_ONLY together
	with a Doxygen @throw directive in methods that throw a Glib::Error to
	get the C docs and then make it clear that the methods throw a
	Glib::Error.
	(new_for_xml): Rename to create_for_xml().

2010-12-08  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBusConnection: Use static keyword for create methods.

	* gio/src/dbusconnection.{ccg,hg}: Add the forgotten 'static' keyword
	to all the create methods (that's what happens when coding too quickly
	without thinking about what's being done).  Fortunately it seems to
	have happened only here.

2010-12-08  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBus: Client Example: Correct typo.

	* examples/dbus/client.cc: Correct a typo in a comment.
	* tools/m4/convert_gio.m4: Correct alphabetizing of last enum
	conversion.

2010-12-08  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBus: Add an initial client example accessing a user's bus.

	* examples/dbus/client.cc: Initial example opening a connection to the
	user's bus and then printing its unique name.

2010-12-08  José Alburquerque  <jaalburqu@svn.gnome.org>

	Add Gio::DBusConnection::get_sync() methods.

	* gio/src/dbusconnection.hg: Wrap get_sync() methods (cancellable and
	non-cancellable versions).
	* tools/m4/convert_gio.m4: Add enum conversion.

2010-12-05  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBusConnection: Add missing _IGNORE().

	* gio/src/dbusconnection.{ccg,hg}: Add a missing _IGNORE() for
	the emit_signal() method and correct its misspelled name at the same
	time.

2010-12-05  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBusConnection: Add send_message_with_reply_sync() methods.

	* gio/src/dbusconnection.{ccg,hg}: Add cancellable and non-cancellable
	versions of the send_message_with_reply_sync() methods (following the
	same logic as the existing send_message_with_reply() methods).  Some
	minor corrections.

2010-12-05  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBusConnection: Add signal_subscribe() and add_filter().

	* gio/src/dbusconnection.{ccg,hg}: Add signal_subscribe(),
	signal_unsubscribe(), add_filter() and remove_filter() methods.
	Wrapped GDBusSignalFlags (reordered enums in alphabetical order).
	([get|set]_exit_on_close):
	(get_capabilities): Reordered declarations (by moving the _WRAP_METHOD
	macros) according to where they are declared in the C API.

2.27.4:

2010-11-30  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBus[MethodInvocation|Server]: Code corrections.

	* gio/src/dbusmethodinvocation.hg: Remove the default constructor
	because it probably will not be used (there is no create() method to
	go along with it).
	* gio/src/dbusserver.{ccg,hg} (create_sync): Use
	g_dbus_server_new_sync() instead of the constructors because the C
	function does more than call g_initable_new().

2010-11-22  José Alburquerque  <jaalburqu@svn.gnome.org>

	gmmproc: Some conversion fixes.

	* tools/pm/DocsParser.pm (convert_docs_to_cpp): Convert occurances of
	'`' to the variable '__BT__' defined in base.m4 which safely produces
	the same character without causing M4 processing errors.
	(convert_tags_to_doxygen): Add a substition for the
	<constant></constant> gtk-doc tag to the equivalent Doxygen <tt></tt>
	tag.  Also use '<' instead of '&lt;' and '>' instead of '&gt;' in the
	substitutions because otherwise the tags are not recognized.

2010-11-22  José Alburquerque  <jaalburqu@svn.gnome.org>

	Gio::DBusConnection: Add emit_signal().

	* gio/src/dbusconnection.{ccg,hg}: Add emit_signal() wrapping
	g_dbus_connection_emit_signal().
	* gio/src/dbusaddress.ccg: Typo.

2010-11-19  José Alburquerque  <jaalburqu@svn.gnome.org>

	Gio::DBus::Address: Wrap the gio dbus address API in this namespace.

	* gio/giomm.h:
	* gio/src/dbusaddress.{ccg,hg}:
	* gio/src/filelist.am: Add new sources and make sure they are built.

	* gio/src/dbusconnection.hg:
	* gio/src/dbuserror.hg: Typos.

2010-11-16  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBusConnection: Add call(), call_finish() and call_sync() methods.

	* gio/src/dbusconnection.{ccg,hg}: Add cancellable and non-cancellable
	versions of call() and call_sync().  Also added call_finish().

2.27.3.1:

2010-11-16  Murray Cumming  <murrayc@murrayc.com>

	ApplicationCommandLine: Fix print() and print_err().

	* gio/src/applicationcommandline.[hg|ccg]: These functions take a printf
	format and arguments, as shown by compiler warnings. So I just used "%s".

2010-11-15  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBus[Connection|Proxy]: Use Gio::AsyncInitable::init_async correctly.

	* gio/src/dbusconnection.ccg:
	* gio/src/dbusproxy.ccg: Use the non-cancellable version of
	Gio::AsyncInitable::init_async() where appropriate.

2010-11-14  José Alburquerque  <jaalburqu@svn.gnome.org>

	Initable: Add a non-cancellable overload of the init() method.

	* gio/src/initable.{ccg,hg} (init): Add a non-cancellable overload.
	* gio/src/dbusconnection.ccg:
	* gio/src/dbusproxy.ccg:
	* gio/src/dbusserver.ccg: Adapt API to use non-cancellable version of
	Gio::Initable::init().

2010-11-14  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: Provide non-cancellable overloads for newly added API.

	* gio/src/application.hg: Completed a TODO.
	* gio/src/asyncinitable.hg (init_async): Refer to existing method docs
	in the non-cancellable version instead of duplicating docs.
	* gio/src/dbusconnection.{ccg,hg}: Add non-cancellable overloads of
	the constructors and create methods instead of having a default null
	Cancellable parameter.  Renamed the synchronized create*() methods to
	create*_sync().
	(get): Added a non-cancellable overload as above.
	* gio/src/dbusproxy.{ccg,hg}: Added non-cancellable overloads of the
	constructors and create methods.  Renamed the create*() synchronized
	methods to create*_sync() as above.
	(call): Added a non-cancellable overload as above.
	* gio/src/dbusserver.{ccg,hg}: Add non-cancellable overloads of the
	constructor and create method.  Renamed the create() synchronized
	method to create_sync() as above.

2010-11-14  José Alburquerque  <jaalburqu@svn.gnome.org>

	Correct @newin{}'s and add class docs of newly added API.

	* gio/src/application.hg:
	* gio/src/asyncinitable.hg:
	* gio/src/credentials.hg:
	* gio/src/dbusauthobserver.hg:
	* gio/src/dbusconnection.hg:
	* gio/src/dbuserror.hg:
	* gio/src/dbusintrospection.hg:
	* gio/src/dbusmessage.hg:
	* gio/src/dbusmethodinvocation.hg:
	* gio/src/dbusownname.hg:
	* gio/src/dbusproxy.hg:
	* gio/src/dbusserver.hg:
	* gio/src/dbusutils.hg:
	* gio/src/dbuswatchname.hg:
	* gio/src/unixcredentialsmessage.hg:
	* gio/src/unixfdlist.hg:
	* gio/src/unixfdmessage.hg: Correct @newin{}'s from 2.26 to 2.28.

	* gio/src/proxy.hg:
	* gio/src/proxyaddress.hg:
	* gio/src/proxyresolver.hg: Add class docs.
	* gio/src/unixsocketaddress.hg: Add to Doxygen group NetorkIO.

	* gio/src/socketcontrolmessage.hg: Rephrase a TODO.

2010-11-13  Jonathon Jongsma  <jjongsma@gnome.org>

	Add Gio::ApplicationCommandLine

	* gio/giomm.h:
	* gio/src/application.hg:
	* gio/src/applicationcommandline.ccg:
	* gio/src/applicationcommandline.hg:
	* gio/src/filelist.am:
	* tools/m4/convert_gio.m4:

2010-11-12  Jonathon Jongsma  <jjongsma@gnome.org>

	Miscellaneous Gio::Application fixes

	* gio/src/application.hg:
	* gio/src/application.ccg:
		- Add non-cancellable overload of register_application()
		- return int value from run() correctly
		- Fix protected constructor signature
		- use _WRAP_CTOR and _WRAP_CREATE()

2.27.3:

2010-11-10  Murray Cumming  <murrayc@murrayc.com>

	Gio: Added some methods.

	* gio/src/gio_methods.defs:
	* glib/src/glib_functions.defs:
	* glib/src/gobject_functions.defs: Regenerated with h2defs.py.

	* gio/src/application.hg: Added open(). Notice that I have used std::vector
	instead of ArrayHandle, because that is what we should use for all new API,
	after we decided that the intermediate types are too awkward for people to
	understand.
	* gio/src/actiongroup.[hg|ccg]: Added list_actions, though we need to
	use a std::vector here instead.
	* gio/src/datainputstream.[hg|ccg]: Added read_upto(), read_upto_async()
	and read_upto_finish(). Updated the read_until*() documentation to
	discourage their use (apparently they will be properly deprecated eventually).
	* gio/src/settings.hg: Added range_check().
	* gio/src/socketclient.[hg|ccg]: Added connect_to_uri(), connect_to_uri_async()
	and connect_to_uri_finish().

2010-11-08  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBusConnection: Make sure the AsyncInitable inheritance is correct.

	* gio/src/dbusconnection.hg: Add a missing _IMPLEMENTS_INTERFACE() for
	the AsyncInitiable interface that DBusconnection implements.

2010-11-08  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm.h: Add includes of newly wrapped API.

	* gio/giomm.h: Add forgotten includes of actiongroup.h and
	unixsocketaddress.h to the main giomm.h include file.

2010-11-08  Krzesimir Nowak  <qdlacz@gmail.com>

	ObjectBase: Fixed refcount debugging message.

	* glib/glibmm/objectbase.cc: A parameter passed to g_warning() in
	destroy_notify_callback() describing a name of GObject should be indeed
	a name, not a pointer to GObject.

2010-11-07  José Alburquerque  <jaalburqu@svn.gnome.org>

	UnixSocketAddress: Correct the wrapping of create() methods.

	* gio/src/unixsocketaddress.hg: Remove the multi-parameter constructor
	and create() method, handwriting the create() method instead to wrap
	g_unix_socket_address_new_with_type() because the C function does more
	than call g_object_new().

	* gio/src/filelist.am: Typo.

2010-11-07  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: Add UnixSocketAddress.

	* tools/extra_defs_gen/generate_defs_gio.cc:
	* gio/src/gio_signals.defs: Add the GUnixSockeAddress GType to the
	list of types for which signals and properties should be generated and
	regenerate the signals and properties defs file.

	* gio/src/filelist.am:
	* gio/src/unixsocketaddress.{ccg,hg}: Add the UnixSocketAddress
	sources and mention them so they are built.
	* tools/m4/convert_gio.m4: Add a necessary enum conversion.

	* gio/src/enums.hg: Wrap the Gio::ErrorEnum enum.

2010-11-04  José Alburquerque  <jaalburqu@svn.gnome.org>

	UnixCredentialMessage, UnixFDMessage: Wrap properties correctly.

	* gio/src/unixcredentialsmessage.hg:
	* gio/src/unixfdmessage.hg: Correct the wrapping of properties (the
	arguments were interchanged).

	* gio/src/application.hg: Typos.
	* gio/src/socketconnectable.hg: Refine a TODO.

2010-11-03  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: Wrap several unwrapped functions.

	* gio/src/memoryoutputstream.hg: Added steal_data(), and a get_data()
	constant version.
	* gio/src/networkservice.hg: Added get_scheme(), set_scheme().
	Wrapped the "scheme" property.
	* gio/src/socket.{ccg,hg}: Added get_timeout(), set_timeout(),
	receive_with_blocking() and send_with_blocking().
	* gio/src/socketclient.hg: Add get_enable_proxy(), set_enable_proxy(),
	get_timeout(), set_timeout() and add_application_proxy().
	* gio/src/socketconnectable.hg: Added proxy_enumerate() and an
	enumerate() constant version.

	* gio/src/socketaddressenumerator.hg: Added TODO's.

	* gio/src/actiongroup.hg: Small class docs correction.

2010-11-03  José Alburquerque  <jaalburqu@svn.gnome.org>

	Application, ActionGroup: Add Doxygen class documentation.

	* gio/src/application.hg: Add class docs.
	(is_valid): Renamed to id_is_valid().
	* gio/src/actiongroup.hg: Added class docs.
	* gio/src/dbuserror.hg: Typos.

2010-11-03  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with glib from git master.

	* glib/glibmm/main.[h|cc]: get_time(): Now returns a gint64 instead of
	a GTimeSpec output parameter.

2.27.2:

2010-11-01  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with --enable-warnings=fatal

	* glib/glibmm/main.[h|cc]: get_current_time(): undef G_DISABLE_DEPRECATED
	so this can build. Deprecate it to match the C API. Add get_time() which
	replaces it. However, we should replace our use of it, which seems difficult.

2010-11-01  José Alburquerque  <jaalburqu@svn.gnome.org>

	Application: Re-wrap according to the latest API.

	* gio/src/application.{ccg,hg}: Re-wrapped the API according to the
	recent changes in the C API.  Old methods were removed and new ones
	wrapped.  Also wrapped its properties.
	* tools/m4/convert_gio.m4: Added necessary conversion.

2010-11-01  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: Add ActionGroup interface.

	* tools/extra_defs_gen/generate_defs_gio.cc:
	* gio/src/gio_signals.defs: Add the GActionGroup type to the extra
	defs generation tool and regenerate the signal defs file to get the
	signals of GActionGroup.
	* gio/src/actiongroup.{ccg,hg}:
	* gio/src/filelist.am: Add new ActionGroup interface sources and
	mention them so they are build.

2010-10-28  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBusConnection: Reorder parameters to allow default values for flags.

	* gio/src/dbusconnection.{ccg,hg}: Reorder the parameters in the
	constructors and create methods so that the DBusConnection flag
	parameter has a default value.
	* gio/src/dbusproxy.hg (get_cached_property): Docs re-formatting.

2010-10-26  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBusConnection: Add docs to some methods.

	* gio/src/dbusconnection.hg: Add Doxygen docs to wrapped methods
	without them.
	* gio/src/dbusproxy.hg: Typo.

2010-10-26  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBusProxy: Add get_cached_property().

	* gio/src/dbusproxy.{ccg,hg}: Add get_cached_property(), wrapping
	g_dbus_proxy_get_cached_property().  Also add missing _IGNORE().

2.27.1:

2010-10-26  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBusProxy: Wrap call(), call_finish() and call_sync() methods.

	* gio/src/dbusconnection.hg: Wrap the DBusCallFlags enum.
	* gio/src/dbusproxy.{ccg,hg}: Wrap the call(), call_finish() and
	call_sync() methods.

2010-10-26  José Alburquerque  <jaalburqu@svn.gnome.org>

	Variant: Remove floating reference on creation.

	* glib/src/variant.ccg:
	* glib/src/variant_basictypes.cc.m4: Modify all create methods of the
	variant classes so that they remove the floating reference of the
	newly created GVariants.  The C API sometimes 'consumes' GVariants
	with floating references (see g_dbus_proxy_call()) so this allows C++
	to worry about deleting GVariants when their references are all lost.

2010-10-26  José Alburquerque  <jaalburqu@svn.gnome.org>

	DBusProxy: Wrap properties and signals.

	* tools/extra_defs_gen/generate_defs_gio.cc: Add a new section for
	DBus types and add the GDBusProxy type to the gio extra defs
	generation tool.
	* gio/src/gio_signals.defs: Regenerate with the extra defs tool to get
	the properties and signals of GDBusProxy.  Some types (like GVariant
	and GStrv) have to be manually edited.
	* gio/src/dbusproxy.hg: Wrap properties and (one of two) signals.
	* tools/m4/convert_glib.m4: Add a const-gchar* to `const
	Glib::ustring&' conversion (it may be more appropriate to include it
	in dbusproxy.hg for the "g-signal" signal).

2010-10-25  José Alburquerque  <jaalburqu@svn.gnome.org>

	AsyncInitable: Add create_finish() wrapping an unwrapped function.

	* gio/src/asyncinitable.hg: Add create_finish() wrapping
	g_async_initable_new_finish().  Its not clear how useful the method
	will be, but at least gmmproc does not say that it is still unwrapped.
	* gio/src/dbusproxy.hg: Typo.

2010-10-21  Murray Cumming  <murrayc@murrayc-desktop>

	Added get_system_data_dirs() and get_system_config_dirs().

	* glib/glibmm/miscutils.[h|cc]: Wrappping g_get_system_data_dirs() and
	g_get_system_config_dirs(), which were actually added in glib 2.6 but
	not noticed by us until now.
	Notice that these return std::vector<> instead of ArrayHandle, because we
	have decided to do that for new APIs.

2010-10-19  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with the latest glib API.

	* gio/src/gio_enums.defs: Regenerated with enums.pl.
	* gio/src/gio_methods.defs: Regenerated with h2defs.py.
	* gio/src/gio_signals.defs: Regenerated with extra_defs.
	* gio/src/application.[hg|ccg]: Adapt to the changed API in glibmm,
	though several functions, properties and signals are not yet wrapped.
	* gio/src/dbusserver.hg: new_connection signal: Now returns a bool.
	* tools/m4/convert_gio.m4: Mention the new enum.

2010-10-18  José Alburquerque  <jaalburqu@svn.gnome.org>

	glibmm: ustring: Restore last block removed by #ifdef removal script.

	* glib/glibmm/ustring.cc: Restore the last block that was accidentally
	removed by the optional API #ifdef removal script.  There were three.
	Two were restored (GNOME bug #622030), but one (final one) was not.
	This commit does that, restoring the file to its original condition
	without the optional API #ifdefs.

2.27.0:

2010-09-28  Armin Burgmeier  <armin@arbur.net>

	* MSVC_Net2005/examples/compose/compose.vcproj:
	* MSVC_Net2005/examples/dispatcher/dispatcher.vcproj:
	* MSVC_Net2005/examples/dispatcher2/dispatcher2.vcproj:
	* MSVC_Net2005/examples/keyfile/keyfile.vcproj:
	* MSVC_Net2005/examples/markup/markup.vcproj:
	* MSVC_Net2005/examples/options/options.vcproj:
	* MSVC_Net2005/examples/properties/properties.vcproj:
	* MSVC_Net2005/examples/regex/regex.vcproj:
	* MSVC_Net2005/examples/resolver/resolver.vcproj:
	* MSVC_Net2005/examples/socket-client/socket-client.vcproj:
	* MSVC_Net2005/examples/socket-server/socket-server.vcproj:
	* MSVC_Net2005/examples/thread/thread.vcproj:
	* MSVC_Net2005/examples/thread_pool/thread_pool.vcproj:
	* MSVC_Net2005/filelist.am:
	* MSVC_Net2005/gendef/gendef.vcproj:
	* MSVC_Net2005/giomm/giomm.vcproj:
	* MSVC_Net2005/glibmm.sln:
	* MSVC_Net2005/glibmm/glibmm.vcproj:
	* MSVC_Net2005/tests/giomm_simple/giomm_simple.vcproj:
	* MSVC_Net2005/tests/glibmm_value/glibmm_value.vcproj:
	* MSVC_Net2008/examples/compose/compose.vcproj:
	* MSVC_Net2008/examples/dispatcher/dispatcher.vcproj:
	* MSVC_Net2008/examples/dispatcher2/dispatcher2.vcproj:
	* MSVC_Net2008/examples/keyfile/keyfile.vcproj:
	* MSVC_Net2008/examples/markup/markup.vcproj:
	* MSVC_Net2008/examples/options/options.vcproj:
	* MSVC_Net2008/examples/properties/properties.vcproj:
	* MSVC_Net2008/examples/regex/regex.vcproj:
	* MSVC_Net2008/examples/resolver/resolver.vcproj:
	* MSVC_Net2008/examples/socket-client/socket-client.vcproj:
	* MSVC_Net2008/examples/socket-server/socket-server.vcproj:
	* MSVC_Net2008/examples/thread/thread.vcproj:
	* MSVC_Net2008/examples/thread_pool/thread_pool.vcproj:
	* MSVC_Net2008/filelist.am:
	* MSVC_Net2008/gendef/gendef.vcproj:
	* MSVC_Net2008/giomm/giomm.vcproj:
	* MSVC_Net2008/glibmm.sln:
	* MSVC_Net2008/glibmm/glibmm.vcproj:
	* MSVC_Net2008/tests/giomm_simple/giomm_simple.vcproj:
	* MSVC_Net2008/tests/glibmm_value/glibmm_value.vcproj:
	* MSVC_Net2010/examples/compose/compose.vcxproj:
	* MSVC_Net2010/examples/compose/compose.vcxproj.filters:
	* MSVC_Net2010/examples/dispatcher/dispatcher.vcxproj:
	* MSVC_Net2010/examples/dispatcher/dispatcher.vcxproj.filters:
	* MSVC_Net2010/examples/dispatcher2/dispatcher2.vcxproj:
	* MSVC_Net2010/dispatcher2/dispatcher2.vcxproj.filters:
	* MSVC_Net2010/examples/keyfile/keyfile.vcxproj:
	* MSVC_Net2010/examples/keyfile/keyfile.vcxproj.filters:
	* MSVC_Net2010/examples/markup/markup.vcxproj:
	* MSVC_Net2010/examples/markup/markup.vcxproj.filters:
	* MSVC_Net2010/examples/options/options.vcxproj:
	* MSVC_Net2010/examples/options/options.vcxproj.filters:
	* MSVC_Net2010/examples/properties/properties.vcxproj:
	* MSVC_Net2010/examples/properties/properties.vcxproj.filters:
	* MSVC_Net2010/examples/regex/regex.vcxproj:
	* MSVC_Net2010/examples/regex/regex.vcxproj.filters:
	* MSVC_Net2010/examples/resolver/resolver.vcxproj:
	* MSVC_Net2010/examples/resolver/resolver.vcxproj.filters:
	* MSVC_Net2010/examples/socket-client/socket-client.vcxproj:
	* MSVC_Net2010/socket-client/socket-client.vcxproj.filters:
	* MSVC_Net2010/examples/socket-server/socket-server.vcxproj:
	* MSVC_Net2010/socket-server/socket-server.vcxproj.filters:
	* MSVC_Net2010/examples/thread/thread.vcxproj:
	* MSVC_Net2010/examples/thread/thread.vcxproj.filters:
	* MSVC_Net2010/examples/thread_pool/thread_pool.vcxproj:
	* MSVC_Net2010/thread_pool/thread_pool.vcxproj.filters:
	* MSVC_Net2010/filelist.am:
	* MSVC_Net2010/gendef/gendef.vcxproj:
	* MSVC_Net2010/gendef/gendef.vcxproj.filters:
	* MSVC_Net2010/giomm/giomm.rc.in:
	* MSVC_Net2010/giomm/giomm.vcxproj:
	* MSVC_Net2010/giomm/giomm.vcxproj.filters:
	* MSVC_Net2010/glibmm.sln:
	* MSVC_Net2010/glibmm/glibmm.rc.in:
	* MSVC_Net2010/glibmm/glibmm.vcxproj:
	* MSVC_Net2010/glibmm/glibmm.vcxproj.filters:
	* MSVC_Net2010/tests/giomm_simple/giomm_simple.vcxproj:
	* MSVC_Net2010/giomm_simple/giomm_simple.vcxproj.filters:
	* MSVC_Net2010/tests/glibmm_value/glibmm_value.vcxproj:
	* MSVC_Net2010/glibmm_value/glibmm_value.vcxproj.filters:
	* Makefile.am:
	* configure.ac: Add MSVC2010 project files and 64 bit support.

2010-09-20  Murray Cumming  <murrayc@murrayc.com>

  Depend on glib 2.27.0, because we need GApplication.

  * configure.ac: Increase the glib dependency.

This is the master branch.
See the glibmm-2-26 branch too.

2010-09-14  Murray Cumming  <murrayc@murrayc.com>

	Settings: Comment out get_destroyed() to avoid a linker error.

	* gio/src/settings.[hg|ccg]: Comment out the use of g_setting_get_destroyed().
  See glib bug https://bugzilla.gnome.org/show_bug.cgi?id=629621 .

2010-09-14  Murray Cumming  <murrayc@murrayc.com>

	DBusConnection: Fix some (useful) compilation warnings.

	* gio/src/dbusconnection.[hg|ccg]: IOStream constructors and create*()
  methods: Actually use the slot parameter.

2010-09-14  Murray Cumming  <murrayc@murrayc.com>

	giomm: Added some DBusMessage and NetworkAddress methods.

	* gio/src/dbusmessage.hg: Added get_locked(), lock(), and copy().
	* gio/src/networkaddress.hg: Added get_scheme() and property.

2010-09-14  Murray Cumming  <murrayc@murrayc.com>

	glibmm: Added VariantIter source files that I forget to git add before.

	* glib/src/variantiter.[hg|ccg]: Added missing files to git.

2010-09-13  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: DBusConnection: Wrap async constructors and create methods.

	* gio/src/dbusconnection.{ccg,hg}: Wrapped create(), create_finish().
	Renamed the create() method accepting an address instead of an
	IOStream to create_for_address().  Wrapped
	create_for_address_finish().  Wrapped pertinent constructors.  Wrapped
	get() and get_finish().
	* gio/src/dbusproxy.{ccg,hg}: Renamed create() accepting a BusType
	parameter to create_for_bus().  Wrapped create_for_bus_finish().

2010-09-13  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: DBusServer: Corrected parameter order of constructor.

	* gio/src/dbusserver.{ccg,hg}: Reordered the parameters of the
	constructor and create() method so that the flag is the last optional
	parameter.

2010-09-13  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: Add various unwrapped methods.

	* gio/src/gio_methods.defs: Regenerated.
	* gio/src/gio_signals.defs: Corrected GVariant parameters of the
	GApplication signal defs (from GVariant to GVariant*).
	* gio/src/application.hg: Wrapped "action-with-data",
	"prepare-activation", and "quit-with-data" signals.
	* gio/src/settings.hg: Wrapped reset(), list_children(), list_keys()
	get_destroyed(), and the "writable_change_event" signal.

	* gio/src/asyncinitable.hg:
	* gio/src/settingsbackend.hg: Typos.

2010-09-13  Murray Cumming  <murrayc@murrayc.com>

	DBusMessage: Added methods.

	* gio/src/dbusconnection.hg: Move DBusCapabilityFlags to dbusmessage.h.
	* gio/src/dbusmessage.[hg|ccg]: Added create_from_blob(),
  set/get_byte_order(), get_header_fields(), bytes_needed(), to_blob(), and
  to_exception().
	* gio/src/gio_enums.defs: Regenerated with enums.pl.

2010-09-13  Murray Cumming  <murrayc@murrayc.com>

	Add VariantIter include to glibmm.h.

	* glib/glibmm.h:
	* glib/src/variant.hg: Add an _IGNORE() too.

2010-09-13  Murray Cumming  <murrayc@murrayc.com>

	Added VariantIter.

	* glib/src/glib_functions.defs:
	* glib/src/gobject_functions.defs: Regenerated with h2defs.py.
	* glib/src/filelist.am:
  * glib/src/variantiter.[hg|ccg]: Added the VariantIter class. Unfortunately
  it can't be much like a std::iterator until we fix the C API - see the
  comments.
	* glib/src/varianttype.hg: Added an m4 line to fix the build.

2010-09-13  Murray Cumming  <murrayc@murrayc.com>

	VariantBase: Added a byte/guchar specialization.

	* glib/src/variant_basictypes.cc.m4:
	* glib/src/variant_basictypes.h.m4: Add an extra argument to the macro,
  so we can handle g_variant_get_byte(), whose function/macro type name is not
  the same as its C type name. Each macro only uses 2 arguments, but it is
  clearer if both are the same, I think.
	* glib/src/variant.hg: Mark g_variant_get_byte() as handled.

2010-09-13  Murray Cumming  <murrayc@murrayc.com>

	Variant: Added some methods.

	* glib/src/variant.[hg|ccg]: Added get_maybe(), get_size(), get_data(),
  store(), and get_n_children().

2010-09-09  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: DBus: Wrap D-Bus Utilities and GDBusError C functions.

	* gio/src/dbuserror.{ccg,hg}:
	* gio/src/dbusutils.{ccg,hg}:
	* gio/src/filelist.am: Add new sources wrapping C functions from the
	D-Bus Utilities and GDBusError gio DBus C API.  The GBDusError
	functions are wrapped in a new Gio::DBus::Error namespace.
	* gio/src/dbusownname.hg:
	* gio/src/dbuswatchname.hg: Typos.

2010-09-09  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: DBus Introspection Data Classes: Add const methods.

	* gio/src/dbusintrospection.hg: Add const methods returning
	DBusMethodInfo, DBusSignalInfo, DBusPropertyInfo and DBusInterfaceInfo
	classes to the DBusInterfaceInfo and DBusNodeInfo classes.
	* gio/src/dbusmethodinvocation.hg (get_method_info): Remove the
	non-const verrsion of this method because the C API only has a version
	returning a const GDBusMethodInfo.
	* tools/m4/convert_gio.m4: Move the conversion
	DBusMethodInvocation::get_method_info() over to the local .hg file
	because it is specific to that method.

2010-09-07  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: DBusProxy: Correct the use of the DBusInterfaceInfo class.

	* gio/src/dbusproxy.{ccg,hg}: Use the DBusInterfaceInfo class wrapper
	instead of the C API one.  The wrapper is reference counted.
	(set/get_interface_info): Add these new methods, wrapping
	g_dbus_proxy_set_interface_info() and
	g_dbus_proxy_get_interface_info().
	* gio/src/dbusmethodinvocation.{ccg,hg} (get_method_info): Add this
	method, wrapping g_dbus_method_invocation_get_method_info().
	* tools/m4/convert_gio.m4: Add necessary conversions.

2010-09-07  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: Add D-Bus Introspection Data classes.

	* gio/src/dbusintrospection.{ccg,hg}:
	* gio/src/filelist.am: Add new sources containing the various
	introspection data classes (with their methods) representing
	annotations, methods, signals, properties and interfaces for the DBus
	API.
	* tools/m4/convert_gio.m4: Add the necessary conversions.

2010-09-06  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: DBusProxy: Add constructors and create methods.

	* gio/src/dbusproxy.{ccg,hg}: Add the constructors and create methods
	making sure that the order of the parameters allows for the
	Cancellable to be optional.  Also made sure that the GDBusInterface
	parameter is constant.

	* gio/src/dbusconnection.ccg (DBusConnection): Rename the "observer"
	property in the _CONSTRUCT macro to the correct
	"authentication-observer" name used in the new function.

	* gio/src/socketcontrolmessage.hg:
	* gio/src/unixfdlist.hg:
	* gio/src/unixfdmessage.hg: Correct typos in newin{}'s.

2010-09-05  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: Add initial DBusProxy implementation.

	* gio/src/dbusproxy.{ccg,hg}:
	* gio/src/filelist.am: Add new DBusProxy source.
	* tools/m4/convert_gio.m4: Add conversions for DBusProxy.

2010-09-03  Murray Cumming  <murrayc@murrayc.com>

	gmmproc: Fix the annoying warnings about documentation.

	* tools/pm/GtkDefs.pm: lookup_object(): Do not print a warning when the
	object is found, because this is used when guessing an object name while
	breaking apart a function name in DocsParser.pm.
	* gio/src/filelist.am:
	* gio/src/gio.defs:
	* gio/src/gio_extra_objects.defs:
	* glib/src/filelist.am:
	* glib/src/glib.defs:
	* glib/src/glib_extra_objects.defs: Added the *extra_objects.defs files,
	with hand-coded define-object sections, for objects that hide their *Class
	or *Iface struct declarations, which stops h2defs.py from generating
	define-object sections.
	These allows DocsParser.pm to know how to split mentions of C functions into
	the object and the method, so it can guess the C++ method name to mention
	instead.

2010-09-03  Murray Cumming  <murrayc@murrayc.com>

	giomm: Added remaining Proxy and ProxyResolver methods.

	* gio/src/proxy.[hg|ccg]: Added connect_async().
	* gio/src/proxyresolver.[hg|ccg]: Added lookup_async().

2010-09-02  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: DBus: watch_name(): Add DBusConnection implementation.

	* gio/src/dbuswatchname.ccg (watch_name): Add this forgotten
	function implementation accepting a DBusConnection instead of a
	BusType.

2010-09-02  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: DBus: Add watch/unwatch_name().

	* gio/src/dbuswatchname.{ccg,hg}:
	* gio/src/filelist.am: Add watch/unwatch_name() functions to the
	Gio::DBus namespace wrapping the Gio Bus Name Watching API.

2010-09-02  Murray Cumming  <murrayc@murrayc.com>

	giomm: Added Proxy, ProxyAddress and ProxyResolver.

	* gio/src/proxy.[hg|ccg]:
	* gio/src/proxyaddress.[hg|ccg]:
	* gio/src/proxyresolver.[hg|ccg]: New files, not complete.

2.25.4:

2010-08-31  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: AsyncInitiable: Correct errors.

	* gio/src/asyncinitable.ccg (init_async_vfunc_callback): Take an extra
	reference of the cancellable when calling the member virtual method so
	the cancellable is not destroyed.
	(init_async_vfunc): Don't create a copy of the SlotAsyncReady because
	it would have already been copied in init_async() method invocation.

2010-08-30  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: AsyncInitable: Wrap virtual functions.

	* gio/src/gio_vfuncs.defs: Add the GAsyncInitable virutal functions.
	* gio/src/asyncinitable.{ccg,hg} (init_async_vfunc): Handwrite virtual
	function because of the slot parameter.
	(init_finish_vfunc): Likewise, because of the GError parameter.

2010-08-30  José Alburquerque  <jaalburqu@svn.gnome.org>

	AsyncInitable: Remove duplicate license blocks.

	* gio/src/asyncinitable.hg:

2010-08-30  José Alburquerque  <jaalburqu@svn.gnome.org>

	Include header files of newly added API in main include files.

	* gio/giomm.h:
	* glib/glibmm.h: Include the headers of newly added API in the main
	header files so the API is included automatically with the general
	includes.

2010-08-30  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: Add AsyncInitable interface.

	* gio/src/asyncinitable.ccg:
	* gio/src/asyncinitable.hg: Add source files for AsyncInitable
	interface.
	* gio/src/filelist.am: Mention the asyncinitable.hg file so the
	sources are built.
	* gio/src/dbusconnection.hg: Have DBusConnection derive from the
	AsyncInitable interface also.

2010-08-27  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: DBusConnection: Wrap synchronous new functions.

	* gio/src/dbusconnection.ccg:
	* gio/src/dbusconnection.hg: Wrap g_dbus_connection_new_sync() and
	g_dbus_connection_new_for_address_sync() functions (using constructors
	and create methods).

2010-08-24  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: Add UnixCredentialsMessage to the build.

	* tools/extra_defs_gen/generate_defs_gio.cc: Uncomment the code in the
	extra defs generation tool so that properties and signals for
	GUnixCredentialsMessage are generated.
	* gio/src/gio_signals.defs: Regenerate the signal and properties def
	file to get the properties of GUnixCredentialsMessage.
	* gio/src/filelist.am: Mention the unixcredentialsmessage.hg so that
	it is built.

2010-08-17  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: Add UnixFDMessage to the build.

	* gio/src/unixfdmessage.ccg: Include <gio/gunixfdmessage.h> instead
	of <gio/gio.h> so that the C API function definitions are correctly
	included.
	* gio/src/unixcredentialsmessage.ccg: Correct the include here also,
	but bug #627013 must be resolved before including
	UnixCredentialsMessage in the build.
	* gio/src/filelist.am: Mention the unixfdmessage.hg file so
	UnixFDMessage is built.  Left a TODO for UnixCredentialsMessage.
	* tools/extra_defs_gen/generate_defs_gio.cc: Updated so that the tool
	can be used to generate the signals and properties of GUnixFDMessage.
	* gio/src/gio_signals.defs: Regenerated to get the properties of
	GUnixFDMessage.

2010-08-13  José Alburquerque  <jaalburqu@svn.gnome.org>

	Regenerate the docs.

	* gio/src/gio_docs.xml:
	* glib/src/glib_docs.xml: Regenerate the docs so that documentation is
	generated for methods that wrap newly added API.

2010-08-10  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: Use ifdef in _WRAP_METHOD()s surrounded by #ifdefs.

	* gio/src/credentials.hg:
	* gio/src/dbusmessage.ccg:
	* gio/src/dbusmessage.hg: Use the ifdef option in the _WRAP_METHOD()s
	that wrap C functions that are built based on #ifdef conditions.  This
	allows the #ifdefs to be generated in the .cc files also.

	* gio/src/unixconnection.hg (receive_credentials): Use constversion
	in the _WRAP_METHOD() of the constant version so that the code of the
	non-constant version is used instead of generated new code.

	* gio/src/unixfdlist.hg: _IGNORE() C functions that are handwritten.
	(UnixFDList): Use explicit for single parameter constructor.

2010-08-06  José Alburquerque  <jaalburqu@svn.gnome.org>

	glibmm: VariantBase: Correct typo in docs.

	* glib/src/variant.hg: Correct typos in class docs.
	* glib/src/variant.ccg (get_normal):
	(byteswap): Receive the GVariants from the C functions as const since
	the variants should not be modified.

2010-08-06  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: UnixConnection: Add receive/send_credentials() methods.

	* gio/src/unixconnection.hg: Add receive/send_credentials() which
	the UnixCredentialsMessage docs refers to.

2010-08-05  José Alburquerque  <jaalburqu@svn.gnome.org>

	giomm: Add SocketControlMessage, Unix[Credentials|FD]Message classes.

	* gio/src/socketcontrolmessage.{ccg,hg}:
	* gio/src/filelist.am: Add SocketControlMessage sources and mention
	the .hg file so the sources are built.
	* gio/src/gio_vfuncs.defs: Add virtual functions for
	GSocketControlMessage.

	* gio/src/unixcredentialsmessage.{ccg,hg}:
	* gio/src/unixfdmessage.{ccg,hg}: Add UnixCredentialsMessage and
	UnixFDmessage sources but don't mention them because the gio include
	paradignm seems to be causing the C functions not to be declared upon
	compilation.
	* tools/extra_defs_gen/generate_defs_gio.cc: Add the
	GUnixCredentialsMessage and the GUnixFDMessage types but commented out
	because the types also appear not to be defined because of the gio
	include paradigm.

	* tools/m4/convert_gio.m4: Add necessary conversions.

2.25.3:

2010-07-30  Murray Cumming  <murrayc@murrayc.com>

	generate_defs_gio.cc: Added some new types.

	* tools/extra_defs_gen/generate_defs_gio.cc: Added GApplication,
	GSettings and GSettingsBackend.

2010-07-30  Murray Cumming  <murrayc@murrayc.com>

	Application: Add create_*() overloads.

	* gio/src/application.[hg|ccg]: Add create_*() methods without argc and
	argv parameters, because these can be NULL.

2010-07-30  Murray Cumming  <murrayc@murrayc.com>

	Added Gio::Application, wrapping GApplication.

	* gio/src/filelist.am:
	* gio/src/application.[hg|ccg]: New files. We maybe want to move some of
	Glib::Main to this and deprecated Glib::Main, though it would then be
	annoying to use Glib::RefPtr there.

2010-07-30  José Alburquerque  <jaalburqu@svn.gnome.org>

	Add Gio::DBus::[own|unown]_name().

	* gio/src/dbusconnection.hg: Wrap the BusType enum and add class docs.
	* gio/src/dbusownname.{ccg,hg}: Add new source files that implement
	the own_name() and unown_name() functions.  The functions are defined
	in a Gio::DBus namesapce.
	* gio/src/filelist.am: Mention the hg source file so that the sources
	are built.

2010-07-30  José Alburquerque  <jaalburqu@svn.gnome.org>

	VaraintBase: Use output parameters instead of returning values.

	* glib/src/variant.{ccg,hg}: get_normal_form(), byteswap(): Handwrote
	these methods so that output parameters can be used instead of
	returning the result.

2010-07-29  Murray Cumming  <murrayc@murrayc.com>

	Variant: Added some methods.

	* glib/src/variant.hg: Added some methods.

2010-07-29  Murray Cumming  <murrayc@murrayc.com>

	VariantType: Added create_*() methods.

	* glib/src/glib_functions.defs: Regenerated, manually changing some
	define-method lines to define-function lines.
	* glib/src/varianttype.[hg|ccg]: Added create_*() methods and a
	(std::string) constructor.
	* tools/m4/convert_glib.m4: Added a conversion.

2010-07-29  Murray Cumming  <murrayc@murrayc.com>

	VariantType: Add more appropriate constructor and add Gtk::Stock-like types.

	* glib/src/varianttype.[hg|ccg]: Add a cobject constructor that always copies,
	and an operator= to match.
	Add VariantType* objects to match the G_VARIANT_TYPE_* defines in C.

2010-07-29  Murray Cumming  <murrayc@murrayc.com>

	Added VariantType

	* glib/src/filelist.am:
	* glib/src/varianttype.[hg|ccg]: Added VariantType, though
	we still need to wrap the _new_*() functions as create_*().
	* tools/m4/convert_glib.m4: Added necessary conversions.

2010-07-28   Martin Braure de Calignon  <braurede@free.fr>

	giomm: DBusConnection: Added send_message_with_reply().

	* gio/src/dbusconnection.[hg|ccg]: Added send_message_with_reply()
	and send_message_with_reply_finish().

2010-07-27  José Alburquerque  <jaalburqu@svn.gnome.org>

	Add Gio::DBusMethodInvocation.

	* gio/src/dbusmethodinvocation.{ccg,hg}:
	* gio/src/filelist.am: Add source files for Gio::DBusMethodInvocation.
	* tools/m4/convert_gio.m4: Add necessary conversions.
	* gio/src/unixfdlist.hg: Add missing @newin{}'s.
	* gio/src/dbusauthobserver.hg: Typo.

2010-07-27  José Alburquerque  <jaalburqu@svn.gnome.org>

	Gio::Message: Wrap several methods.

	* gio/src/dbusmessage.ccg:
	* gio/src/dbusmessage.hg: Wrap create_method_error_literal(),
	get_body(), set_body(), [get|set|unset]_unix_fd_list().  Reordered
	method declarations according to the C declarations.  Added class and
	method docs.
	* tools/m4/convert_gio.m4: Added conversions for new methods above.

2010-07-27  José Alburquerque  <jaalburqu@svn.gnome.org>

	Gio::UnixFDList: peek_fds(): Made return const for emphasis.

	* gio/src/unixfdlist.ccg:
	* gio/src/unixfdlist.hg: Remove redundant paragraph in class docs.
	(peek_fds): Made return const to emphasize that the file descriptors
	should not be modified.
	(steal_fds): Remove unnecessary const_cast<>.

2010-07-26  José Alburquerque  <jaalburqu@svn.gnome.org>

	Gio::UnixFDList: Add params and returns in create() method docs.

	* gio/src/unixfdlist.hg (create): Add @param and @return to the method
	docs for clarity.

2010-07-26  José Alburquerque  <jaalburqu@svn.gnome.org>

	Add Gio::UnixFDList.

	* gio/src/unixfdlist.ccg:
	* gio/src/unixfdlist.hg:
	* gio/src/filelist.am: Add the UnixFDList source files.

	* gio/src/dbusserver.hg (DBusServer): Add a description line to the
	class header.

2010-07-26  José Alburquerque  <jaalburqu@svn.gnome.org>

	Gio::DBusServer: Use the _CONSTRUCT macro in the constructor.

	* gio/src/dbusserver.ccg (DBusServer): Use the _CONSTRUCT macro in the
	constructor so that its instances are constructed properly.

2010-07-25  José Alburquerque  <jaalburqu@svn.gnome.org>

	Add Gio::DBusServer.

	* gio/src/dbusserver.ccg:
	* gio/src/dbusserver.hg:
	* gio/src/filelist.am: Add the new sources for Gio::DBusServer.

	* tools/extra_defs_gen/generate_defs_gio.cc:
	* gio/src/gio_signals.defs: Add the GDBusServer type to the extra defs
	generation utility and regenerate the signal defs file to get the
	signals and properties of GDBusServer.

	* tools/m4/convert_gio.m4: Add conversions for GDBusServer.
	Alphabetize the enum conversions.

	* gio/src/dbusauthobserver.hg: Typos.

2010-07-25  Murray Cumming  <murrayc@murrayc.com>

	DBusAuthObserver: Fix the build with latest glib.

	* gio/src/dbusauthobserver.hg: authorize_authenticated_peer signal:
	Use no_default_handler, so we don't try to access the (totally private)
	GDBusAuthObserverClass struct.

2010-07-23  José Alburquerque  <jaalburqu@svn.gnome.org>

	Gio::DBusAuthObserver: Make parameters constant.

	* gio/src/dbusauthobserver.[hg|ccg]:
	* gio/src/filelist.am: Add the source files, this time making sure the
	parameters in the methods and signals are constant because this class
	is only meant to observe authentications of remote peers and tell if
	the connection is valid based on the parameters.  It doesn't look like
	the parameters should be changed in the signal handlers.

	* gio/src/gio_signals.defs:
	* tools/extra_defs_gen/generate_defs_gio.cc: Add changes not included
	in the addition of the Gio::DBusAuthObserver API.

	* tools/m4/convert_gio.m4: Fix the conversions so that they convert
	from const parameters to non-const for the C API.

2010-07-23  Murray Cumming  <murrayc@murrayc.com>

	Fix warnings.

	* gio/src/settings.hg:
	* glib/src/variant.hg: Remove extra ;s.

2010-07-23  José Alburquerque  <jaalburqu@svn.gnome.org>

	Add Gio::DBusAuthObserver.

	* gio/src/dbusauthobserver.[hg|ccg]:
	* gio/src/filelist.am: Add the source files of Gio::DBusAuthObserver
	and add them to the compile list.

	* tools/extra_defs_gen/generate_defs_gio.cc:
	* gio/src/gio_signals.defs: Add the G_TYPE_DBUS_AUTH_OBSERVER to the
	extra defs gio utility and regenerate the signals defs file with the
	utility to get the signals and properties of GDBusAuthObserver.

2010-07-22  Murray Cumming  <murrayc@murrayc.com>

	DBusMessage: Add get_header() and set_header().

	* gio/src/dbusmessage.[hg|ccg]: Add get_header(), using a VariantBase output
	parameter, and set_header().
	* gio/src/settings.[hg|ccg]: get_value(): Make this const too.
	* tools/m4/convert_gio.m4: Added conversions.

2010-07-22  Murray Cumming  <murrayc@murrayc.com>

	Variant<>: Make this usable as an ouput parameter.

	* glib/src/variant.[hg|ccg]: VariantBase: Added init(), like Value::init().
	This just changes the gobject_, with appropriate unref and ref.
	* gio/src/settings.[hg|ccg]: get_value(): Use an output parameter for the
	VariantBase, instead of a return value, as we do for Value, allowing the
	caller to use a derived (templated) type.
	* examples/settings/settings.cc: Show how Variant<> can be used.

2010-07-22  Murray Cumming  <murrayc@murrayc.com>

	Settings example: Minor change.

	* examples/settings/settings.cc: Remove the unnecessary use of
	Glib::ustring::raw().

2010-07-22  Murray Cumming  <murrayc@murrayc.com>

	Variant: Added some methods.

	* glib/src/variant.[hg|ccg]: ValueBase: Wrap some simple functions
	with _WRAP_METHOD().
	* glib/src/variant_basictypes.h.m4: Syntax changes, and make the castitem
	constructor explicit.
	* tools/m4/convert_gio.m4: Added necessary conversion.

	We need to decide how to use this in get*() methods and add some tests.

2010-07-22  Murray Cumming  <murrayc@murrayc.com>

	giomm: DBusMessage: Added several  methods.

	* gio/src/dbusmessage.hg: Wrapped the simple functions.
	* tools/m4/convert_gio.m4: Added necessary conversions.

2010-07-22  Murray Cumming  <murrayc@murrayc.com>

	giomm: DBusMessage: Added create_*() methods.

	* gio/src/dbusmessage.hg: Added create_signal(), create_method_call() and
  create_method_reply().
	* tools/m4/convert_gio.m4: Added necessary conversion.

2010-07-21  Murray Cumming  <murrayc@murrayc.com>

	Added DBusMessage and DBusConnection::send_message().

	* gio/src/gio_methods.defs: Regenerated.
	* gio/src/filelist.am:
	* gio/src/dbusmessage.[hg|ccg]: New wrapper for GMessage, with no methods
	yet.
	* gio/src/dbusconnection.hg: Added send_message().
	* tools/m4/convert_gio.m4: Added necessary conversions.
	* gio/src/credentials.hg: Uncommented out some methods now that the .defs
	are correct.
	* gio/src/socket.hg: Added get_credentials().

2010-07-21  Murray Cumming  <murrayc@murrayc.com>

	giomm: Added Credentials and DBusConnection::get_peer_credentials().

	* gio/src/gio_enums.defs: Regenerated.
	* gio/src/filelist.am:
	* gio/src/credentials.[hg|ccg]: New wrapper for GCredentials.
	* gio/src/dbusconnection.hg: Added get_peer_credentials().

2010-07-15  Murray Cumming  <murrayc@murrayc.com>

	Fix the build for a GDBusConnection API change.

	* gio/src/gio_methods.defs:
	* gio/src/gio_unix_functions.defs:
	* glib/src/glib_functions.defs:
	* glib/src/gobject_functions.defs: Regenerate.
	* glib/src/gdbusconnection.[hg|ccg]: Made close() async, adding close_finish()
	and close_sync().
	Added flush(), flush_finish() and flush_sync().

2010-06-29  Murray Cumming  <murrayc@murrayc.com>

	Added DBusConnection

	* gio/src/gio_enums.defs: Regenerated with tools/enums.pl.
	* gio/src/filelist.am:
	* gio/src/dbusconnection.[hg|ccg]: Added DBusConnection with just the
	simplest methods.
	I might put this in a GDBus namespace, and maybe even in a separate library.

2010-06-24  Murray Cumming  <murrayc@murrayc.com>

	Simplify VariantBase .hg code and use it in Settings.

	* glib/src/variant.[hg|ccg]: Use CLASS_OPAQUE_COPYABLE() instead of
    _CLASS_GENERIC() to avoid writing some stuff manually. This seems to be OK.
    Do not include the C header in our .h file.
	* tools/m4/convert_gio.m4: Added GVariantBase conversions.
	* gio/src/settings.hg: Added get_value() and set_value().

2010-06-22  Murray Cumming  <murrayc@murrayc.com>

    Clean up glib_functions.defs.

	* glib/src/glib_functions.defs: Remove bad definitions of function-pointers
    that cause annoying warnings during the build.

2010-06-19  José Alburquerque  <jaalburqu@svn.gnome.org>

	Glib::Variant<>: Use gmmproc files so wrapping is not done manually.

	* glib/src/glib_functions.defs: Regenerate to get the GVariant
	functions.
	* glib/src/variant.ccg:
	* glib/src/variant.hg:
	* glib/src/filelist.am: Add the new .hg and .ccg files and mention
	them.  Wrapping is now done using gmmproc instead of handwriting the
	methods.
	* glib/glibmm/variant.cc:
	* glib/glibmm/variant.h:
	* glib/glibmm/filelist.am: Remove these files and their mentions
	because now they are written as .hg and .ccg files.
	* glib/src/variant_basictypes.h.m4: Add docs.

2010-06-19  Koop Mast  <kwm@freebsd.org>

	Restore lost #else block to fix build without __STDC_ISO_10646__

	* glib/glibmm/ustring.cc: Add back an #else block that was probably lost
	while automatically removing the no-exceptions #if/#else code.

2010-06-18  José Alburquerque  <jaalburqu@svn.gnome.org>

	Preliminary implementation of Glib::Variant<> classes.

	* glib/glibmm/variant.cc:
	* glib/glibmm/variant.h:
	* glib/src/variant_basictypes.cc.m4:
	* glib/src/variant_basictypes.h.m4: Add an initial implementation of
	of the Glib::Variant<> classes which wrap glib's GVariant API.

2.25.2:

2010-06-18  Murray Cumming  <murrayc@murrayc.com>

	Settings: Fix the build with the latest glib.

	* gio/src/settingsbackend.[hg|ccg]: Add this interface. Notice the
    comment about the semi-private get_type() function.
    * gio/src/filelist.am: Mention the new files.
    * gio/src/settings.hg: Adapt to the changed glib API, using
    a SettingsBackend backend instead of a string context.

2010-06-08  Murray Cumming  <murrayc@murrayc.com>

	Use GLIBMM_DISABLE_DEPRECATED on StreamIoChannel.

	* glib/glibmm/streamiochannel.[h|cc]: Put #ifndef GLIBMM_DISABLE_DEPRECATED
    around this long-since-deprecated class.

2010-06-08  Murray Cumming  <murrayc@murrayc.com>

	Remove a junk line from VolumeMonitor.hg.

	* gio/src/volumemonitor.hg: Remove this line because it must have been
    an accidental paste or some other confusion:
    gboolean (*is_supported)          (void);
    It is API but not anything anybody ever would have used.

2.25.1:

2010-06-07  Daniel Elstner  <danielk@openismus.com>

	Do not install the schema of the gsettings example

	* examples/Makefile.am: Do not install the schema file of the settings
	example to the user's system.  Instead, compile the binary shema cache
	in a local directory and have the example use that.  As a side effect,
	this also resolves the "make distcheck" failure when trying to install
	the schema.
	* examples/settings/settings.cc (main): Do not try to determine the
	schema directory from the executable name, as it depends too much on
	the libtool setup with the hidden .libs directory being part of the
	path name.  Requiring the user to change to the example directory is
	good enough.  Also, initialize the C++ locale on program startup, and
	call Gio::init() instead of Glib::init().
	(on_key_changed): Call ustring::raw() to suppress the locale-aware
	comparison ustring performs by default.

2010-06-06  Murray Cumming  <murrayc@murrayc.com>

	Documentation: Mention module names in Enums and Flags doxygen groups.

	* tools/m4/enum.m4: Add the module name (such as gdkmm or gtkmm) to the
	doxygen Enums and Flags groups, to avoid duplicate names appearing in the
	Modules list.

2010-06-06  Murray Cumming  <murrayc@murrayc.com>

	Settings: Fix the build with the latest glib from git master.

	* gio/src/gio_methods.defs: Remove extra length parameters, removed from the
	C API. This is a generated file, but this change is simple.
	* gio/src/settings.[hg|ccg]: get_string_array(), set_string_array():
	Remove the length parameter, and just use _WRAP_METHOD() now that it is simple
	enough for that.
	* tools/m4/convert_gio.m4: Add a necessary conversion.
	* glib/src/glib_functions.defs: Remove some bad unused definitions that
	were causing annoying warnings.

2010-06-06  Murray Cumming  <murrayc@murrayc.com>

	Remove default conversion to StringArrayHandle

	* tools/m4/convert_gio.m4: Remove a default conversion from char** to
	StringArrayHandle, because there can be no good default, because each use
	can have different ownership, so it risks hiding an error.
	* gio/src/drive.hg:
	* gio/src/fileinfo.hg:
	* gio/src/filenamecompleter.hg:
	* gio/src/volume.hg: Add a local #m4 conversion instead.
	One day we will have the new introspection information (with the ownership)
	available to gmmproc so we don't need to do this.

2010-06-04  Chris Kühl  <blixtra@gmail.com>

	Removal of length parameter for g_settings_[gs]et_strv

	* gio/src/settings.ccg: Removed length parameter from
	  get_string_array and set_string_array.

2010-06-04  Murray Cumming  <murrayc@murrayc.com>

    Avoid compiler warning.

	* examples/settings/settings.cc: Comment out an unused paramter to
    fix a compiler warning, to partly fix the distcheck.

2010-06-02  José Alburquerque  <jaalburqu@svn.gnome.org>

	Gio::Settings: [get|set]_strv(): Rename to [get|set]_string_array().

	* gio/src/settings.ccg:
	* gio/src/settings.hg ([get|set]_strv): Rename to *_string_array()
	which is more readable.

2010-06-01  Jonathon Jongsma  <jonathon@quotidian.org>

	* configure.ac: use GLIB_GSETTINGS
	* examples/Makefile.am: fix the settings example to use the new m4
	  macros shipped with glib.  The previous method was breaking 'make
	  dist'

2010-06-01  Murray Cumming  <murrayc@murrayc.com>

	Add missing GLIBMM_VFUNCS_ENABLED to avoid breaking existing code.

	* glib/glibmmconfig.h.in: Added missing GLIBMM_VFUNCS_ENABLED.

2010-06-01  Murray Cumming  <murrayc@murrayc.com>

	Gio::Settings: Make get_has_unapplied() const.

	* gio/src/settings.hg: get_has_unapplied(): Make this const.

2010-05-31  José Alburquerque  <jaalburqu@svn.gnome.org>

	Wrapped new glib-2.26 methods.

	* configure.ac: Bump the glib requirement up to 2.25.7 because of the
	new methods that are wrapped.
	* glib/src/glib_docs.xml:
	* glib/src/glib_functions.defs: Regenerate to get new methods and the
	docs for them.
	* glib/src/keyfile.ccg:
	* glib/src/keyfile.hg (get_boolean): Added method overload (as other
	get_*() methods have).
	(get_int64, get_uint64, set_int64, set_uint64):
	* glib/src/regex.hg (get_compile_flags, get_match_flags): Wrapped new
	methods.
	* gio/src/settings.hg:
	* gio/src/socket.hg: Add some forgotten _IGNORE's and @newin{}'s.

2010-05-31  Murray Cumming  <murrayc@murrayc.com>

	Remove the reduced API options and code, as discussed on mailing list.

	* configure.ac: Removed the --enable-api-exceptions, --enable-api-properties,
	--enable-api-vfuncs and --enable-api-default-signal-handlers options.
	* build/reduced.m4: Removed.
	* tools/m4/*.m4:
	* tools/pm/Output.pm: Remove any use of ifdefs and auto_ptr for reduced API.
	* *.[hg|ccg|h|cc]: Remove the idefed code.

2010-05-30  Daniel Elstner  <danielk@openismus.com>

	Avoid compiler warning in TimeVal::as_double()

	* glib/glibmm/timeval.h (TimeVal::as_double): Cast long int operands
	to double explicitly, to avoid a conversion warning due to possible
	loss of precision.  Reported by Alexander Shaduri, GNOME bug #617463.

2010-05-28  José Alburquerque  <jaalburqu@svn.gnome.org>

	Settings: Add [get|set]_strv().

	* gio/src/settings.ccg:
	* gio/src/settings.hg: Added [get|set]_strv().  Also added a
	get_child() const version.  Reordered signal wrappings to reflect the
	order of the C API docs.

2010-05-27  José Alburquerque  <jaalburqu@svn.gnome.org>

	OptionGroup: set_translate_slot(): Rename to set_translate_func().

	* glib/src/optiongroup.ccg:
	* glib/src/optiongroup.hg set_translate_slot(): Rename to
	set_translate_func() which is more like the C API's name.

2010-05-27  José Alburquerque  <jaalburqu@svn.gnome.org>

	OptionGroup: Add set_translate_slot().

	* glib/src/optiongroup.ccg:
	* glib/src/optiongroup.hg: Wrap g_option_group_set_translate_func().

2010-05-25  José Alburquerque  <jaalburqu@svn.gnome.org>

	Add _IGNORE's for g_iconv().

	* glib/src/date.hg:
	* glib/src/fileutils.hg:
	* glib/src/markup.hg:
	* glib/src/optionentry.hg:
	* glib/src/shell.hg:
	* glib/src/spawn.hg:
	* glib/src/thread.hg:
	* glib/src/unicode.hg:
	* glib/src/uriutils.hg: For some reason, gmmproc thinks that g_iconv
	should be wrapped in these files so include _IGNORE's so that it is
	clear what has not been wrapped yet.

2010-05-25  José Alburquerque  <jaalburqu@svn.gnome.org>

	Wrap a couple of unwrapped methods.

	* gio/src/desktopappinfo.hg: Wrap get_filename().
	* glib/src/keyfile.hg: Wrap load_from_dirs().
	* glib/src/convert.hg:
	* glib/src/valuearray.hg: some _IGNORE()'s.

2010-05-05  José Alburquerque  <jaalburqu@svn.gnome.org>

	gmmproc: Quote the property docs to avoid losing text after commas.

	* tools/pm/Output.pm: Quote the property docs for the _PROPERTY_PROXY
	macros by first changing the quotes, quoting the docs and then
	changing the quotes back.  This avoids losing the contents after
	possible commas in property docs.  (Using the standard m4 quotes
	leaves trailing single quotes for some reason).

	Fixes Bug #603930 (Jonatan Olofsson).

2010-05-03  Murray Cumming  <murrayc@murrayc-x61>

	Documentation: Add more links to main page, and mention giomm.

	* glib/glibmm.h: Add more doxggen links to groups and classes, based on
	http://www.gtkmm.org/documentation.shtml and a look at the classes list.
	Mention giomm features and add giomm to the pkg-config calls and mention
	giomm.h

2010-04-29  José Alburquerque  <jaalburqu@svn.gnome.org>

	gio_docs.xml: Regenerate with the new doc extraction tool.

	* gio/src/gio_docs.xml: Regenerate docs with the latest
	docextract_to_xml.py in pygobject to get better docs in general.

2010-04-27  David King  <davidk@openismus.com>

	Further changes to main page documentation

	* glib/glibmm.h: Some minor changes to the main page documentation.

2010-04-23  David King  <davidk@openismus.com>

	Improvements to main page documentation

	* glib/glibmm.h: Add external links and compilation example.

2010-04-22  Jonathon Jongsma  <jonathon.jongsma@collabora.co.uk>

	* configure.ac: require glib 2.25.1 for GSettings

2010-04-17 Alex Vallée <alex@alexvallee.com>

	Wrap function g_listenv().

	* glib/glibmm/miscutils.[h|cc]: Add wrap function Glib::listenv(). Fixes
	bug #578355.

2010-04-21  Jonathon Jongsma  <jonathon.jongsma@collabora.co.uk>

	* .gitignore:
	* examples/Makefile.am:
	* examples/settings/org.gtkmm.demo.gschema.xml: Added.
	* examples/settings/settings.cc: Added.
	* gio/giomm.h: include settings header here
	Add a basic Gio::Settings example

2010-04-20  Jonathon Jongsma  <jonathon.jongsma@collabora.co.uk>

	* gio/src/filelist.am:
	* gio/src/gio_signals.defs:
	* gio/src/settings.ccg: Added.
	* gio/src/settings.hg: Added.
	* tools/extra_defs_gen/generate_defs_gio.cc:
	* tools/m4/convert_gio.m4: Initial implementation of Gio::Settings

2010-04-20  Jonathon Jongsma  <jonathon@quotidian.org>

	* gio/src/gio_docs.xml
	* gio/src/gio_enums.defs
	* gio/src/gio_methods.defs: re-generate defs to start wrapping
	  GSettings stuff

2010-04-16  David King  <davidk@openismus.com>

	Add main page to Doxygen documentation

	* docs/Makefile.am: Parse glib/glibmm.h for documentation.
	* glib/glibmm.h: Add main page to Doxygen documentation.

2.24.1:

2010-04-13  José Alburquerque  <jaalburqu@svn.gnome.org>

	One more regeneration of docs to avoid gmmproc parsing errors.

	* gio/src/gio_docs.xml:
	* glib/src/glib_docs.xml: Regenerated with a fixed
	docextract_to_xml.py script to avoid parsing errors by &...;
	expressions that gmmproc does not understand.

2010-04-12  Armin Burgmeier  <armin@arbur.net>

	* examples/compose/main.cc: Don't use ustring::format with std::fixed
	with MSVC 2005 or below (see #599340).

	* MSVC_Net2005/examples/compose/compose.vcproj:
	* MSVC_Net2005/glibmm.sln:
	* MSVC_Net2008/examples/compose/compose.vcproj:
	* MSVC_Net2008/glibmm.sln: Added the compose example for both MSVC
	versions.

2010-04-12   Alex Vallee  <avallee@hotmail.com>

	UnixOutputStream: Fix the constructor to use the correct property name.

	* gio/src/unixoutputstream.hg: Correct the constructor parameter name
    used in the _WRAP_CTOR() call. We had already fixed the property name
    but had forgotten to fix this, which affects the generated implementation.
    Fixes bug #615482

2010-04-11  José Alburquerque  <jaalburqu@svn.gnome.org>

	Regenerate docs with the new docextract_to_xml.py script.

	* gio/src/gio_docs.xml:
	* glib/src/glib_docs.xml: Regenerated with the new documentation
	extraction script to take advantage of the new generation method it
	uses.

2010-04-02  Armin Burgmeier  <armin@arbur.net>

	* examples/network/resolver.cc:
	* examples/network/socket-client.cc: Fix the build with MSVC.

	* glib/glibmmconfig.h.in: Enable GLIBMM_HAVE_WIDE_STREAM with MSVC.

	* tools/extra_defs_gen/generate_defs_gio.cc: Fix the Windows build by
	ifdefing-out G_TYPE_UNIX_CONNECTION.

	* MSVC_Net2005/giomm/giomm.vcproj:
	* MSVC_Net2005/glibmm/glibmm.vcproj:
	* MSVC_Net2008/giomm/giomm.vcproj:
	* MSVC_Net2008/glibmm/glibmm.vcproj: Added new source and header files
	to the Visual Studio projects.

	* MSVC_Net2005/examples/resolver/resolver.vcproj:
	* MSVC_Net2005/examples/socket-client/socket-client.vcproj:
	* MSVC_Net2005/examples/socket-server/socket-server.vcproj:
	* MSVC_Net2005/glibmm.sln:
	* MSVC_Net2005/filelist.am:
	* MSVC_Net2008/examples/resolver/resolver.vcproj:
	* MSVC_Net2008/examples/socket-client/socket-client.vcproj:
	* MSVC_Net2008/examples/socket-server/socket-server.vcproj:
	* MSVC_Net2008/glibmm.sln:
	* MSVC_Net2008/filelist.am: Added the new examples to the projects.

2.24.0:

    Updated configure and NEWS for the stable release.

2.23.4:

2009-03-26  Jonathon Jongsma  <jonathon.jongsma@collabora.co.uk>

    Gio::File: Add TypeTraits to fix Gtk::FileChooser::get_files() in gtkmm.

	* gio/src/file.hg: add TypeTraits to allow concrete implementations
    of GFile to be wrapped properly.  For example, this fix allows
    Gtk::FileChooser::get_files() to work properly (Fixes #590940)

2010-03-26  Murray Cumming  <murrayc@murrayc.com>

    Add regression test for Bug #613250.

    * tests/Makefile.am
	* tests/glibmm_ustring_format/main.cc: Added a regression test for the
    previously-commited fix, based on code in bug #613250 from Debarshi Ray.

2010-03-20  Debarshi Ray  <debarshir@src.gnome.org>

	Bug #613250 - Overload Glib::ustring::FormatStream::stream for char *.

    * glib/glibmm/ustring.[h|cc]: Add a FormatStream::stream(char*) override
    because otherwise the templated stream() is called, which results in
    corrupted data.

2010-03-24  Murray Cumming  <murrayc@murrayc.com>

    ThemedIcon: Added get_names().

	* gio/src/themedicon.[hg|ccg]: Add get_names() manually because we have
    a strange error when trying to use _WRAP_METHOD() for it.
    Bug #612584 (Markus Schwab)

2010-03-23  Alexey Kosilin  <kosilin@gmail.com>

    MemoryInputStream: Correct data loss/corruption with binary data.

	* gio/src/memoryinputstream.ccg: add_data(): Use g_memdup() instead of
    g_strdup() on data that could have a null in the middle.
    Bug #609552 (Holger Seelig)

2010-03-15  José Alburquerque  <jaalburqu@svn.gnome.org>

	Revert accidentally pushed commits.

	* ChangeLog-ValueArrayTest:
	* ChangeLog.local:
	* tests/glibmm_valuearray/main.cc:
	* tools/docextract_to_xml.pl: Revert accidentally pushed commits which
	should be pushed with bugs that were filed.

2010-03-15  José Alburquerque  <jaalburqu@svn.gnome.org>

	Regenerate defs files.

	* gio/src/gio_enums.defs:
	* gio/src/gio_methods.defs:
	* glib/src/glib_enums.defs:
	* glib/src/glib_functions.defs:
	* glib/src/gmodule_enums.defs:
	* glib/src/gmodule_functions.defs:
	* glib/src/gobject_enums.defs:
	* glib/src/gobject_functions.defs: Regenerate defs file, particularly
	the enum defs file with the new enum generation tool.

2010-03-10  David King  <davidk@openismus.com>

	Reorder assignment to LDADD and giomm_ldadd in tests/Makefile.am

	* tests/Makefile.am: Reorder values assigned to LDADD and
	giomm_ldadd to place built libraries before system libraries.
	Fixes GNOME bug #610854.

2.23.3:

2010-03-08 Krzesimir Nowak <qdlacz@gmail.com>

	Updated enum.pl script.

	* tools/enum.pl: Updated to work with `use strict' and
	`use warnings', prints original enums in comments above every enum
	defs, added --omit-deprecated (just omits everything deprecated)
	option, handles most of enums and flags (especially flags!)
	properly, generates proper nicks for enums with one value, prints
	warnings to stderr about several stuff, uses some primitive
	heuristics to detect whether an enum is enum or flags. It is
	a better hack, but still a hack.

2010-01-28  Murray Cumming  <murrayc@murrayc.com>

	AsyncResult: Add get_source_object_base(), deprecating get_source_object().

	* gio/asyncresult.[hg|ccg]: Deprecate get_source_object(), replacing it
	with get_source_object_base(), because in giomm, the C++ wrapper object
	might be a Glib::Interface, but not a Glib::Object (though the underlying
	C instance must be a GObject). This happens if giomm does not know about
	the GType of the underlying C Object, which is a legitimate situation.
	* tests/giomm_asyncresult_sourceobject/main.cc: Added this test case
	from Michael Hasselmann, from bug #608269.

2010-03-08  Murray Cumming  <murrayc@murrayc.com>

	Regenerated more .defs.

	* gio/src/gio_enums.defs:
	* glib/src/glib_enums.defs: Regenerated with enums.pl
	* gio/src/gio_methods.defs: Regenerated with h2defs.py

2010-03-08  Murray Cumming  <murrayc@murrayc.com>

	* glib/src/glib_functions.defs: Regenerated with h2defs.py.

2010-03-08  Debarshi Ray  <debarshi.ray@gmail.com>

	Bug #611521 - Free Gio::SlotFileProgress (and friends) at completion

	* gio/src/file.ccg:
	The Gio::SlotFileProgress slots (and their friends) used in operations like
	Gio::File::copy, Gio::File::copy_async and Gio::File::move should not freed
	when their C callbacks are invoked for the first time. Instead they should be
	freed after the operation has completed.

2010-02-27  Daniel Elstner  <daniel.kitta@gmail.com>

	Avoid compiler warning in resolver example

	* examples/network/resolver.cc (interrupted): Check the return value
	of the write() call to avoid a warning from GCC.  Save and restore
	the value of errno to make the signal handler reentrant.  Get rid of
	the signal() call to re-establish the default handler, as there is
	not much of a point in doing so for this handler.
	(main): Create the pipe before installing the signal handler.

2010-02-22  Michael  <space3000@gmail.com>

	Gio::MemoryInputStream::add_data(): Minor documentation fix.

	* gio/src/memoryinputstream.hg: Move a deprecation warning to the
	correct method overload.

2010-02-06  Murray Cumming  <murrayc@murrayc.com>

    IOStream: get_input_stream(), get_output_stream(): Fix reference counting.

	* gio/src/iostream.hg: get_input_stream(), get_output_stream(): Use refreturn
	to avoid a crash as mentioned in bug #607554.

2010-02-06  Murray Cumming  <murrayc@murrayc.com>

    MemoryOutputStream: Add properties.

	* gio/src/gio_signals.defs: Regenerated.
	* gio/src/memoryoutputstream.hg: Add properties, as suggesed in bug #605710.

2010-02-06  Krzysztof Kosiński  <tweenk.pl@gmail.com>

    MemoryOutputStream: Fix the constructor.

	* gio/src/memoryoutputstream.hg: Constructor and create(): Rename the len
	parameter to size, to match the properties, so the constructor works.
	Bug #605710

2.23.2:

2010-02-05  Murray Cumming  <murrayc@murrayc.com>

  UnixInputStream: Fix the constructor.

	* gio/src/unixinputstream.hg: Constructor and create(): Rename the
	close_fd_at_close parameter to close_fd to match the properties (and the
	C function), so our constructor works.
	Bug #608665 (Matt Marsh)

2010-01-29  Murray Cumming  <murrayc@murrayc-desktop>

	Regenerated method .defs. Added a Resolver signal.

	* gio/src/gio_enums.defs: Removed GSocketMsgFlags because it contained
	an #error and the values are non-numeric anyway.
	* gio/src/gio_methods.defs: Regenerated with h2defs.py
	* glib/src/glib_functions.defs: Regenerated with h2defs.py, removing
	badly-generated ones that try to mention function pointers.
	* gio/src/resolver.hg: Added reload signal.

2010-01-29  Murray Cumming  <murrayc@murrayc.com>

	Use 0 instead of NULL.

	* gio/src/*.ccg
	* glib/src/*.ccg: Use 0 instead of NULL because this is C++ where
	NULL is generally not a good idea. I didn't see any places where it
	was a real problem though.

2010-01-29  Murray Cumming  <murrayc@murrayc.com>

	Use Glib::unwrap() instead of ->gobj(),

	* gio/src/*.ccg: Use Glib::unwrap() instead of ->gobj(), so we don't
	crash if people pass in null RefPtr<>s, which they might do by
	accident, or if we have not wrapped all the may-be-null cases as
	method overrides.

2010-01-29  Murray Cumming  <murrayc@murrayc.com>

	File: Added has_parent() and supports_thread_contexts().

	* gio/src/file.[hg|ccg]: Added has_parent(), supports_thread_contexts().

2010-01-28  Murray Cumming  <murrayc@murrayc.com>

	File: Added start_mountable(), stop_mountable(), poll_mountable().

	* gio/src/drive.[hg|ccg]:
	* gio/src/mount.hg:
	* gio/src/volume.hg: Change some includes to allow file.h to include
	more.
	* gio/src/file.[hg|ccg]: Added start_mountable(), stop_mountable(),
	poll_mountable() and the *_finish() methods. The awful documenation
	will be improved when I have improved it (tomorrow) for the C functions.

2010-01-28  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/file.hg: Correct/Add newin2p* doxygen comments.

2010-01-28  Murray Cumming  <murrayc@murrayc.com>

	File: Added create_file_readwrite() and creat_file_readwrite_async().

	* gio/src/file.[hg|ccg]: Added create_file_readwrite(),
	create_file_readwrite_async() and create_file_readwrite_finish().

2010-01-28  Murray Cumming  <murrayc@murrayc.com>

	File: unmount_mountable(), eject_mountable(): Add overrides with MountOperation.

	* gio/src/file.[hg|ccg]: unmount_mountable(), eject_mountable():
	Reimplement these with the new *_with_operation functions.
	Undeprecate them - that should not have happened without replacements.
	Added unmount_mountable() and eject_mountable() overrides with
	MountOperation parameters. Unfortunately there are now 6 of each.

2010-01-28  Murray Cumming  <murrayc@murrayc.com>

	File, Cancellable: Added some new methods.

	* gio/src/cancellable.hg: Added release_fd() and make_polldf().
	* gio/src/file.[hg|ccg]: Added open_readwrite(), open_readwrite_async()
	and finish_readwrite().
	Added replace_readwrite(), replace_readwrite_async() and
	finish_replace_readwrite().
	* tools/m4/convert_gio.m4:Added conversion for FileIOStream.
	* glib/src/glib_enums.defs: Fix an #error that enum.pl has put there
	for some reason.

Missing ChangeLog entry from Alexander Shaduri: (Committed by Jonathan Jongsma)
2010-01-06	Bug #594173 - NodeTree::get_root() violates const-correctness

Missing ChangeLog entry from Krzesimir Nowak: (Committed by Jonathan Jongsma)
2010-01-06	Bug #606100 - Fix wrapping properties.

Missing ChangeLog entries from Jonathan Jongsma:
2010-01-06	Bug #606146 - Relax the glib requirement
2010-01-06	Rename btree.* to balancedtree.*
2010-01-06	Fix up some formatting issues for BalancedTree

Missing ChangeLog entries from Szilárd Pfeiffer: (Committed by Jonathan Jongsma)
2010-01-06	Implement GTree wrapper
2010-01-06	Implemented reference counting for BalancedTree.
2010-01-06	Fixed several bugs of balanced binary tree wrapper.

2.23.1:

2010-01-05  Daniel Elstner  <daniel.kitta@gmail.com>

	Fine-tune Doxygen configuration to improve output

	* docs/reference/Doxyfile.in (SHOW_INCLUDE_FILES): Enable option, as
	it looks better than SHOW_USED_FILES and can be adjusted by means of
	the @headerfile command.
	(SHOW_USED_FILES): Disable.
	(ALPHABETICAL_INDEX): Enable alphabetical class index.
	(PREDEFINED): Predefine G_GNUC_INTERNAL in anticipation of explicit
	symbol visibility attributes.
	(CLASS_DIAGRAMS): Enable to get class inheritance graphs without any
	of the other graph options.
	(DOT_FONTNAME): Change to Sans to avoid the bad hinting for FreeSans
	at least on my system, which resulted in blurry graph labels.
	(COLLABORATION_GRAPH), (GROUP_GRAPHS), (TEMPLATE_RELATIONS): Disable
	additional graphs to reduce the noise.

Missing ChangeLog entries from Jonathan Jongsma:
2010-01-04	A bunch of minor doxygen cleanups around the tree
2010-01-04	wrap g_socket_connection_factory_create_connection()
2010-01-04	Add non-cancellable versions of a bunch of SocketClient functions

2.23.0:

2009-12-16  Armin Burgmeier  <armin@arbur.net>

	* gio/giomm.h: Don't include files on Windows that are not available
	on that platform.

2009-12-03  José Alburquerque  <jaalburqu@svn.gnome.org>

	Make build successful when exceptions, vfuncs, etc. are disabled.

	* gio/src/iostream.hg (close): Include a definition for when
	exceptions are disabled.
	* glib/src/keyfile.ccg: Correct some typos related to exceptions
	disabled.
	* gio/src/socket.ccg:
	* gio/src/socket.hg: Included definitions and code for when
	exceptions are disabled.
	* gio/src/resolver.ccg (hostname_to_ascii):
	(hostname_to_unicode): Included returns to avoid warnings.

2009-10-23  Jonathon Jongsma  <jonathon.jongsma@collabora.co.uk>

	Re-enable Network IO stuff (Socket, Resolver, etc)

	* .gitignore:
	* examples/Makefile.am:
	* examples/network/resolver.cc: Ported example from glib
	* examples/network_io/resolve.cc: Removed.
	* gio/giomm.h: Add network headers
	* gio/src/error.hg: Add ResolverError
	* gio/src/inetaddress.ccg:
	* gio/src/inetaddress.hg: Fix broken constructor
	* gio/src/resolver.ccg:
	* gio/src/resolver.hg: Added a few missing free functions

2009-11-23  Murray Cumming  <murrayc@murrayc.com>

	Regex: Slight documentation improvement.

	* tools/m4/class_opaque_refcounted.m4: refererence()/unreference():
	Use the same doxygen comments as on ObjectBase::reference/unreference()
	so this shows up, for instance, on Glib::Regex.

2009-10-22  Armin Burgmeier  <armin@arbur.net>

	* MSVC_Net2005/giomm/giomm.vcproj:
	* MSVC_Net2005/glibmm/glibmm.vcproj:
	* MSVC_Net2008/giomm/giomm.vcproj:
	* MSVC_Net2008/glibmm/glibmm.vcproj: Added new files in 2.22 to the
	projects.

	* MSVC_Net2005/examples/keyfile/keyfile.vcproj:
	* MSVC_Net2005/examples/properties/properties.vcproj:
	* MSVC_Net2005/examples/regex/regex.vcproj:
	* MSVC_Net2008/examples/keyfile/keyfile.vcproj:
	* MSVC_Net2008/examples/properties/properties.vcproj:
	* MSVC_Net2008/examples/regex/regex.vcproj: Added projects for these
	examples.

	* MSVC_Net2005/glibmm.sln:
	* MSVC_Net2008/glibmm.sln:
	* MSVC_Net2005/filelist.am:
	* MSVC_Net2008/filelist.am: Added the new projects.

2009-09-21  Jonathon Jongsma  <jonathon.jongsma@collabora.co.uk>

	* NEWS:
	* configure.ac: update for 2.22.1 release

2009-09-21  Daniel Elstner  <danielk@openismus.com>

	Fix KeyFile build with exceptions disabled

	* glib/src/keyfile.hg (Glib::KeyFile): Correct repeated syntax
	error in the code that is built when GLIBMM_EXCEPTIONS_ENABLED
	is not defined.  Also remove the bogus default argument values
	appearing in the middle of the argument list.

2009-09-21  Jonathon Jongsma  <jonathon.jongsma@collabora.co.uk>

	* NEWS:
	* configure.ac: update for 2.22.0 release

2009-09-19  Daniel Elstner  <daniel.kitta@gmail.com>

	Support Automake silent rules

	* configure.ac: Call the AM_SILENT_RULES macro if it is defined.
	(AM_INIT_AUTOMAKE): Add check-news option.
	* glib/src/Makefile.am: Prefix the M4 command line with $(AM_V_GEN)
	in order to support the silent rules feature of Automake.

2009-09-17  Daniel Elstner  <danielk@openismus.com>

	Do not complain about missing docs_override.xml

	* tools/pm/DocsParser.pm (read_defs): Print error messages to
	standard error.  Do not complain if the docs_override.xml file
	is missing, since it is no longer necessary.

2009-09-13  Daniel Elstner  <daniel.kitta@gmail.com>

	Enable verbose output of autoreconf

	* autogen.sh: Pass --verbose option to autoreconf.

2009-09-11  Daniel Elstner  <danielk@openismus.com>

	Correctly quote the extracted comment for M4

	* tools/pm/WrapParser.pm (extract_preceding_documentation): Add M4
	quotes around the extracted comment, since it may contain sequences
	of end-quote + macro + start-quote.

2009-09-11  Daniel Elstner  <danielk@openismus.com>

	Slightly clean up gross Perl code in gmmproc.in

	* tools/gmmproc.in: Try not to abuse Perl too much, and get rid of
	the 'no warnings' hammer.

2009-09-10  Daniel Elstner  <danielk@openismus.com>

	Allow the C documentation to be overridden

	* tools/pm/WrapParser.pm (extract_preceding_documentation): Factor
	the code from on_wrap_enum() to extract a preceding comment block
	into a separate subroutine.
	(on_wrap_method): Invoke extract_preceding_documentation() to
	extract a preceding Doxygen comment, and if one was found allow
	it to override the inherited C documentation.

2009-09-10  Daniel Elstner  <danielk@openismus.com>

	Fix broken test for empty _WRAP_METHOD argument

	* tools/pm/DocsParser.pm: Escape variable values substituted into
	regular expressions.
	* tools/pm/Output.pm (output_wrap_property): Transliterate using
	tr/// instead of s///g.
	* tools/pm/WrapParser.pm: Correct a number of worst offenders among
	all the bad Perl code.
	(on_wrap_{ctor,method,corba_method}): Instead of testing whether
	the prototype argument does not consist solely of non-whitespace
	characters, actually do what the accompanying comment claimed and
	test whether the argument is empty or consists only of whitespace.
	The only reason this age-old bug was never triggered is that there
	is always at least one whitespace character in a prototype, namely
	between the return type and the function name.  The only exception
	would be the default constructor, which however just so happens to
	have its own special _CTOR_DEFAULT macro.
	In a nutshell, the bug itself was broken and failed to properly
	break things.

2009-09-10  Daniel Elstner  <danielk@openismus.com>

	Re-enable input file line markers in gmmproc

	* tools/pm/WrapParser.pm: Replace hairy uses of scalar(@array)
	to get the number of array elements by $#array, which returns
	the index of the last element.
	(read_file): Re-enable the commented
	code which used to insert input file and line information into
	the token list.
	(parse_and_build_output): Use a simple regular expression to
	match the start of a string instead of messing with substr().

2009-09-08  Jonathon Jongsma  <jonathon.jongsma@collabora.co.uk>

	* examples/Makefile.am:
	* gio/giomm.h:
	* gio/src/filelist.am: disable more network io stuff that was
	causing distcheck to fail

2009-09-08  Jonathon Jongsma  <jonathon.jongsma@collabora.co.uk>

	* NEWS: update for release
	* configure.ac: increment version to 2.21.5

2009-09-08  Jonathon Jongsma  <jonathon.jongsma@collabora.co.uk>

	* gio/src/filelist.am: disable network IO stuff for now since it's
	too close to the stable release and we don't want to have unfinished
	API that isn't well-tested.

2009-09-08  Jonathon Jongsma  <jonathon.jongsma@collabora.co.uk>

	* gio/src/inetaddress.hg:
	* gio/src/networkaddress.hg:
	* gio/src/networkservice.hg:
	* gio/src/resolver.hg:
	* gio/src/socket.hg:
	* gio/src/socketaddress.hg:
	* gio/src/socketaddressenumerator.hg:
	* gio/src/socketconnectable.hg:
	* gio/src/srvtarget.hg: add all network io classes to a new doxygen
	NetworkIO module

2009-09-08  Daniel Elstner  <danielk@openismus.com>

	Implement Gio::Socket ctors using Gio::Initable

	* gio/src/gio_vfuncs.defs: Add GInitableClass::init() vfunc.
	* gio/src/initable.{ccg,hg} (Initable::init): Use _WRAP_METHOD().
	(Initable::init_vfunc): Wrap GInitableClass::init() vfunc.
	* gio/src/socket.{ccg,hg} (Socket::Socket): Wrap constructors
	manually.  Call Initable::init() from the constructor body.
	(Socket::create), (Socket::create_from_fd): Forward to constructors.
	* tools/m4/convert_gio.m4: Add conversion from GCancellable* to
	const Glib::RefPtr<Cancellable>&.

2009-09-07  Daniel Elstner  <danielk@openismus.com>

	Officially deprecate GLIBMM_CHECK_PERL macro

	* build/glibmm_check_perl.m4 (GLIBMM_CV_PERL_VERSION): Define with
	m4_define() so that the macro is only visible internally.
	(GLIBMM_CHECK_PERL): Define as deprecated macro using AU_DEFUN().

2009-09-03  Daniel Elstner  <danielk@openismus.com>

	Sanitize the Glib::Cond usage example

	* glib/src/thread.hg (Glib::Cond): Sanitize the usage example.

2009-09-02  Daniel Elstner  <danielk@openismus.com>

	Remove sigc from the Doxygen excluded symbols

	* docs/reference/Doxyfile.in (EXCLUDE_SYMBOLS): Stop excluding
	the sigc namespace from the documentation since it apparently
	also removes the links to external documentation.  Also, with
	the latest changes in libsigc++ it seems no longer necessary to
	suppress the symbol.

2009-09-01  Daniel Elstner  <daniel.kitta@gmail.com>

	Increment version to glibmm 2.21.4.2

	* configure.ac (AC_INIT): Increment version to 2.21.4.2.
	* NEWS: Write news entry for glibmm 2.21.4.2 release.

2009-09-01  Daniel Elstner  <daniel.kitta@gmail.com>

	Update Doxygen configuration for Doxygen 1.6.1

	* docs/reference/Doxyfile.in: Update configuration template using
	Doxygen 1.6.1.
	(SORT_MEMBERS_CTORS_1ST): Enable.

2009-09-01  Daniel Elstner  <daniel.kitta@gmail.com>

	Always build tools/ subdirectory (bgo #593518)

	* Makefile.am (SUBDIRS): Unconditionally recurse into the tools/
	subdirectory, rather than only in maintainer-mode.  Otherwise, the
	code generator support files located there would not be installed
	when building a tarball of glibmm.

2009-08-28  Daniel Elstner  <danielk@openismus.com>

	Increment version to glibmm 2.21.4.1

	* configure.ac (AC_INIT): Increment version to 2.21.4.1.
	* NEWS: Write news entry for glibmm 2.21.4.1 release.

2009-08-28  Daniel Elstner  <danielk@openismus.com>

	Use shared mm-common Doxygen style sheet

	* configure.ac (MM_PREREQ): Require mm-common 0.7.
	* docs/Makefile.am (dist_doctool_DATA): List doxygen.css.
	* docs/reference/Doxyfile.in (HTML_STYLESHEET): Assign path
	to the shared doxygen.css provided by mm-common.

2009-08-28  Daniel Elstner  <danielk@openismus.com>

	Remove header and footer HTML fragments

	* docs/reference/glibmm_{header,footer}.html_fragment: Delete
	files.  These custom fragments were an unnecessary maintenance
	hassle.  Also, the files were out of date with respect to the
	encoding and CSS classes used by Doxygen.
	* docs/reference/Doxyfile.in (HTML_HEADER), (HTML_FOOTER): Set
	to the empty string.
	(PROJECT_NUMBER): Substitute @PACKAGE_VERSION@.  It does look
	nicer in the generated HTML pages, and is probably also less
	confusing.
	(SORT_GROUP_NAMES): Enable for predictability.
	* docs/Makefile.am (dist_noinst_DATA): Remove deleted HTML
	fragment files.

2009-08-26  Daniel Elstner  <danielk@openismus.com>

	Reenable hierarchy graphs for each class

	* docs/reference/Doxyfile.in (COLLABORATION_GRAPH): Set option
	to YES to enable the per-class inheritance graphs.

2.21.4:

2009-08-25  Jonathon Jongsma  <jonathon@quotidian.org>

	* NEWS:
	* configure.ac: update for 2.21.4

2009-08-25  Daniel Elstner  <danielk@openismus.com>

	Change documentation host to library.gnome.org

	* docs/Makefile.am (htmlrefpub): Remove override and use the
	updated mm-common default value.
	* docs/reference/glibmm_header.html_fragment: Adjust links to
	the main page and the gtkmm book.
	* {glib,gio}/{glib,gio}mm{,-uninstalled}.pc.in (htmlrefpub):
	Adjust variable values.
	* configure.ac (MM_PREREQ): Require mm-common 0.6.1.

2009-08-24  Daniel Elstner  <danielk@openismus.com>

	Strip directory from filenames in enum.pl output

	* tools/enum.pl: Use File::Spec module.  Reduce the backslashitis
	in a number of regular expressions by replacing the slash used as
	the delimiter with a less troublesome character.
	(parse): Only print the basename component of the filename.
	(process): Put \Q...\E quoting escapes around a variable reference
	within a regular expression to protect meta-characters.

2009-08-21  Daniel Elstner  <danielk@openismus.com>

	Deprecate wrapper methods of deprecated functions

	* gio/src/file.{ccg,hg} (File::{eject,unmount}_mountable*),
	gio/src/volumemonitor.hg (VolumeMonitor::adopt_orphan_mount):
	Enclose within deprecation guards since the corresponding C API
	functions have been deprecated in API version 2.22 of GIO.
	Insert #undef G_DISABLE_DEPRECATED at the top of the source files
	so that giomm builds again at warning level fatal.

2009-08-21  Daniel Elstner  <danielk@openismus.com>

	Move #undef G_DISABLE_DEPRECATED out of header

	* glib/src/date.hg: Push the #undef G_DISABLE_DEPRECATED into the
	new SECTION_CC_PRE_INCLUDES rather than the public header file.

2009-08-21  Daniel Elstner  <danielk@openismus.com>

	Add SECTION_CC_PRE_INCLUDES section to gmmproc

	* tools/m4/base.m4: Define new SECTION_CC_PRE_INCLUDES and import
	it at the top of the generated source file.  This new section can
	be used to insert custom code at the beginning of the translation
	unit as seen by the compiler.

2009-08-21  Daniel Elstner  <danielk@openismus.com>

	Use mm-common macro for --disable-deprecated-api

	* configure.ac: Replace GLIBMM_ARG_ENABLE_API_DEPRECATED() with
	the new MM_ARG_DISABLE_DEPRECATED_API() macro from mm-common.
	(MM_PREREQ): Raise requirement to mm-common 0.6.
	* build/reduced.m4 (GLIBMM_ARG_ENABLE_API_DEPRECATED): Remove
	obsolete macro definition.
	* glib/glibmmconfig.h.in (GLIBMM_DISABLE_DEPRECATED): Copy #undef
	statement from config.h.in template.
	* gio/giommconfig.h.in (GIOMM_DISABLE_DEPRECATED): ditto.

2009-08-21  Daniel Elstner  <danielk@openismus.com>

	Insist on working Perl in maintainer mode

	* configure.ac: Call MM_CHECK_PERL in maintainer mode in order
	to verify early that the Perl interpreter is working.

2009-08-20  Daniel Elstner  <danielk@openismus.com>

	Rename @since back to @newin

	* docs/reference/Doxyfile.in (ALIASES): Rename the @since alias
	back to its old name @newin, but otherwise keep the parameters.
	Apparently there is a @since command predefined in Doxygen which
	I hadn't noticed.  It does seem to get overridden silently, but
	it is better not to rely on this.
	* tools/pm/DocsParser.pm (convert_tags_to_doxygen): Output @newin
	instead of @since.
	* {glib,gio}/src/*.hg, {glib,gio}/{glib,gio}mm/*.h: Replace all
	uses of @since with @newin.

2009-08-20  Daniel Elstner  <danielk@openismus.com>

	Predefine GIOMM_API for Doxygen

	* docs/reference/Doxyfile.in (PREDEFINED): Define GIOMM_API to the
	empty expansion, so that it won't show up in the documentation.

2009-08-20  Daniel Elstner  <danielk@openismus.com>

	Substitute API version in filenames dynamically

	* glib/glibmm.pc.in: Rename file from glib/glibmm-2.4.pc.in.
	* glib/glibmm-uninstalled.pc.in: Rename file from
	glib/glibmm-2.4-uninstalled.pc.in.
	* gio/giomm.pc.in: Rename file from gio/giomm-2.4.pc.in.
	* gio/giomm-uninstalled.pc.in: Rename file from
	gio/giomm-2.4-uninstalled.pc.in.
	* configure.ac (AC_CONFIG_FILES): Insert ${GLIBMM_MODULE_NAME}
	and ${GIOMM_MODULE_NAME} into output filenames and remove the
	hard-coded version from the input filenames.
	* glib/glibmm/Makefile.am (lib_LTLIBRARIES): Substitute
	@GLIBMM_API_VERSION@ into the libtool archive name as well as
	the variable names derived from it instead of hard-coding the
	API version.

2009-08-20  Daniel Elstner  <danielk@openismus.com>

	Do not hard-code API version in resource files

	* MSVC_Net200[58]/glibmm/glibmm.rc.in: Use newer @PACKAGE_VERSION@
	substitution in place of @VERSION@.  Substitute @GLIBMM_MODULE_NAME@
	instead of hardcoding the API version.
	* MSVC_Net200[58]/giomm/giomm.rc.in: Use newer @PACKAGE_VERSION@
	substitution in place of @VERSION@.  Substitute @GIOMM_MODULE_NAME@
	instead of hardcoding the API version.  Replace @GLIBMM_*_VERSION@
	substitutions with their @GIOMM_*_VERSION@ equivalents.

2009-08-19  Daniel Elstner  <danielk@openismus.com>

	Predefine GLIBMM_API for Doxygen

	* docs/reference/Doxyfile.in (PREDEFINED): Define GLIBMM_API to the
	empty expansion, so that it won't show up in the documentation.

2009-08-18  Daniel Elstner  <danielk@openismus.com>

	Prepend tools/pm/ to Perl include path

	* g{lib,io}/src/Makefile.am (gmmproc): Pass -I$(top_srcdir)/tools/pm
	to the Perl interpreter when invoking the local gmmproc, so that it
	will pick up the modules from the source tree instead of an existing
	glibmm installation.
	* tools/gmmproc.in (BEGIN): Substitute @GLIBMM_MODULE_NAME@ instead
	of hard-coding the location.

2009-08-18  Daniel Elstner  <danielk@openismus.com>

	Implement parametric Doxygen alias @since{m,n}

	* docs/reference/Doxyfile.in (ALIASES): Define a parametrized alias
	@since{major,minor} to replace the old @newin?p?* aliases which had
	to be defined manually for every version number used.
	(PREDEFINED): Predefine G_GNUC_NORETURN, G_GNUC_NULL_TERMINATED and
	G_GNUC_PURE to the empty expansion.  Remove GTKMM_* macros.
	* tools/pm/DocsParser.pm (convert_tags_to_doxygen): Change "Since:"
	substitution to output the new generic @since alias.
	* {glib,gio}/src/*.hg, {glib,gio}/{glib,gio}mm/*.h: Change all uses
	of @newin?p?* to @since{major,minor}.

2009-08-17  Daniel Elstner  <danielk@openismus.com>

	Append slash to overridden $(htmlrefpub)

	* docs/Makefile.am (htmlrefpub): Append trailing slash for
	consistency with the non-overridden value.

2009-08-17  Daniel Elstner  <danielk@openismus.com>

	Exclude GTimeVal and nil from the documentation

	* docs/reference/Doxyfile.in (EXCLUDE_SYMBOLS): Add GTimeVal and
	nil to the list of symbols to exclude from the documentation.

2009-08-17  Daniel Elstner  <daniel.kitta@gmail.com>

	Reenable JAVADOC_AUTOBRIEF mode of Doxygen

	* docs/reference/Doxyfile.in (JAVADOC_AUTOBRIEF): Change value
	back to 'YES'.  I accidentally turned off the setting during the
	build infrastructure transition.

2009-08-16  Daniel Elstner  <daniel.kitta@gmail.com>

	Unbreak List_Iterator::operator->()

	* glib/glibmm/containers.h ({S,}List_Iterator::operator->):
	Use &**this, not &*this.  Oops.

2009-08-16  Daniel Elstner  <daniel.kitta@gmail.com>

	Define GLIBMM_USING_STD() as dummy no-op

	* glib/glibmmconfig.h.in (GLIBMM_USING_STD): Resurrect macro
	for backwards compatibility, but unconditionally define it to
	the empty expansion.

2009-08-16  Daniel Elstner  <daniel.kitta@gmail.com>

	Define GLIBMM_BUILD and GIOMM_BUILD

	* glib/glibmm/Makefile.am (local_cppflags): Add -DGLIBMM_BUILD=1.
	* gio/giomm/Makefile.am (local_cppflags): Add -DGIOMM_BUILD=1.

2009-08-16  Daniel Elstner  <daniel.kitta@gmail.com>

	Slightly clean up List_Iterator helper classes

	* glib/glibmm/containers.h ({S,}List_Iterator): Smooth out
	a number of eye sores I had stumbled upon in the code.

2009-08-16  Daniel Elstner  <daniel.kitta@gmail.com>

	Correct nesting mistakes in Autoconf macros

	* build/cxx.m4: Fix the incorrect nesting of parentheses with
	about every other AC_COMPILE_IFELSE/AC_LANG_PROGRAM construct.
	My fault, ooops.

2009-08-16  Daniel Elstner  <daniel.kitta@gmail.com>

	Clean up g{lib,io}mmconfig.h.in templates

	* glib/glibmmconfig.h.in: Rewrite, copying large chunks from
	the autoheader-generated config.h.in template.
	* gio/giommconfig.h.in: Remove everything that belongs to glibmm
	and include glibmmconfig.h.

2009-08-16  Daniel Elstner  <daniel.kitta@gmail.com>

	Set GTHREAD_LIBS to the full --libs value again

	* configure.ac (GTHREAD_LIBS): Go back to pkg-config --libs
	to retrieve the linker flags to use with threaded programs.
	For some reason --libs-only-other does not include -pthread.

2009-08-16  Daniel Elstner  <daniel.kitta@gmail.com>

	Get rid of all uses of GLIBMM_USING_STD()

	* glib/src/*.{ccg,hg}: Remove all uses of GLIBMM_USING_STD().
	We definitely do not need this anymore, and probably never
	did.  We never covered all symbols from namespace std anyway
	and never got any complaint about it.  Also, be careful to
	always include the glibmmconfig.h header when it is needed.
	* glib/glibmm/*.{cc,h}: ditto.
	* glib/glibmmconfig.h.in: Clean up and re-indent.

2009-08-16  Daniel Elstner  <daniel.kitta@gmail.com>

	Clean up C++ compiler test Autoconf macros

	* build/cxx.m4: Clean up M4 code and switch to non-deprecated
	Autoconf macros.
	(AC_CXX_NAMESPACES), (AC_CXX_BOOL), (AC_CXX_MUTABLE): Remove
	obsolete feature check macros.
	* configure.ac: Remove AC_CXX_NAMESPACES(), AC_CXX_BOOL(),
	AC_CXX_MUTABLE() and GLIBMM_CXX_HAS_NAMESPACE_STD checks.

2009-08-16  Daniel Elstner  <daniel.kitta@gmail.com>

	Remove now optional macro arguments

	* configure.ac: Insert MM_PREREQ([0.4]) macro call.
	(MM_INIT_MODULE): Remove the now optional second macro argument.

2009-08-16  Daniel Elstner  <daniel.kitta@gmail.com>

	Move M4 files from scripts/ over to build/

	* scripts/*.m4: Move files over to the build/ directory, in order
	to be more consistent with the directory layout of other binding
	modules that switched to the new build organization.
	* Makefile.am (ACLOCAL_AMFLAGS): Search build/ for M4 files.
	(dist_aclocal_macro_DATA): Adjust directory prefix to build/.
	* configure.ac (AC_CONFIG_MACRO_DIR): Place third-party Autoconf
	macros into the build/ directory.

2009-08-16  Daniel Elstner  <daniel.kitta@gmail.com>

	Use hammer method to avoid admitting to be wrong

	* glib/README, gio/README: Oops, looks like I was wrong in my
	assumption that these files would be distributed automatically by
	Automake.  In order to save face, I thought I might just delete
	them then, as their content is not very useful anyway.

2009-08-16  Daniel Elstner  <daniel.kitta@gmail.com>

	Stop distributing README files manually

	* Makefile.am (text_files): Remove glib/README and gio/README as
	files named README are distributed automatically by Automake.
	(msvc_files): Use the more readable and safer $(addprefix ...)
	function of GNU make instead of a $(foo:%=prefix/%) substitution.
	(DISTCLEANFILES): Use $(filter %mmconfig.h,$(msvc_files)) instead
	of listing the generated configuration header files manually.

2009-08-16  Daniel Elstner  <daniel.kitta@gmail.com>

	Provide g{lib,io}mm-2.4-uninstalled.pc files

	* glib/glibmm-2.4-uninstalled.pc.in: New file to provide a pkg-config
	configuration for building against an uninstalled glibmm library.
	* gio/giomm-2.4-uninstalled.pc.in: ditto for giomm.
	* glib/glibmm-2.4.pc.in (htmlrefpub): Append slash to URL.
	* gio/giomm-2.4.pc.in (htmlrefpub): ditto.
	* configure.ac (AC_CONFIG_FILES): List glib/glibmm-2.4-uninstalled.pc
	and gio/giomm-2.4-uninstalled.pc output files.

2009-08-11  Daniel Elstner  <danielk@openismus.com>

	Add missing datadir substitution to .pc file

	* glib/glibmm-2.4.pc.in (datadir): Substitute value, as it is
	used as a component of doctooldir later in the file.
	* gio/giomm-2.4.pc.in (datadir): Substitute value, just in case.
	* docs/Makefile.am: Remove overrides of the documentation
	utilities, since MM_CONFIG_DOCTOOL_DIR() already takes care
	of setting MMDOCTOOLDIR to the local directory.

2009-08-10  Daniel Elstner  <danielk@openismus.com>

	Get rid of some old Autoconf macro cruft

	* scripts/dk-warn.m4: Delete file, since the functionality is now
	provided by MM_ARG_ENABLE_WARNINGS() from the mm-common module.
	* scripts/docgen.m4: Delete obsolete file.
	* scripts/cxx_std.m4: Remove stray text snippet from the top of the
	file.  Probably a cut'n'paste accident.
	* scripts/cxx.m4 (GLIBMM_MEMBER_FUNCTIONS_MEMBER_TEMPLATES): Do not
	AC_DEFINE to 0 in the else branch, as that will do the wrong thing
	when #ifdef is used instead of #if.
	* scripts/README: Delete file consisting solely of whitespace.
	* configure.ac: Add note on pointless test for namespace std.

2009-08-10  Daniel Elstner  <danielk@openismus.com>

	Clean up configure check for Windows host

	* configure.ac (OS_WIN32): Rename conditional to HOST_WINDOWS_NATIVE
	because the OS vs platform terminology confused the hell out of me.
	Remove the check for a non-native Windows host such as Cygwin, since
	the corresponding conditional is not used anymore.

2009-08-10  Daniel Elstner  <danielk@openismus.com>

	Have mm-common-prepare install the doc utils

	* configure.ac: Call MM_CONFIG_DOCTOOL_DIR([docs]) to set
	up the destination directory for mm-common-prepare to copy
	the documentation utilities to.
	* docs/doc-install.pl: Delete file.
	* docs/doc-postprocess.pl: ditto,
	* docs/tagfile-to-devhelp2.xsl: ditto.

2009-08-09  Daniel Elstner  <danielk@openismus.com>

	Distribute README.SUN and autogen.sh

	* Makefile.am (text_files): Add README.SUN.
	(dist_noinst_SCRIPTS): List autogen.sh.

2009-08-09  Daniel Elstner  <danielk@openismus.com>

	Use versioned directory for documentation tools

	* docs/Makefile.am (doctooldir): Use the versioned module
	name instead of the package name as $(datadir) subdirectory.
	* glib/glibmm-2.4.pc.in (doctooldir): Change the variable
	value accordingly.

2009-08-09  Daniel Elstner  <danielk@openismus.com>

	Provide documentation location via pkg-config

	* glib/glibmm-2.4.pc.in: Clean up and modernize the values,
	and make use of more configure variable substitutions.
	(datarootdir): Substitute @datarootdir@.
	(gmmprocdir): Remove the @GMMPROC_DIR@ substitution and expand
	${libdir} indirectly.
	(doctooldir): New variable pointing to the location of the
	installed utilities for building the reference documentation.
	(docdir), (doxytagfile), (htmlrefdir), (htmlrefpub): Provide
	meta information on the installed reference documentation in
	these new pkg-config variables.
	* gio/giomm-2.4.pc.in: Clean up and modernize the values,
	and make use of more configure variable substitutions.
	(datarootdir): Substitute @datarootdir@.
	(docdir), (doxytagfile), (htmlrefdir), (htmlrefpub): Provide
	meta information on the installed reference documentation in
	these new pkg-config variables.  The values are identical to
	the glibmm-2.4 ones because the documentation is bundled.
	* docs/Makefile.am (hmtlrefpub): Override the public web URL
	of the reference documentation, since the currently uploaded
	documentation still has the redundant docs/ component in the
	base path.

2009-08-09  Daniel Elstner  <danielk@openismus.com>

	Get make distcheck to pass cleanly

	* Makefile.am (DISTCLEANFILES): List the configuration header
	copies made by the AC_CONFIG_COMMANDS() as files to delete.
	* configure.ac (AM_INIT_AUTOMAKE): Switch to POSIX archive
	format (pax) for tar, because just as with libsigc++ the
	filenames generated by Doxygen exceed the tar-ustar limit.

2009-08-09  Daniel Elstner  <danielk@openismus.com>

	Work around Automake cleverness failure

	* gio/giomm/filelist.am (giomm_files_built_ph): Use the GNU
	make $(patsubst ...) function instead of $(var:%=foo%bar) if
	a simple $(var:.a=.b) is not sufficient.  Apparently Automake
	is able to expand some of these constructs statically, but in
	some cases it will actually produce the wrong result.  Using
	$(patsubst ...) helps to avoid the problem because Automake
	does not attempt to expand it.
	* glib/glibmm/filelist.am (glibmm_files_built_ph): Use the
	$(patsubst ...) function here, too.
	* gio/src/filelist.am (giomm_files_used_hg): Define another
	intermediate variable to avoid repetition.

2009-08-09  Daniel Elstner  <danielk@openismus.com>

	Get rid of all Makefile.am in the MSVC dirs

	* MSVC_Net2005/**/Makefile.am: Delete recursive build files.
	* MSVC_Net2008/**/Makefile.am: ditto.
	* MSVC_Net2005/filelist.am: New file.  Recursively list all
	files that should go into the distribution.
	* MSVC_Net2008/filelist.am: ditto.
	* configure.ac (AC_CONFIG_FILES): Remove all Makefile outputs
	to the MSVC subdirectories.  Combine all the remaining output
	files into a single argument to just one AC_CONFIG_FILES call.
	Follow through with a number of TODO comments and remove some
	old cruft which is no longer used anywhere in the module.
	(AC_CONFIG_COMMANDS): Copy the configuration header files into
	the MSVC subdirectories by making config.status execute custom
	configuration commands.  This is easier than doing it at the
	Makefile level, where it was previously implemented.
	* Makefile.am: Include the filelist.am files from the MSVC
	subdirectories.
	(SUBDIRS): Remove MSVC_Net200[58] directories from the list.
	(dist_noinst_DATA): Distribute the MSVC project files.
	* tools/gmmproc.in: Substitute @PERL@ instead of @PERL_PATH@.
	* tools/generate_wrap_init.pl.in: ditto.

2009-08-09  Daniel Elstner  <danielk@openismus.com>

	Bring back the giomm reference documentation

	* glib/{src,glibmm}/filelist.am: Add namespace prefix glibmm_
	to variable names, so that the file lists of glibmm and giomm
	can be included together without conflicts.
	* gio/{src,giomm}/filelist.am: Add namespace prefix giomm_ to
	variable names.
	* glib/{src,glibmm}/Makefile.am: Copy the namespace-prefixed
	make variables to non-prefixed variables, so that the Automake
	include files from mm-common will pick up the values.
	* gio/{src,giomm}/Makefile.am: ditto.
	* docs/Makefile.am: Include file lists of giomm.
	(doc_input): List the header files of both glibmm and giomm.

2009-08-09  Daniel Elstner  <danielk@openismus.com>

	Begin move to new documentation infrastructure

	* configure.ac (AC_CONFIG_FILES): Remove the old build files
	docs/{images,internal,reference}/Makefile from the list.  Also
	remove the obsolete docs/reference/beautify_docs.pl.
	* docs/Makefile.am: Big overhaul.  Reimplement on top of the
	new documentation infrastructure provided with the mm-common
	module.  Build, distribute and install files which used to be
	handled by the subdirectories' Makefiles directly from here.
	Note that the generated reference documentation at the moment
	only covers glibmm without giomm.  Remedy follows.
	* docs/reference/Doxyfile.in: Replace configuration with the
	modernized version from librsvgmm, appropriately modified for
	glibmm.  Make use of the new substitutions provided by the
	mm-common Autoconf magic.
	* docs/doc-install.pl: Copy script from mm-common.  Install
	it into $(pkgdatadir)/doctool.
	* docs/doc-postprocess.pl: ditto,
	* docs/tagfile-to-devhelp2.xsl: ditto.
	* docs/images/Makefile.am: Delete subdirectory Makefile.
	* docs/internal/Makefile.am: ditto,
	* docs/reference/Makefile.am: ditto.
	* docs/reference/README: Delete file, as it documents exactly
	the things I just ripped.
	* docs/reference/beautify_docs.pl.in: Delete obsolete file.
	* docs/reference/doxygen_to_devhelp.xsl: ditto,
	* docs/reference/libstdc++.tag.xml: ditto.

2009-08-09  Daniel Elstner  <danielk@openismus.com>

	Convert examples/ sub-tree to non-recursive build

	* examples/Makefile.am: Rewrite to a non-recursive build of
	all example programs with a single control file.  Hook the
	build of the example programs to the make check target.
	* examples/Makefile.am_fragment: Delete obsolete file.
	* examples/*/Makefile.am: Delete obsolete files.
	* examples/README: Delete file, as it was empty anyway apart
	from a single whitespace character.
	* configure.ac (AC_CONFIG_FILES): Remove examples/*/Makefile
	output files from the list.

2009-08-09  Daniel Elstner  <danielk@openismus.com>

	Convert tests/ sub-tree to non-recursive build

	* tests/Makefile.am: Rewrite to a non-recursive build of all
	test programs with a single control file.  Hook the the build
	of the test programs to the make check target.
	* tests/Makefile.am_fragment: Delete obsolete file.
	* tests/*/Makefile.am: Delete obsolete files.
	* configure.ac (AC_CONFIG_FILES): Remove tests/*/Makefile
	output files from the list.

2009-08-09  Daniel Elstner  <danielk@openismus.com>

	Delete now unused build_shared/ subdirectory

	* build_shared/*.am_fragment: Delete files, as they are no
	longer used anywhere.
	* tools/Makefile_list_of_sources.am_fragment: Delete file,
	* tools/m4/Makefile_list_of_sources.am_fragment: ditto,
	* tools/pm/Makefile_list_of_sources.am_fragment: ditto.

2009-08-09  Daniel Elstner  <danielk@openismus.com>

	Convert gio/ sub-tree to new build system

	* gio/src/filelist.am: New file for defining the lists of
	gmmproc input files.
	* gio/src/Makefile.am: Clean up and modernize.  Integrate
	with the new generate-binding.am build file from mm-common.
	* gio/giomm/filelist.am: New file for the lists of source
	code files, both generated and static.  Also list files from
	the private/ subdirectory here.
	* gio/giomm/Makefile.am: Clean up and modernize.  Integrate
	with the new compile-binding.am build file from mm-common.
	* configure.ac (AC_CONFIG_FILES): Remove the output file
	gio/giomm/private/Makefile from the list.
	* gio/giomm/private/Makefile.am: Delete file.
	* gio/src/Makefile_list_of_hg.am_fragment: Delete file.

2009-08-09  Daniel Elstner  <danielk@openismus.com>

	Convert glib/ sub-tree to new build system

	* glib/src/filelist.am: New file for defining the lists of
	gmmproc input files and M4 template files.
	* glib/src/Makefile.am: Clean up and modernize.  Integrate
	with the new generate-binding.am build file from mm-common.
	* glib/glibmm/filelist.am: New file for the lists of source
	code files, both generated and static.  Also list files from
	the private/ subdirectory here.
	* glib/glibmm/Makefile.am: Clean up and modernize.  Integrate
	with the new compile-binding.am build file from mm-common.
	* configure.ac (AC_CONFIG_FILES): Remove the output file
	glib/glibmm/private/Makefile from the list.
	* glib/glibmm/private/Makefile.am: Delete file.
	* glib/src/Makefile_list_of_hg.am_fragment: Delete file.

2009-08-09  Daniel Elstner  <danielk@openismus.com>

	Do not recurse into scripts/ subdirectory

	* Makefile.am: Install scripts/glibmm_check_perl.m4 from here.
	* scripts/Makefile.am: Delete file.
	* configure.ac (AC_CONFIG_FILES): Remove scripts/Makefile.

2009-08-09  Daniel Elstner  <danielk@openismus.com>

	Convert tools/ directory to new build system

	* configure.ac (AC_CONFIG_FILES): Remove the output files
	tools/{extra_defs_gen,m4,pm}/Makefile from the list.
	* tools/Makefile.am: Clean up.  Build, distribute and install the
	contents of all three subdirectories.  Rename generate_extra_defs
	executable to generate_defs_glib.
	* tools/m4/filelist.am: New file to hold the list of M4 files.
	* tools/pm/filelist.am: New file to hold the list of Perl modules.
	* tools/{extra_defs_gen,m4,pm}/Makefile.am: Delete files.

2009-08-08  Daniel Elstner  <danielk@openismus.com>

	Remove glib/Makefile.am and gio/Makefile.am

	* Makefile.am: Move things from glib/Makefile.am and gio/Makefile.am
	to the toplevel.  Remove the improvised custom convenience rules for
	now.
	(SUBDIRS): Enter the glib/src, gio/src, glib/glibmm and gio/giomm
	subdirectories directly from the toplevel.  Use indirect variables
	to define the conditionally entered subdirectories.
	* configure.ac: Call macros from mm-common for preparing the build of
	the reference documentation.  Remove {glib,gio}/Makefile.am from the
	AC_CONFIG_FILES list.  Avoid repeating the version requirement for all
	the basic g* libraries when constructing the list of dependencies for
	pkg-config.
	* {glib,gio}/Makefile.am: Remove files.

2009-08-07  Daniel Elstner  <danielk@openismus.com>

	Begin transition to new build infrastructure

	* autogen.sh: Replace script with a minimalistic wrapper around
	mm-common-prepare, autoreconf and configure.
	* Makefile.am (ACLOCAL_AMFLAGS): Pick up ${ACLOCAL_FLAGS} from the
	environment, so that autoreconf can do its magic.
	* configure.ac: Modernize.  Cut loads of old cruft.  Make use of
	magic mm-common macros to simplify things.  Declare build/ as the
	destination for auxiliary build files.  Add TODO comments to flag
	the pieces that still need cutting.  Re-enable autoheader.
	* config.h.in: Remove file, and have autoheader generate it.

2009-07-27  José Alburquerque  <jaalburqu@svn.gnome.org>

	* gio/src/memoryinputstream.ccg: Correct the if condition in
	Gio::MemoryInputStream::add_data() to coincide correctly with copying
	data that is null terminated (as docs say).

2.21.3:

2009-07-27  Jonathon Jongsma  <jonathon.jongsma@collabora.co.uk>

	* NEWS:
	* configure.ac: update for release

2009-07-26  Jonathon Jongsma  <jonathon.jongsma@collabora.co.uk>

	* glib/glibmm/objectbase.cc:
	* glib/glibmm/objectbase.h: add freeze_notify()/thaw_notify.  Fixes
	  Bug #575533

2009-07-26  Jonathon Jongsma  <jonathon@quotidian.org>

	* gio/src/memoryinputstream.ccg: fix a build error with explicit
	  casts.  I had made this change before, but apparently i forgot to
	  commit it.

2009-07-26  Jonathon Jongsma  <jonathon@quotidian.org>

	* gio/src/memoryinputstream.ccg:
	* gio/src/memoryinputstream.hg: fix MemoryInputStream::add_data() so
	  that it copies the memory internally.  This function was basically
	  unusable before except with statically allocated memory.
	  Otherwise the memory would have been leaked (if the caller did not
	  free it) or the memory could have been corrupted (if the caller
	  freed it before the MemoryInputStream was finished using it).  The
	  std::string version was susceptible to memory corruption as well,
	  so we take a copy of that string as well.  To avoid needing to
	  always copy the memory, I also introduced an overload which
	  accepts a GDestroyNotify function that will free the memory when
	  the object is finished with it. Fixes Bug #589683.

2009-07-26  Krzesimir Nowak  <krnowak@svn.gnome.org>

	* glib/glibmm/timeval.cc:
	* glib/glibmm/timeval.h: Wrapped g_time_val_from_iso8601()
	and g_time_val_to_iso8601().
	* glib/src/date.ccg:
	* glib/src/date.hg: Wrapped
	g_date_get_iso8601_week_of_year().

2009-07-17  David King  <davidk@openismus.com>

	* examples/properties/properties_example.cc: Only compile the
	properties example if properties are enabled.

2009-07-16  Jonathon Jongsma  <jonathon.jongsma@collabora.co.uk>

	* .gitignore:
	* configure.ac:
	* examples/Makefile.am:
	* examples/network_io/Makefile.am:
	* examples/network_io/resolve.cc: Added a simple example showing how
	  to resolve an internet address from a hostname

2009-07-16  Jonathon Jongsma  <jonathon.jongsma@collabora.co.uk>

	* gio/src/resolver.ccg:
	* gio/src/resolver.hg: add async versions of Resolver methods

2009-07-16  Jonathon Jongsma  <jonathon.jongsma@collabora.co.uk>

	* gio/src/resolver.ccg:
	* gio/src/resolver.hg: add overloads for resolver methods without a
	  cancellable object

2009-07-16  Jonathon Jongsma  <jonathon.jongsma@collabora.co.uk>

	* gio/src/drive.hg:
	* tools/m4/convert_gio.m4: add get_start_stop_type() and
	  Gio::DriveStartStopType enum

2009-07-16  Jonathon Jongsma  <jonathon.jongsma@collabora.co.uk>

	* gio/src/drive.hg: add _IGNORE() for a eject_with_operation() which
	  is hand-written

2009-07-14  Jonathon Jongsma  <jonathon@quotidian.org>

	* Fix Bug #587173 – Fails to install when bootstrapped with Automake 1.11
	* glib/glibmm/Makefile.am: remove .hg-generated headers from this
	  Makefile to fix built with automake-1.11
	* glib/src/Makefile_list_of_hg.am_fragment: re-format this list of
	  .hg files so it's easier to both read and maintain

2009-07-14  José Alburquerque  <jaalburqu@svn.gnome.org>

	* glib/src/glib_docs_override.xml:
	* glib/src/keyfile.ccg:
	* glib/src/keyfile.hg: Repair Glib::KeyFile docs with regard to
	exceptions.  Make sure that the methods that throw exceptions are
	implemented correctly if GLIBMM_EXCEPTIONS_ENABLED is not defined.
	Bug #587766 (Tomasz Jankowski).

2.21.2:

2009-07-13  Jonathon Jongsma  <jonathon@quotidian.org>

	* Makefile.am: fix release targets since we switched to git

2009-07-13  Jonathon Jongsma  <jonathon@quotidian.org>

	* NEWS: updated
	* configure.ac: bumped version for release

2009-07-11  Daniel Elstner  <daniel.kitta@gmail.com>

	* configure.ac (GTKMM_ARG_ENABLE_FULLDOCS): Remove macro
	call.  Its result is not used anywhere at all anymore.

2009-07-11  Daniel Elstner  <daniel.kitta@gmail.com>

	* gio/src/drive.hg (Drive::start_finish): Remove stray
	semicolon to get rid of compiler warning in pedantic mode.
	(Drive::stop_finish): ditto.

2009-07-09  Jonathon Jongsma  <jonathon@quotidian.org>

	* gio/src/volumemonitor.hg: implement Gio::VolumeMonitor::drive-stop-button

2009-07-09  Jonathon Jongsma  <jonathon@quotidian.org>

	* gio/src/drive.ccg: fix accidental bug in Gio::Drive::eject() that
	  the compiler warned me about

2009-07-09  Jonathon Jongsma  <jonathon@quotidian.org>

	* gio/src/volume.ccg:
	* gio/src/volume.hg: implement eject_with_operation()
	  similarly to the GDrive methods mentioned below

2009-07-09  Jonathon Jongsma  <jonathon@quotidian.org>

	* gio/src/mount.ccg:
	* gio/src/mount.hg: implement eject_with_operation() and
	  mount_with_operation similarly to the GDrive methods mentioned
	  below

2009-07-09  Jonathon Jongsma  <jonathon@quotidian.org>

	* gio/src/inetaddress.hg: implement get_native_size()

2009-07-09  Jonathon Jongsma  <jonathon@quotidian.org>

	* gio/src/drive.hg: implement GDrive::stop-button signal

2009-07-09  Jonathon Jongsma  <jonathon@quotidian.org>

	* gio/src/drive.ccg:
	* gio/src/drive.hg: Wrap the new eject_with_operation() methods and
	  implement the other eject() functions with
	  g_drive_eject_with_operation since g_drive_eject has been
	  deprecated in favor of eject_with_operation()

2009-07-09  Jonathon Jongsma  <jonathon@quotidian.org>

	* gio/src/drive.ccg:
	* gio/src/drive.hg:
	* gio/src/gio_enums.defs:
	* tools/m4/convert_gio.m4: wrap added GDrive methods: start(),
	  stop(), start_finish(), stop_finish(), can_start(), can_start(),
	  can_start_degraded()

2009-07-09  Jonathon Jongsma  <jonathon@quotidian.org>

	* gio/src/gio_methods.defs: re-generated defs
	* gio/src/socket.ccg:
	* gio/src/socket.hg: fix build breakage caused by the addition of a
	  bunch of cancellable parameters to GSocket methods.

2009-07-06  Daniel Elstner  <danielk@openismus.com>

	Treat empty Glib::spawn*() working dir as unset

	* glib/src/spawn.ccg (Glib::spawn_async_with_pipes): If the
	working_directory argument is the empty string, pass a 0 pointer
	to the GLib C API to make it inherit the parent's working directory.
	This is fine as the empty string is not a valid directory name, and
	our documentation already says that it will be interpreted that way.
	(Glib::spawn_async): ditto,
	(Glib::spawn_sync): ditto.

2009-07-03  José Alburquerque  <jaalburqu@svn.gnome.org>

	* tests/glibmm_valuearray/main.cc: Use references to store casts in
	glibmm_valuearray test.

2009-06-30  Jonathon Jongsma  <jonathon@quotidian.org>

	* glib/src/optiongroup.ccg:
	* glib/src/optiongroup.hg: add OptionGroup::add_entry(.., double&)

2009-06-29  Jonathon Jongsma  <jonathon@quotidian.org>

	* tools/m4/convert_gio.m4: add some namespaced conversions so that I
	  can use them for new api I'm wrapping in Gdk::Pixbuf.  Is there no
	  other way to do this?

2.21.1:

2009-06-29  Murray Cumming  <murrayc@murrayc.com>

  Allow dynamic GType registration, using g_type_module_register_type().

	* glib/glibmm/class.[h|cc]: Added a register_derived_type() overload that
	  takes an extra GTypeModule* parameter, and which calls
	  g_type_module_register_type() instead of g_type_register_static().
	* tools/m4/class_gobject.m4:
	* tools/m4/class_gtkobject.m4:
	* tools/m4/class_shared.m4: Added a _DYNAMIC_GTYPE_REGISTRATION macro to
	  be used in the class in the hg file, to add a *_Class::init(GTypeModule)
	method, and a get_type(GTypeModule*) method that calls it.


2009-06-24  Daniel Elstner  <daniel.kitta@gmail.com>

	Omit unused parameter names to avoid warning

	* tools/extra_defs_gen/generate_defs_gio.cc (main): Omit names of
	unused function parameters, to fix the build with fatal warnings
	enabled.
	* examples/properties/properties_example.cc (main): ditto,
	* tests/giomm_ioerror/main.cc (main): ditto.

2009-06-23  José Alburquerque  <jaalburqu@svn.gnome.org>

	* tests/glibmm_valuearray/main.cc: Use a const instead of a #define.

2009-06-23  Hubert Figuiere  <hub@figuiere.net>

	* tools/pm/WrapParser.pm (on_defs): Make sure we trim
	the module names to not have extraneous space. Closes bug #586785.

2009-06-22  José Alburquerque  <jaalburqu@svn.gnome.org>

	* glib/src/valuearray.ccg:
	* glib/src/valuearray.hg: Use guint for pre-allocation constructor.
	* .gitignore: Add value array test executable.

2009-06-22  José Alburquerque  <jaalburqu@svn.gnome.org>

	* configure.ac:
	* glib/glibmm.h:
	* glib/src/Makefile_list_of_hg.am_fragment:
	* glib/src/valuearray.ccg:
	* glib/src/valuearray.hg: Add Glib::ValueArray.

	* tests/Makefile.am:
	* tests/glibmm_valuearray/Makefile.am:
	* tests/glibmm_valuearray/main.cc: Add test for Glib::ValueArray.

	* .gitignore: Include valuearray.{h,cc}.

2009-06-22  José Alburquerque  <jaalburqu@svn.gnome.org>

	* glib/src/date.ccg: Check for an invalid date in copy constructor and
	assignment operator.  Fixes bug #585027.

2009-06-19  Jonathon Jongsma  <jonathon@quotidian.org>

	Add start of Socket class

	* gio/src/Makefile_list_of_hg.am_fragment:
	* gio/src/gio_enums.defs:
	* gio/src/gio_signals.defs:
	* gio/src/socket.ccg: Added.
	* gio/src/socket.hg: Added.
	* tools/enum.pl:
	* tools/extra_defs_gen/generate_defs_gio.cc:
	* tools/m4/convert_gio.m4:

2009-06-19  Jonathon Jongsma  <jonathon@quotidian.org>

	Add start of Initable
	This class may require a bit of additional thought since it implies
	that we will need to call a special g_initable_new() constructor
	that can fail with a GError rather than calling g_object_new()
	directly.  Alternately, all classes that derive from Initable may
	need to manually call init() in their constructors

	* .gitignore:
	* gio/src/Makefile_list_of_hg.am_fragment:
	* gio/src/initable.ccg: Added
	* gio/src/initable.hg: Added.

2009-06-19  Jonathon Jongsma  <jonathon@quotidian.org>

	Add NetworkService class

	* .gitignore:
	* gio/src/Makefile_list_of_hg.am_fragment:
	* gio/src/gio_signals.defs:
	* gio/src/networkservice.ccg: Copied from gio/src/socketaddress.ccg.
	* gio/src/networkservice.hg: Added.
	* tools/extra_defs_gen/generate_defs_gio.cc:

2009-06-18  Jonathon Jongsma  <jonathon@quotidian.org>

	* gio/giomm.h: update the main include header to include all of the
	  new / recent headers

2009-06-18  Jonathon Jongsma  <jonathon@quotidian.org>

	Add NetworkAddress

	* gio/src/Makefile_list_of_hg.am_fragment:
	* gio/src/gio_signals.defs:
	* gio/src/networkaddress.ccg: Copied from gio/src/socketaddress.ccg.
	* gio/src/networkaddress.hg: Copied from gio/src/socketaddress.hg.
	* tools/extra_defs_gen/generate_defs_gio.cc:

2009-06-18  Jonathon Jongsma  <jonathon@quotidian.org>

	* gio/src/gio_signals.defs:
	* tools/extra_defs_gen/generate_defs_gio.cc: add Resolver to the
	  extra defs generator

2009-06-18  Jonathon Jongsma  <jonathon@quotidian.org>

	* gio/src/Makefile_list_of_hg.am_fragment: put one .hg file on a
	  line and put sort them so it's easier to maintain this list

2009-06-18  Jonathon Jongsma  <jonathon@quotidian.org>

	* .gitignore:
	* gio/src/Makefile_list_of_hg.am_fragment:
	* gio/src/gio_signals.defs: re-generate with signals and properties
	  for some of the new network IO classes
	* gio/src/inetsocketaddress.ccg:
	* gio/src/inetsocketaddress.hg: Added InetSocketAddress class
	* tools/extra_defs_gen/generate_defs_gio.cc: added some new network
	  IO classes
	* tools/m4/convert_gio.m4:

2009-06-18  Jonathon Jongsma  <jonathon@quotidian.org>

	split SocketAddressEnumerator into its own file

	* .gitignore:
	* gio/src/Makefile_list_of_hg.am_fragment:
	* gio/src/socketaddressenumerator.ccg: Copied from gio/src/socketconnectable.ccg.
	* gio/src/socketaddressenumerator.hg: Copied from gio/src/socketconnectable.hg.
	* gio/src/socketconnectable.ccg:
	* gio/src/socketconnectable.hg:

2009-06-18  Jonathon Jongsma  <jonathon@quotidian.org>

	* glib/src/fileutils.ccg:
	* glib/src/fileutils.hg: add Glib::file_set_contents() to match
	  Glib::file_get_contents().  Fixes Bug #586187

2009-06-18  Jonathon Jongsma  <jonathon@quotidian.org>

	* configure.ac: bump version and glib version requirement

2009-06-18  Jonathon Jongsma  <jonathon@quotidian.org>

	* gio/src/socketconnectable.ccg:
	* gio/src/socketconnectable.hg: add overloads without a
	  'cancellable' argument for SocketAddressEnumerator methods

2009-06-18  Jonathon Jongsma  <jonathon@quotidian.org>

	* gio/src/gio_methods.defs: re-generate
	* gio/src/socketaddress.hg: uncomment method that was being
	  generated incorrectly due to out-of-date .defs
	* gio/src/socketconnectable.ccg:
	* gio/src/socketconnectable.hg: wrap the next_async() manually
	  because we need to do the slot adaptation stuff

2009-06-18  Jonathon Jongsma  <jonathon@quotidian.org>

	* gio/src/resolver.ccg:
	* gio/src/resolver.hg: remove some overloads for now and get the
	  lookup_service() API working with the list of SrvTargets
	* gio/src/srvtarget.hg: add TypeTraits for lists of SrvTargets

2009-06-17  Jonathon Jongsma  <jonathon@quotidian.org>

	Add initial wrappers for SocketConnectable, SocketAddress

	* .gitignore:
	* gio/src/Makefile_list_of_hg.am_fragment:
	* gio/src/enums.hg:
	* gio/src/inetaddress.hg:
	* gio/src/resolver.hg:
	* gio/src/socketaddress.ccg: Copied from gio/src/error.ccg.
	* gio/src/socketaddress.hg: Copied from gio/src/fileicon.hg.
	* gio/src/socketconnectable.ccg: Copied from gio/src/filemonitor.ccg.
	* gio/src/socketconnectable.hg: Added.
	* tools/m4/convert_gio.m4:

2009-06-17  Jonathon Jongsma  <jonathon@quotidian.org>

	Initial wrapping for SrvTarget, Resolver

	* .gitignore:
	* gio/src/Makefile_list_of_hg.am_fragment:
	* gio/src/resolver.ccg: Added.
	* gio/src/resolver.hg: Added.
	* gio/src/srvtarget.ccg: Added
	* gio/src/srvtarget.hg: Added.
	* tools/m4/convert_gio.m4:

2009-06-18  Murray Cumming  <murrayc@murrayc.com>

  Add debug output to hint that your .defs needs a define-object.

	* tools/pm/DocsParser.pm: lookup_object_of_method(),
	* tools/pm/GtkDefs.pm: lookup_object(): Add debug output to hint that you
	need a define-object for each C GType in the *.defs file, though I
	do not yet know why these are sometimes missing.

2009-06-18  Murray Cumming  <murrayc@murrayc.com>

	* configure.ac: Require glib 2.21, because g_cancellable_connect/disconnect()
	are not in glib 2.20.

2009-06-17  Hubert Figuiere  <hub@figuiere.net>

	* gio/src/file.hg:
	* gio/src/file.ccg: Added Gio::File::load_contents() overload to allow
	ignoring the etag contents. (Bug #581349)

2009-06-16  José Alburquerque  <jaalburqu@svn.gnome.org>

	* tools/extra_defs_gen/generate_extra_defs.cc:
	* tools/extra_defs_gen/generate_extra_defs.h: Modify extra defs
	generation utility to accept a custom defined function to determine if
	a GType is a pointer.  This was discussed in bug #562810 and I went
	back and forth about applying it.  I applied it, but later reverted
	it.  Now I find that it is difficult to keep patching the generated
	defs files in gstreamermm.  Since permission was granted, I'm
	re-applying it once and for all.

2009-05-23  Alexander Shaduri  <ashaduri@gmail.com>

	Build static libraries correctly under Windows/MinGW. Bug #583657.

	* configure.ac: Define GLIBMM_STATIC_LIB and GIOMM_STATIC_LIB when
	--enable-static is specified.
	* gio/giommconfig.h.in: Add GIOMM_STATIC_LIB and don't define GIOMM_DLL
	when using MinGW unless GIOMM_STATIC_LIB is defined.
	* glib/glibmmconfig.h.in: Add GLIBMM_STATIC_LIB and don't define
	GLIBMM_DLL when using MinGW unless GLIBMM_STATIC_LIB is defined.

2009-05-31  Armin Burgmeier  <armin@openismus.com>

	* tools/pm/Output.pm: Made gmmproc work on Windows, so that it is
	possible to build glibmm and friends directly from git.

2009-05-26  José Alburquerque  <jaalburqu@svn.gnome.org>

	* glib/src/spawn.ccg:
	* glib/src/spawn.hg: Corrected stray semicolons to fix the build with
	exceptions disabled.

2009-05-19  Siavash Safi  <siavash@siavashs.org>

	* tools/enum.pl: Fix --module option to work

2009-05-18  Jonathon Jongsma  <jonathon@quotidian.org>

	wrap Gio::InetAddress

	* .gitignore:
	* gio/src/Makefile_list_of_hg.am_fragment:
	* gio/src/gio_enums.defs: re-generate
	* gio/src/inetaddress.ccg: Added
	* gio/src/inetaddress.hg: Added.
	* tools/m4/convert_gio.m4:

2009-05-18  Jonathon Jongsma  <jonathon@quotidian.org>

	Wrap new Gio::FileIOStream class

	* gio/src/Makefile_list_of_hg.am_fragment:
	* gio/src/fileiostream.ccg: Copied from gio/src/fileinputstream.ccg.
	* gio/src/fileiostream.hg: Copied from gio/src/fileinputstream.hg.

2009-05-18  Jonathon Jongsma  <jonathon@quotidian.org>

	Wrap the new Gio::IOStream class

	* gio/src/Makefile_list_of_hg.am_fragment:
	* gio/src/iostream.ccg: Added.
	* gio/src/iostream.hg: Added.

2009-05-18  Jonathon Jongsma  <jonathon@quotidian.org>

	* gio/src/gio_docs_override.xml:add an override for
	get_activation_root() since the documentation contains /* comments
	*/ that mess up the documentation comments

2009-05-16  Jonathon Jongsma  <jonathon@quotidian.org>

	* gio/src/cancellable.ccg:
	* gio/src/cancellable.hg: add connect() and disconnect() functions

2009-05-16  Jonathon Jongsma  <jonathon@quotidian.org>

	* gio/src/gio_docs.xml:
	* gio/src/gio_methods.defs: update some defs

2009-05-14  Murray Cumming  <murrayc@murrayc.com>

	Type registration: Ignore NULL GTypes, preventing crashes.

	* glib/glibmm/wrap.cc: wrap_register(): Silently ignore NULL GTypes.
	* glib/glibmm/class.cc: register_derived_type(): Silently ignore NULL
	GTypes. Use g_strconcat() instead of ustring+= to maybe make it more
	efficient. This helps gstreamermm, which may try to use type names of
	plugins that are not actually available on the system.

2009-05-06  Chris Vine  <chris@cvine.freeserve.co.uk>

	* glib/glibmm/ustring.h (ustring_Iterator<>): Turn the relational
	operators into non-templated functions, and rely on the implicit
	conversion of ustring::iterator to ustring::const_iterator.  This
	makes the operators work with mixed argument types. (bgo #580773)

2009-04-27  Jonathon Jongsma  <jonathon@quotidian.org>

	* glibmm.doap: add mailto: protocol the email uris so the doap file
	is valid

2009-04-27  Jonathon Jongsma  <jonathon@quotidian.org>

	* examples/properties/Makefile.am
	* examples/properties/properties_example.cc
	* .gitignore
	* configure.ac
	* examples/Makefile.am: add a brief example of using properties with
	a Glib::Object-derived class

2009-04-23  Johannes Schmid <jschmid@openismus.com>

	* tools/pm/DocParser.pm:
	Fix #568490 – gmmproc: gtk_accel_map_*() not substituted in documentation
	by adding some more special cases to the doc generation. Also fixes the same
	issue for most methods where the .defs file do not mention an object.

2009-03-26  Daniel Elstner  <danielk@openismus.com>

	* configure.ac: Rename from configure.in.
	* autogen.sh: Fix reference to configure.in.
	* MSVC_Net2005/glibmm/Makefile.am: ditto,
	* MSVC_Net2005/giomm/Makefile.am: ditto,
	* MSVC_Net2008/glibmm/Makefile.am: ditto,
	* MSVC_Net2008/giomm/Makefile.am: ditto.

2009-03-26  Daniel Elstner  <danielk@openismus.com>

	* scripts/dk-warn.m4: New file defining DK_ARG_ENABLE_WARNINGS().
	* scripts/macros.m4: Remove the old GTKMM_ARG_ENABLE_WARNINGS().
	* configure.in: Use new macro DK_ARG_ENABLE_WARNINGS() to set the
	Makefile variable $(GLIBMM_WXXFLAGS).
	* build_shared/Makefile_build.am_fragment (all_includes): Prepend
	$(GLIBMM_WXXFLAGS).
	* tools/extra_defs_gen/Makefile.am (INCLUDES): ditto,
	* examples/Makefile.am_fragment (all_includes): ditto,
	* tests/Makefile.am_fragment (INCLUDES): ditto.

2009-03-26  Daniel Elstner  <danielk@openismus.com>

	* gio/src/emblemedicon.hg: Remove stray semicolons to get rid of
	compiler warnings.

2009-03-26  Daniel Elstner  <danielk@openismus.com>

	* tools/m4/list.m4 (GP_LIST_FIND): Rewrite the two find() loops
	to avoid a GCC warning about a lone semicolon as a loop body.

2009-03-25  Murray Cumming  <murrayc@murrayc.com>

	* glib/src/glib_enums.defs:
	* glib/src/glib_functions.defs: Remove broken definitions - mostly
	functions that take function pointers. I wonder why I did not notice
	this before.

2009-03-23  Daniel Elstner  <danielk@openismus.com>

	* glib/src/keyfile.{ccg,hg}: Conditionalize all exception-handling
	code in order to fix the build with --disable-api-exceptions.
	* glib/src/regex.hg: ditto,
	* gio/src/appinfo.ccg: ditto,
	* gio/src/file.{ccg,hg}: ditto,
	* gio/src/outputstream.ccg: ditto,
	* examples/keyfile/main.cc: ditto,
	* examples/regex/main.cc: ditto,
	* tests/giomm_ioerror/main.cc: ditto,
	* tests/giomm_simple/main.cc: ditto.

2009-03-19  José Alburquerque  <jaalburqu@svn.gnome.org>

	* tools/m4/class_gobject.m4: Added _CUSTOM_CTOR_CAST to _CLASS_GOBJECT
	for classes that need to include custom code in their cast and
	construct_params constructors as is done with _CLASS_GTKOBJECT.
	Bug #574861.

2009-03-18  José Alburquerque  <jaalburqu@svn.gnome.org>

	* tools/m4/base.m4: Modified _GET_TYPE_FUNC() to properly work with
	types like GtkFOOBar producing, for example, gtk_foo_bar_get_type()
	instead of gtk_fo_obar_get_type().
	Bug #575870.

2009-03-16  Armin Burgmeier  <armin@openismus.com>

	* MSVC_Net2005/giomm/giomm.vcproj:
	* MSVC_Net2008/giomm/giomm.vcproj: Added emblem.[h|cc],
	emblemedicon.[h|cc] and memoryoutputstream.[h|cc] to the project.

	* tools/extra_defs_gen/generate_defs_gio.cc: #ifdef-out the unix types
	on Windows.

2.20.0

2009-03-15  Jonathon Jongsma  <jjongsma@gnome.org>

	* configure.in: bump rev to 2.20.0
	* NEWS: update for release

2009-03-09  Daniel Elstner  <danielk@openismus.com>

	* tools/extra_defs_gen/generate_extra_defs.cc (get_properties):
	Replace nested double quotes in the docs string by single quotes
	to ease the parsing pain of gmmproc.

2.19.8:

2009-02-23  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/gio_enums.defs: Regenerated, adding
	FILE_CREATE_REPLACE_DESTINATION and Error::TOO_MANY_OPEN_FILES.
	* gio/src/gio_signals.defs: Regenerated.
	* go/src/mountoperation: Added the aborted signal.

2009-02-22  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/drive.hg: Remove extra ;s on the new signalsl, to avoid
	compiler warnings.

2.19.3

2009-02-20  Jonathon Jongsma  <jonathon@quotidian.org>

	* docs/reference/Makefile.am: fix distcheck issue

2009-02-20  Jonathon Jongsma  <jonathon@quotidian.org>

	* NEWS:
	* configure.in: update for 2.19.3 release

2009-02-17  Daniel Elstner  <danielk@openismus.com>

	* glib/glibmm/debug.h: Remove mention of G_GNUC_PRETTY_FUNCTION in
	comment because a code maintenance tool of André Klapper complained
	about it.
	* glib/glibmm/objectbase.cc: Likewise.

2009-02-06  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/gio_methods.defs: Regenerated.

	* gio/src/filterinputstream.hg: Added get/set_close_base_stream().
	* gio/src/filteroutputstream.hg: Added get/set_close_base_stream().
	* gio/src/unixinputstream.hg: Added get_fd() and get/set_close_fd().
	* gio/src/unixoutputstream.hg: Added get_fd() and get/set_close_fd().

	* gio/src/datainputstream.[hg|ccg]: Added read_until_async(),
	read_until_finish(), read_line_async() and read_line_finish().
	Added documentation for read_until() and read_line().

2009-02-06  Murray Cumming  <murrayc@murrayc.com>

	* tools/extra_defs_gen/generate_defs_gio.cc: Added unix types.
	* gio/src/gio_signals.defs: Regenerated.
	* gio/src/bufferedinputstream.hg: Added buffer_size property.
	* gio/src/bufferedoutputstream.hg: Added buffer_size and auto_grow
	properties.
	* gio/src/datainputstream.hg: Added byte_order and newline_type
	properties.
	* gio/src/dataoutputstream.hg: Added byte_order property.
	* gio/src/filterinputstream.hg: Added close_base_ stream property.
	* gio/src/filteroutputstream.hg:
	* gio/src/unixinputstream.hg: Added fd and close_fd properties.
	* gio/src/unixoutputstream.hg: Added fd and close_fd properties.

2009-02-05  Theppitak Karoonboonyanan  <thep@linux.thai.net>

	* docs/reference/Doxyfile.in:
	* docs/reference/Makefile.am: Allow glibmm to build outside the source
	tree. Bug #570216

2009-02-05  Murray Cumming  <murrayc@murrayc.com>

	* glib/src/regex.hg: create(): For the version when
	GLIBMM_EXCEPTIONS_ENABLED is not defined, do not specify default
	parameter values because we have an extra error parameter.
	Bug #570648 (Bernd Buschinski)

2009-01-20  Deng Xiyue  <manphiz@gmail.com>

	* Change license header to mention Lesser General Public License
	version 2.1 instead of Library General Public License, to be
	consistent with COPYING.

2.19.2:

2009-01-19  Tao Wang  <dancefire@gmail.com>

	* glib/src/nodetree.hg: Do not use a non-ASCII dash character, to
	avoid the MSVC++ warning C4819 with Visual Studio 2008.
	Bug #568072

2009-01-09  Murray Cumming  <murrayc@murrayc.com>

	* glib/glibmm/wrap.h: wrap_auto_interface<>(): Add a warning to give a
	clue when the dynamic_cast fails, for instance if you are doing some
	incorrect multiple inheritance.

2009-01-08  Daniel Elstner  <danielk@openismus.com>

	* glib/glibmm/ustring.h (ustring::compose): Add an overload which
	takes only a format string and no arguments to be substituted.  It
	is essentially a null-operation as long as the format string does
	not contain any invalid argument references.  Bug #506394.

2009-01-06  Jonathon Jongsma  <jonathon@quotidian.org>

	* glib/src/uriutils.ccg: fix a memory leak in the uri utility functions
	caused by not freeing the returned C string.  Bug #566845 (Jason Kasper)

2009-01-03  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/file.ccg: Added implementation of the
	make_directory_with_parents() method overload that takes no parameter.
	Bug #566003 (Philip Belemezov).

2008-12-24  Murray Cumming  <murrayc@murrayc.com>

	* glib/src/spawn.ccg:
	* glib/src/spawn.hg: Added Glib::spawn_*() alternative API for when
	GLIBMM_EXCEPTIONS_ENABLED is not enabled (when compiling without
	C++ exceptions.)
	Bug #565487
	(Jonathon Jongsma)

2008-12-14  Jonathon Jongsma  <jonathon@quotidian.org>

	* NEWS: update for follow-up release

2008-12-14  Jonathon Jongsma  <jonathon@quotidian.org>

	* configure.in: bump to 2.19.1

2008-12-14  Jonathon Jongsma  <jonathon@quotidian.org>

	* gio/src/drive.hg: Wrap new signals 'changed', 'disconnected', and
	'eject_button' with the no_default_handler option so that we don't break ABI
	by adding new virtual functions

=== 2.19.0 ===

2008-12-12  Jonathon Jongsma  <jonathon@quotidian.org>

	* NEWS: update for release

2008-12-12  Jonathon Jongsma  <jonathon@quotidian.org>

	* tests/giomm_ioerror/main.cc:
	* tests/giomm_simple/main.cc: use common filenames so that people other than
	murrayc can run the tests without errors

2008-12-12  Jonathon Jongsma  <jonathon@quotidian.org>

	* gio/src/memoryoutputstream.hg: Fix a copy-paste error where I accidentally
	left a FilterOutputStream type in

2008-12-02  Jonathon Jongsma  <jonathon@quotidian.org>

	* gio/src/memoryoutputstream.ccg:
	* gio/src/memoryoutputstream.hg: Added MemoryOutputStream, but needs a bit
	of work on the constructor yet

2008-12-02  Jonathon Jongsma  <jonathon@quotidian.org>

	* gio/src/Makefile_list_of_hg.am_fragment:
	* gio/src/emblem.ccg:
	* gio/src/emblem.hg:
	* gio/src/emblemedicon.ccg:
	* gio/src/emblemedicon.hg:
	* tools/m4/convert_gio.m4: add Emblem and EmblemedIcon classes

2008-12-02  Jonathon Jongsma  <jonathon@quotidian.org>

	* tools/m4/convert_glib.m4: add a conversion for Glib::KeyFile&
	* gio/src/desktopappinfo.hg: wrap the new create_from_keyfile() function.
	In addition, I removed the _WRAP_CTOR and _WRAP_CREATE usage from the
	desktop_id constructor and wrapped all of the static create* functions using
	_WRAP_METHOD since these functions do a lot of error handling and can fail
	to create an object under some circumstances.

2008-12-02  Jonathon Jongsma  <jonathon@quotidian.org>

	* docs/reference/Makefile.am: rebuild docs when a giomm header file is
	changed (similar to how we handle glibmm)

2008-12-02  Jonathon Jongsma  <jonathon@quotidian.org>

	* gio/giomm/contenttype.cc:
	* gio/giomm/contenttype.h: add content_type_from_mime_type()

2008-12-02  Jonathon Jongsma  <jonathon@quotidian.org>

	Wrap a bunch of new / missed API

	* gio/src/appinfo.hg:
	* gio/src/appinfo.ccg: AppInfo::get_commandline(), can_delete(), do_delete()
	(need better name?), reset_type_associations(), launch_default_for_uri()
	* gio/src/cancellable.hg: add commented-out make_pollfd() since I'm not sure
	yet whether it's useful with the C++ API or not
	* gio/src/drive.hg: Added signals 'changed', 'disconnected', and
	'eject_button'
	* gio/src/icon.hg:
	* gio/src/icon.ccg: Added Icon::create(string) and Icon::to_string()
	* gio/src/mount.hg:
	* gio/src/mount.ccg: Added Mount::guess_content_type_sync(), is_shadowed(),
	shadow(), and unshadow()

2008-12-01  Jonathon Jongsma  <jonathon@quotidian.org>

	* configure.in: bump requirement to glib 2.19.x
	* gio/src/gio_docs.xml:
	* gio/src/gio_enums.defs:
	* gio/src/gio_methods.defs:
	* gio/src/gio_signals.defs:
	* glib/src/glib_docs.xml:
	* glib/src/glib_enums.defs:
	* glib/src/glib_functions.defs:
	* glib/src/gmodule_enums.defs:
	* glib/src/gmodule_functions.defs:
	* glib/src/gobject_enums.defs:
	* glib/src/gobject_functions.defs: update the .defs to start on 2.19.x API

2008-12-01  Jonathon Jongsma  <jonathon@quotidian.org>

	* Makefile.am: add some convenience rules for generating the .defs files

2008-09-22  Dave Foster <daf@minuslab.net>

	* glib/glibmm/main.h:
	* glib/glibmm/main.cc: Added SignalIdle::connect_once,
	SignalTimeout::connect_once, and SignalTimeout::connect_seconds_once.

2008-12-10  Przemysław Grzegorczyk  <pgrzegorczyk@gmail.com>

	* Cleaned up glib includes since in the future, only glib.h (and
	glib-object.h, etc) will be allowed to be included directly.
	Bug #563987

2008-12-01  Hubert Figuiere  <hub@figuiere.net>

	* glib/src/markup.ccg: Change the way unused variables
	are marked. Bug #562716

2008-11-29  Hubert Figuiere  <hub@figuiere.net>

	* glib/src/nodetree.hg: Fix -Wshadow warnings. Bug #555743.

2008-10-20  Jonathon Jongsma  <jonathon@quotidian.org>

	* NEWS:
	* configure.in: bump version to 2.18.1, prepare NEWS for release

2008-10-20  Jonathon Jongsma  <jonathon@quotidian.org>

	* Makefile.am: updated the release-announce template

2008-10-16  Armin Burgmeier  <armin@openismus.com>

	* glib/glibmm/ustring.h: Fixed the const char* specialization for
	Stringify<> by making the string_ member a const Glib::ustring instead
	of a const Glib::ustring&. Also enabled the char[N] specialization for
	string literals.

	* tests/glibmm_ustring_compose/main.cc: Enabled the test for the
	specialization for string literals.
	Bug #506410 (Szilárd Pfeiffer)

2008-10-15  José Alburquerque  <jaalburqu@svn.gnome.org>

	* tools/extra_defs_gen/generate_extra_defs.cc: Modify signal and props
	generation tool to generate interface signals.

2008-10-15  Armin Burgmeier  <armin@openismus.com>

	* gio/src/fileenumerator.hg:
	* gio/src/fileenumerator.ccg: Made FileEnumerator::next_file not add
	an additional reference to the return value, because the C version
	creates a new object. Also, changed ownership of the list returned by
	FileEnumerator::next_files_finish to be deep instead of shallow. Bug
	#556387.

2008-10-09  Armin Burgmeier  <armin@openismus.com>

	* gio/src/fileinfo.hg: Rename FILE_TYPE_UNKNOWN to FILE_TYPE_NOT_KNOWN
	because the former is a #define on Windows in winbase.h, included from
	windows.h. Keep FILE_TYPE_UNKNOWN for compatibility if it is not
	already defined.

2008-10-09  Armin Burgmeier  <armin@openismus.com>

	* MSVC_Net2008/Makefile.am: Removed README from EXTRA_DIST to fix
	`make dist'.

2008-10-08  Armin Burgmeier  <armin@openismus.com>

	* MSVC_Net2005/examples/dispatcher2/dispatcher2.vcproj:
	* MSVC_Net2005/examples/dispatcher/dispatcher.vcproj:
	* MSVC_Net2005/examples/options/options.vcproj:
	* MSVC_Net2005/examples/thread/thread.vcproj:
	* MSVC_Net2005/examples/thread_pool/thread_pool.vcproj:
	* MSVC_Net2005/giomm/giomm.vcproj:
	* MSVC_Net2005/glibmm/glibmm.vcproj: Adapt to the new MSVC++ DLL
	naming convention.

	* MSVC_Net2008/: Added MSVC 2008 project files.

	* configure.in:
	* Makefile.am: Add the new files to the build.

2008-10-04  Jonathon Jongsma  <jonathon@quotidian.org>

	* gio/src/error.hg: add a workaround for the HOST_NOT_FOUND symbol
	conflicts, as suggested by Szilárd Pfeiffer in Bug #529496
	* tests/giomm_ioerror/main.cc: add a test for this

2008-09-19  Armin Burgmeier  <armin@openismus.com>

	* tools/pm/DocsParser.pm (convert_tags_to_doxygen): Keep @param and
	@throws intact, so these can be used in *_docs_override_xml. Bug
	#539891.

2008-09-22  Armin Burgmeier  <armin@arbur.net>

	* MSVC_Net2005/glibmm/glibmm.vcproj: Added uriutils.cc and nodetree.cc
	to the project.

2008-09-22  Armin Burgmeier  <armin@arbur.net>

	* MSVC_Net2005/examples/dispatcher2/dispatcher2.vcproj:
	* MSVC_Net2005/examples/dispatcher/dispatcher.vcproj:
	* MSVC_Net2005/examples/markup/markup.vcproj:
	* MSVC_Net2005/examples/options/options.vcproj:
	* MSVC_Net2005/examples/thread/thread.vcproj:
	* MSVC_Net2005/examples/thread_pool/thread_pool.vcproj:
	* MSVC_Net2005/giomm/giomm.vcproj:
	* MSVC_Net2005/glibmm/glibmm.vcproj:
	* MSVC_Net2005/tests/giomm_simple/giomm_simple.vcproj:
	* MSVC_Net2005/tests/glibmm_value/glibmm_value.vcproj: Fixed the MSVC
	build of the examples and tests if configure did not run before.

=== 2.18.0 ===

2008-09-21  Jonathon Jongsma  <jonathon@quotidian.org>

	* Makefile.am: fix a minor issue in the release target

2008-09-21  Jonathon Jongsma  <jonathon@quotidian.org>

	* NEWS: Add news for 2.18 release
	* configure.in: bump version number for release
	* Makefile.am: update release mail template slightly

2008-09-08  Murray Cumming  <murrayc@murrayc.com>

	* COPYING.tools:
	* Makefile.am: Added COPYING.tools with the GPL because the tools/*.cc
	file is GPL. Bug #550789.

=== 2.17.3 ===

2008-09-03  Jonathon Jongsma  <jjongsma@gnome.org>

	* NEWS: update for release
	* configure.in: bump version for release

2008-08-26  Szilárd Pfeiffer  <szilard.pfeiffer@gmail.com>

	* glib/src/nodetree.hg: Implemented clone function to merge the
	constructors into that and fixed clear function the operator=
	function.
	* tests/glibmm_nodetree/main.cc: Simplified the test case.
	Bug #547901.

2008-08-27  Armin Burgmeier  <armin@arbur.net>

	* MSVC_Net2005/glibmm/glibmm.rc.in:
	* MSVC_Net2005/giomm/giomm.rc.in: Replaced #include "afxres.h" by
	#include <windows.h> which does the job equally well, and allows
	compilation with the freely available Visual Studio Express compiler.

2008-08-27  Armin Burgmeier  <armin@arbur.net>

	* glib/glibmm/ustring.cc: Only include config.h when HAVE_CONFIG_H is
	defined, to allow building glibmm with MSVC without having generated
	config.h before. The only thing config.h is used for is the
	SIZEOF_WCHAR_T define anyway, and this is not needed for a MSVC build.
	Bug #549343.

2008-08-26  Murray Cumming  <murrayc@murrayc.com>

	* tests/glibmm_nodetree/main.cc: Actually use the copy constructor (or operator=),
	instead of just copying the pointer.

2008-08-26  Murray Cumming  <murrayc@murrayc.com>

	* glib/src/nodetree.hg: Added an operator=() because we have a copy constructor.
	Moved some code into a private clear() method so we can reuse it.

2008-08-26  Szilárd Pfeiffer  <szilard.pfeiffer@gmail.com>

	* glib/src/nodetree.hg: Added a copy constructor. Therefore, take
	store the data by value instead of reference, taking it by const reference.
	* tests/glibmm_nodetree/main.cc: Test the copy constructor.
	Bug #547909.

2008-08-15  Szilárd Pfeiffer  <szilard.pfeiffer@gmail.com>

	* glib/src/nodetree.hg: Fixed pointer handling problem in find_child.
	Bug #547909.

2008-08-15  Szilárd Pfeiffer  <szilard.pfeiffer@gmail.com>

	* tests/glibmm_nodetree/main.cc: Implement the C++ version of GNode test
	case.
	Bug #547889

2008-07-29  Szilárd Pfeiffer  <szilard.pfeiffer@gmail.com>

	* glib/src/nodetree.hg: Use const_cast<> in the necessary const member
	functions instead of gobj() to fix the compilation when using these.
	Bug #546485.

2008-08-08  Armin Burgmeier  <armin@arbur.net>

	* MSVC_Net2005/: Moved from MSVC_Net2003

	* MSVC_Net2005/glibmm.sln:
	* MSVC_Net2005/glibmm/glibmm.vcproj:
	* MSVC_Net2005/examples/dispatcher/dispatcher.vcproj: Converted to
	project files for Visual Studio 2005.

	* MSVC_Net2005/glibmm/glibmm.rc.in: Removed the #include "resource.h"
	since there is no resource.h in the project, and the resource still
	seems to compile.

	* MSVC_Net2005/giomm/giomm.rc.in:
	* MSVC_Net2005/giomm/giomm.vcproj:
	* MSVC_Net2005/giomm/Makefile.am: Added giomm to the MSVC project.

	* MSVC_Net2005/tests/giomm_simple/giomm_simple.vcproj:
	* MSVC_Net2005/tests/giomm_simple/Makefile.am: Added giomm_simple to
	the MSVC project.

	* MSVC_Net2005/tests/Makefile.am:
	* MSVC_Net2005/Makefile.am:
	* Makefile.am:
	* configure.in: Adapted build files.

=== 2.17.2 ===

2008-08-06  Jonathon Jongsma  <jonathon.jongsma@collabora.co.uk>

	* NEWS: update for 2.17.2
	* configure.in: bump version

2008-08-06  Murray Cumming  <murrayc@murrayc.com>

	* configure.in:
	* tests/Makefile.am:
	* tests/glibmm_ustring_compose/main.cc: Added a test case.
	* glib/glibmm/ustring.h: Added a ustring::Stringify<>
	template specialization so that ustring::compose() works with
	const char* arguments, though it still needs to be fixed to
	work for string literals.
	Bug #506410 (Szilárd Pfeiffer).

2008-08-06  Murray Cumming  <murrayc@murrayc.com>

	* glib/src/nodetree.hg: Make gobject_ and data_ private,
	to remove them from protected API. Patch from Szilárd Pfeiffer.
	Bug #546485.
	Make gobj() inline.

2008-08-04  Murray Cumming  <murrayc@murrayc.com>

	* glib/glibmm/propertyproxy.h: Added some API documentation
	about the need to register a new GType when adding properties.
	Bug #523043 (Moritz Ulrich).

2008-08-02  Murray Cumming  <murrayc@murrayc.com>

	* docs/reference/glibmm_header.html_fragment: Change the Main
	Page link to link to gtkmm.org/documentation.shtml

2008-07-29  Murray Cumming  <murrayc@murrayc.com>

	* glib/glibmm/Makefile.am: Remove the mention of tree.cc here to
	fix the build. Generated files should never be menioned there.

2008-07-29  Murray Cumming  <murrayc@murrayc.com>

	* glib/src/nodetree.hg: Hand-code the TraverseType enum, to add
	a prefix to the values.
	* tests/glibmm_nodetree/main.cc: Adapted.

2008-07-29  Murray Cumming  <murrayc@murrayc.com>

	* glib/src/nodetree.hg: find(), find_child(), traverse(), foreach():
	Rearrange the parameters so we can have default values.
	* tests/glibmm_nodetree/main.cc: Adapted.

2008-07-29  Murray Cumming  <murrayc@murrayc.com>

	* glib/src/nodetree.hg: Move the TraverseFlags enum into
	the class, and hand-code it to avoid problems with _WRAP_ENUM().
	* tests/glibmm_nodetree/main.cc: Adapted.
	Bug #545050 (Szilárd Pfeiffer).

2008-07-29  Murray Cumming  <murrayc@murrayc.com>

	* configure.in:
	* glib/glibmm.h:
	* glib/src/Makefile_list_of_hg.am_fragment:
	* glib/src/nodetree.hg:
	* glib/src/tree.hg: Renamed to nodetree.hg
	* tests/Makefile.am:
	* tests/glibmm_tree/Makefile.am:
	* tests/glibmm_tree/main.cc: Renamed to glibmm_nodetree/

2008-07-29  Murray Cumming  <murrayc@murrayc.com>

	* glib/src/tree.hg: Renamed Glib::Tree to Glib::NodeTree to avoid
	confusion with GTree, because we actually wrap GNode, but do not like
	that name. As discussed in bug #520778.
	* tests/glibmm_tree/main.cc: Adapted.

2008-07-29  Murray Cumming  <murrayc@murrayc.com>

	* Makefile.am: Build the docs at the end, after the tests, to
	save time when testing API changes.

	* glib/src/tree.hg: Const corrections: Add const and non-const versions
	of many methods, instead of returning non-const objects from const methods.
	find().
	Changed max_height() to get_max_height() for consistency.
	* tests/glibmm_tree/main.cc: Adapted to changed API.

2008-07-29  Szilárd Pfeiffer  <szilard.pfeiffer@gmail.com>

	* glib/src/tree.hg: Make the callbacks take a Tree<> instead of just
	the data, so they can use methods on the tree (which can be a node
	in the tree).
	gobject_: Make this protected.
	Provide the this pointer as data to g_node_new() so we can retrieve
	it later.
	Removed children_ and parent_ because we don't need a separate store now that
	we can get the C++ instance from the gobject instance.
	owns_gobject_: Removed because it is was always true, so the gobject was
	always destroyed (and still is).
	* tests/glibmm_tree/main.cc: Updated for the changed API.
	Bug #520778.

2008-07-25  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/volumemonitor.hg: Added the drive_eject_button signal.

2008-07-25  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/gio_enums.defs: Hacked in a replacement
	enum for Gio::Error::HOST_NOT_FOUND as
	Gio::Error::HOST_WAS_NOT_FOUND, to avoid a clash with
	a netdb.h define.
	Bug #529496.
	* configure.in:
	* tests/Makefile.am:
	* tests/giomm_ioerror/Makefile.am:
	* tests/giomm_ioerror/main.cc: Added a test to make sure
	that our hacked-in enum value stays hacked in.

2008-07-25  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/gio_enums.defs:
	* gio/src/gio_methods.defs:
	* gio/src/gio_signals.defs: Regenerated.
	* gio/src/mount.hg: Corrected an _IGNORE().
	* gio/giomm/contenttype.cc:
	* gio/giomm/contenttype.h: Added content_type_guess_for_tree().

2008-07-23  Damien Carbery <damien.carbery@sun.com>

	* scripts/macros.m4: Change grep to use -i when checking for GNU m4.
	  This fixes the test on Solaris. Bug #423990.

=== 2.17.1 ===

2008-07-16  Jonathon Jongsma  <jonathon.jongsma@collabora.co.uk>

	* NEWS: update for new release

2008-07-16  Jonathon Jongsma  <jonathon.jongsma@collabora.co.uk>

	* configure.in: bump version and min required glib version

2008-07-16  Jens Georg  <mail@jensge.org>

	* MSVC_Net2003/glibmm/glibmm.vcproj: Mention new source files
	for regex and keyfile.
	Bug #543292.

2008-07-16  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/file.ccg:
	* gio/src/file.hg: Added make_directory_with_parents(),
	query_file_type(), monitor().
	* gio/src/fileenumerator.ccg:
	* gio/src/fileenumerator.hg: Added get_container().
	* gio/src/mount.hg: Added guess_content_type() and
	guess_content_type_finish().
	* gio/src/themedicon.hg: Added prepend_name().
	* gio/src/volume.hg: Added get_activation_root().
	* tools/m4/convert_gio.m4: Added a necessary conversion.

2008-07-15  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/gio_methods.defs:
	* glib/src/glib_functions.defs: Regenerated with h2def.py
	* glib/src/checksum.hg: Added reset().

2008-07-15  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/appinfo.ccg:
	* gio/src/appinfo.hg: Avoid a circular include to fix the build.

2008-07-15  Benjamin Herr  <ben@0x539.de>

	* gio/src/volumemonitor.hg: Removed some unnecessary ; characters,
	to avoid warnings.
	Bug #542929.

2008-07-14  Murray Cumming,  <murrayc@murrayc.com>

	* tools/m4/convert_gio.m4:
	* gio/src/appinfo.hg: get_display(), get_startup_notify_id():
	Take a list of Gio::File, not filepath string. Now that the C API is
	properly documented we know that this is correct. It's an API break
	but this function could nothave worked before.

	* glib/src/glib_docs.xml: Regenerate.
	* glib/src/glib_docs_override.xml: Add overrides for
	g_key_file_load_from_file() and g_key_file_get_value() to mention
	exceptions.

2008-06-30  Johannes Schmid  <jhs@gnome.org>

	* glib/glibmm/containerhandle_shared.h:
	Improve documentation of Glib::OwnershipType (#540875)

2008-07-02  Armin Burgmeier  <armin@arbur.net>

	* gio/src/file.ccg: Pass NULL to the underlying C function for the
	etags parameter in the various replace_contents functions. Also bug
	#540656.

2008-06-28  Armin Burgmeier  <armin@arbur.net>

	* gio/src/file.ccg: Pass NULL to the underlying C function for the
	etags parameter in various *_replace functions. Otherwise, existing
	files are not overwritten. Bug #540656.

2008-06-23  Murray Cumming  <murrayc@murrayc.com>

	* configure.in:
	* examples/Makefile.am:
	* examples/keyfile/Makefile.am:
	* examples/keyfile/example.ini:
	* examples/keyfile/main.cc: Added a little KeyFile example. I am
	surprised that we do not seem to have one somewhere already.
	I need to move all these glibmm examples into gtkmm-documentation some
	time.

2008-06-19  Murray Cumming  <murrayc@murrayc.com>

	* glib/src/tree.hg: Some whitespace changes. And more use of typedefs
	to simplify the code.

2008-06-19  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* glib/src/tree.hg: Some minor changes to deal with TODOs.
	Bug #538803.

2008-06-17  Chris Vine <chris@cvine.freeserve.co.uk>

	* glib/src/thread.hg: document that the slot object passed to
	Glib::Thread::create() should not represent a non-static method of
	a class derived from sigc::trackable.
	See bug #512348.

=== 2.17.0 ===

2008-06-16  Jonathon Jongsma  <jonathon.jongsma@collabora.co.uk>

	* NEWS:
	* configure.in: update for new release

2008-06-13  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* glib/glibmm.h:
	* glib/glibmm/Makefile.am:
	* glib/src/Makefile_list_of_hg.am_fragment:
	* glib/src/tree.ccg:
	* glib/src/tree.hg: Added Glib::Tree, a wrapper for GNode, providing
	an N-ary tree container, more or less like a standard C++ container.
	* configure.in:
	* tests/Makefile.am: Added some test code for this new API.
	Bug #520778

2008-06-13  Murray Cumming  <murrayc@murrayc.com>

	* glib/src/date.hg: Used @newin2p18 on the new API and made some
	slight corrections to the new reference documentation comments.

2008-06-11  José Alburquerque  <jaalburqu@svn.gnome.org>

	* tests/glibmm_date/Makefile.am: Contents of files in
	tests/glibmm_date/ (main.cc and Makefile.am) were duplicated when I
	applied patch in bug #536721 to already existing files before 6/9
	commit. Fixed main.cc already, so now repaired Makefile.am.

2008-06-10  José Alburquerque  <jaalburqu@svn.gnome.org>

	* tests/glibmm_date/main.cc: Removed duplicate code so test can
	compile.

2008-06-09  José Alburquerque  <jaalburqu@svn.gnome.org>

	* glib/src/date.ccg:
	* glib/src/date.hg: Added copy constructor and assignment operator;
	Made GDate constructor visible.

	* configure.in:
	* tests/Makefile.am:
	* tests/glibmm_date/Makefile.am:
	* tests/glibmm_date/main.cc: Added simple test to test Glib::Date.

This is svn trunk for new API, wrapping glib 2.17/18. See also the glibmm-2-16 branch.

2008-04-25  Jonathon Jongsma  <jjongsma@gnome.org>

	* gio/src/drive.hg:
	* gio/src/volume.hg: add TypeTraits implementations for Drive and Volume
	similar to the one added for Mount.

2008-04-23  Jonathon Jongsma  <jjongsma@gnome.org>

	* gio/src/mount.hg: Add a TypeTraits implementation for
	Glib::RefPtr<Gio::Mount> so that we can wrap implementor types that don't
	have a wrapper (e.g. GHalMount in gvfs).  Fixes bug #529533

2008-04-24  Jonathon Jongsma  <jjongsma@gnome.org>

	* glib/glibmm/wrap.cc: Improve the error message when failing to wrap a
	particular type of object to give a hint about initializing the library
	since we get so many questions about this (bug #529648)

2.16.2:

2008-04-18  Jonathon Jongsma  <jjongsma@gnome.org>

	* NEWS:
	* configure.in: bump to 2.16.2 for release

2008-04-16  Murray Cumming  <murrayc@murrayc.com>

	* glib/src/spawn.hg: Moved the enum back out of the doxygen group,
	because that results in the enums group being inside the spawn group.

2008-04-16  Murray Cumming  <murrayc@murrayc.com>

	* glib/src/spawn.hg: Addded doxygen documentation based on the
	C documentation.
	Bug #528271 (Jonathon Jongsma)

2008-04-13  Murray Cumming  <murrayc@murrayc.com>

	* glib/src/optionentry.ccg: set_long_name(): Do not use NULL for an
	empty string, because "" has a special meaning to GOptionEntry - it
	is the definition of G_OPTION_REMANING.
	* examples/options/main.cc: Add an entry with the long name
	G_OPTION_REMAINING, to list additional non-named arguments. More
	explicit API should be added for this.
	Bug #526831 (Christian Lundgren).

2008-04-13  Murray Cumming  <murrayc@murrayc.com>

	* glib/glibmm/ustring.cc erase(): Create an end iterator and use it,
	instead of just using the std::string(iterator) erase implementation,
	because that only removes one byte, which can make the whole string
	invalid UTF-8.
	Bug #527687 (Jarro).

2008-04-11  Murray Cumming  <murrayc@murrayc.com>

	* glib/src/optionentry.ccg:
	* glib/src/optionentry.hg: Hand-code set_description(),
	set_arg_description() and set_long_name(), to free any existing string,
	to maybe fix a (possible) leak found by valgrind.

2008-03-29  Jonathon Jongsma  <jjongsma@gnome.org>

	* Makefile.am: add some more convenience targets for making releases

2.16.1:

2008-03-28  Tim Retout  <tim@retout.co.uk>

	* glib/glibmm/helperlist.h (operator[]): Add a newline before
	the semicolon at the end of the 'for' loop.  Fixes g++ 4.3 warning.

2008-03-29  Jonathon Jongsma  <jjongsma@gnome.org>

	* NEWS: updated
	* configure.in: bump to 2.16.1

2008-03-29  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/file.hg:
	* gio/src/file.ccg: query_default_handler(), set_display_name(),
	query_info(), query_filesystem_info(): Do not take an extre reference,
	because the C functions all provide new objects with an initial
	reference. I checked.

2008-03-28  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/file.ccg: create(), replace(): Do not take an extra reference,
	because the C function has given us a new instance with an initial
	reference. The leak stopped the stream from really replacing the file,
	because that only happens when it is closed.

2008-03-28  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/file.hg:
	* gio/src/outputstream.hg: Documentation: Remove/fix mentions of 0 when
	we mean something else.

2008-03-24  Jonathon Jongsma  <jjongsma@gnome.org>

	* gio/src/desktopappinfo.hg:
	* gio/src/unixinputstream.hg:
	* gio/src/unixmount.hg:
	* gio/src/unixoutputstream.hg: don't wrap these unix-specific types when
	building on MS Windows (bug #524126)

2008-03-18  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/file.hg: Include giomm/error.h Because Gio::Error is thrown
	by some of these methods and it is annoying to have to include it
	separately just to catch that.

2.16.0:

2008-03-10  Tim Mooney  <murrayc@murrayc.com>

	* glib/glibmm/object.cc: Include string.h to fix the build with
	SUN CC.
	Bug #498438.

2008-03-07  Jonathon Jongsma  <jjongsma@gnome.org>

	* glib/glibmm.h: add an include for checksum.h which was added in the 2.15.x
	series.

2008-03-05  Murray Cumming  <murrayc@murrayc.com>

	* MAINTAINERS: Added Jonathon Jongsma as co-maintainer.

2008-03-05  Murray Cumming  <murrayc@murayc.com>

	* tools/m4/convert_gio.m4: Use __CONVERT_CONST_REFPTR_TO_P_SUN() instead
	of __CONVERT_REFPTR_TO_P() to maybe fix the build with Sun CC.
	(Simon Zheng)

2008-03-04  Jonathon Jongsma  <jjongsma@gnome.org>

	* Makefile.am: updated the 'release' target to give a bit more helpful error
	messages

2008-03-04  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/gio_docs.xml: Regenerated with docextract_to_xml.py.
	* gio/src/gio_docs_override.xml: Overrode g_file_query_exists() to
	mention an exception instead of an error. G_IO_ERROR_* now does not
	appear in any of our documentation.

2.15.8:

2008-03-03  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/bufferedinputstream.hg:
	* gio/src/bufferedoutputstream.hg:
	* gio/src/datainputstream.hg:
	* gio/src/dataoutputstream.hg:
	* gio/src/fileinputstream.hg:
	* gio/src/fileoutputstream.hg:
	* gio/src/filterinputstream.hg:
	* gio/src/filteroutputstream.hg:
	* gio/src/inputstream.hg:
	* gio/src/memoryinputstream.hg:
	* gio/src/mount.hg:
	* gio/src/outputstream.hg:
	* gio/src/seekable.hg:
	* gio/src/unixinputstream.hg:
	* gio/src/unixoutputstream.hg: Put these in a Streams doxygen group.
	We should think of some more groups, maybe by looking at the C
	documentation.

2008-03-03  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/file.ccg:
	* gio/src/file.hg: load_contents(), load_contents_finish(),
	load_partial_contents_finish(): Use char*& instead of char** for contents,
	though that is not that great either. Use std::string& instead of char**
	for etag_out. Added method overloads without cancellable.
	We might want other method overloads in future.

2008-02-29  Jonathon Jongsma  <jjongsma@gnome.org>

	* Makefile.am: added 'release' target which will run distcheck, tag the
	repository with the current version and upload the tarball to
	master.gnome.org

2008-02-27  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/asyncresult.hg:
	* gio/src/file.hg:
	* gio/src/fileenumerator.hg:
	* gio/src/fileinputstream.hg:
	* gio/src/fileoutputstream.hg:
	* gio/src/gio_docs_override.xml:
	* gio/src/inputstream.hg:
	* gio/src/outputstream.hg: Correct hand-coded documentation,
	to talk about throwing exceptions rather than setting or returning
	errors.
	* gio/src/mount.hg: Add class documentation based on the C documentation.

2008-02-27  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/gio_docs.xml: Regenerated with docextract_to_xml.py.
	* gio/src/gio_docs_override.xml: Override some documentation that
	mentions the GCancellable being optional, or that talks about setting
	errors instead of throwing them.

2.15.7:

2008-02-26  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/gio_methods.defs: Regenerated.
	* gio/src/file.ccg:
	* gio/src/file.hg: Added query_filesystem_info_async() and
	query_filesystem_info_finish() because these were added to the C API.
	* gio/src/themedicon.hg: Added append_name() because this was added to
	the C API.

2008-02-25  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/reference/Doxyfile.in: 'upgraded' the doxygen config file since
	doxygen was complaining about obsolete options
	* gio/giomm/contenttype.h:
	* gio/src/bufferedinputstream.hg:
	* gio/src/file.hg:
	* gio/src/fileoutputstream.hg:
	* gio/src/outputstream.hg:
	* glib/src/checksum.hg:
	* glib/src/keyfile.hg: fixed a bunch of minor doxygen warnings

2008-02-25  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/reference/doxygen_to_devhelp.xsl: add path separators between the
	reference prefix and the link filenames
	* docs/reference/Makefile.am: remove trailing slash from the reference
	prefix (fixes bug #518673)

2008-02-25  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* gio/src/file.hg:
	* gio/src/gio_docs.xml:
	* gio/src/gio_methods.defs:
	* gio/src/gio_vfuncs.defs:

	Initial work for another API change:
	g_file_contains_file() has been renamed to
	g_file_has_prefix() (with the parameter order swapped!)

2008-02-25  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* glib/src/uriutils.ccg:
	* glib/src/uriutils.hg:

	g_uri_get_scheme has been renamed to g_uri_parse_scheme
	in GLib trunk. Updated accordingly.

2008-02-24  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/reference/Makefile.am: dist xml/index.xml to satisfy build-deps for
	building the devhelp book from the tarball.  Fixes distcheck.

2.15.6:

2008-02-24  Marko Anastasov  <marko.anastasov@gmail.com>

	* gio/src/inputstream.hg: Updated the todo regarding read().

2008-02-22  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/fileattributeinfolist.hg: Added dup().
	* gio/src/gio_others.defs: Added signals for GMount and GVolume.
	This deals with the gmmproc warnings.

2008-02-21  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/desktopappinfo.hg: Revert the change from José which removed
	use of _WRAP_CTOR() and _WRAP_CREATE(). We really do want to use these
	so we instantiate derived GTypes.

2008-02-21  Marko Anastasov  <marko.anastasov@gmail.com>

	* gio/src/desktopappinfo.hg: Made is_hidden() const.

2008-02-21  José Alburquerque  <jaalburqu@svn.gnome.org>

	* gio/src/desktopappinfo.hg: Used _WRAP_METHOD instead of _WRAP_CREATE
	for create() to allow docs from C API to be used

2008-02-21  José Alburquerque  <jaalburqu@svn.gnome.org>

	* gio/src/desktopappinfo.hg: Renamed new_from_file() to
	create_from_file()

2008-02-21  José Alburquerque  <jaalburqu@svn.gnome.org>

	* gio/src/desktopappinfo.hg: Added create(), create_from_file()
	is_hidden() and set_desktop_env()
	* tools/m4/convert_gio.m4: Added DesktopAppInfo conversion

2008-02-21  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/gio_methods.defs: Regenerated with h2defs.py

	* gio/src/gio_signals.defs: Corrected the GMountOperation::ask-question
	definition.
	* gio/src/mountoperation.hg: Wrapped the ask-question signal, though
	I wonder if it really works.

	* gio/src/memoryinputstream.ccg:
	* gio/src/memoryinputstream.hg:
	Added add_data(const void* data, gssize len).

	* gio/src/gio_others.defs: Added g_themed_icon_get_names()
	because h2defs.py cannot seem to parse it.
	* gio/src/Makefile.am: Mention gio_methods.defs.
	* gio/src/themedicon.hg: Attempted to wrap get_names(), but I get a
	gmmproc error.

2008-02-20  Marko Anastasov  <marko.anastasov@gmail.com>

	* gio/src/desktopappinfo.hg: Removed a todo regarding
	DesktopAppInfoLookup. We will not wrap it as it is an interface
	that is used by backends.

2008-02-20  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/reference/Makefile.am: updated some build dependencies that were
	causing issues after adding the xml/devhelp build rules.  Also removed some
	cruft that was supposedly setting the doxygen image path for gtk stock icons
	(presumably copied from the gtkmm build rules).  Should Fix Bug #517423

2008-02-20  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/appinfo.hg:
	* gio/src/bufferedinputstream.hg:
	* gio/src/drive.hg:
	* gio/src/file.hg:
	* gio/src/filemonitor.hg:
	* gio/src/icon.hg:
	* gio/src/seekable.hg:
	* gio/src/volume.hg:
	* gio/src/volumemonitor.hg: Comment out _WRAP_VFUNC() lines because
	we decided that they are not useful (people will not create new
	implementations with giomm) and are a potential source of errors.

2008-02-20  Murray Cumming  <murrayc@murrayc.com>

	* tools/m4/convert_gio.m4:
	* gio/src/file.hg: equal(), get_relative_file(), contains_file(): Take
	const File parameters.

2008-02-15  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/reference/Makefile.am: I should have tested this more thoroughly --
	we apparently need to use relative paths in the reference_prefix variable.
	Also add the devhelp file to the all-local target so it gets built by
	default on a simple 'make' and not just on 'make install'

2008-02-15  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/reference/Makefile.am: install the stylesheet in the gmmproc dir
	instead of the documentation directory.  This allows other libraries to get
	a path to the stylesheet by querying the just-added gmmprocdir variable.
	Also, it doesn't really belong in the documentation directory since it's not
	technically documentation.

2008-02-15  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/reference/doxygen_to_devhelp.xsl: make this more general instead of
	hard-coding the name and title and reference path into the stylesheet --
	instead pass them as parameters on the commandline
	* docs/reference/Makefile.am: use new GMMPROC_DIR variable.  Also install
	the doxygen_to_devhelp.xsl stylesheet so that other libraries can use the
	installed version instead of having everybody copy the file into their own
	library if they want to generate a devhelp book

2008-02-15  Jonathon Jongsma  <jjongsma@gnome.org>

	* configure.in: add a GMMPROC_DIR variable so the individual
	Makefile.am files don't need to duplicate the information about where
	gmmproc is to be installed
	* glib/glibmm-2.4.pc.in: add new gmmprocdir variable so that interested
	libraries can query it with `pkg-config --variable gmmprocdir glibmm-2.4`
	* tools/Makefile.am:
	* tools/m4/Makefile.am:
	* tools/pm/Makefile.am: use the new GMMPROC_DIR variable

2008-02-14  Marko Anastasov  <marko.anastasov@gmail.com>

	* gio/src/dataoutputstream.hg: Removed get/set_newline_type(),
	which doesn't exist in the C API.

2008-02-13  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/reference/Doxyfile.in:
	* docs/reference/Makefile.am:
	* docs/reference/doxygen_to_devhelp.xsl: generate and install a devhelp book
	for glibmm like we do for gtkmm.  It would be nice to make the xsl
	stylesheet general and shared between gtkmm and glibmm (and eventually other
	libraries as well), but for now I just duplicated it here

2008-02-12  Marko Anastasov  <marko.anastasov@gmail.com>

	* gio/src/gio_methods.defs: Regenerated with h2defs.py.

	* gio/src/unixinputstream.hg:
	* gio/src/unixoutputstream.hg: Made wrapped constructors protected.

	* gio/src/bufferedinputstream.hg:
	* gio/src/datainputstream.hg:
	* gio/src/dataoutputstream.hg: Ditto for Data*Streams,
	and marked some hand-wrapped functions to ignore.

	* gio/src/mountoperation.hg: Wrote a note about ask_question signal,
	still to be wrapped.

	* gio/src/volume.hg: Added should_automount().

	* gio/giomm: Updated svn:ignore properties.

2.15.5:

2008-02-11  Jonathon Jongsma  <jjongsma@gnome.org>

	* gio/src/file.ccg:
	* gio/src/file.hg:
	* gio/src/gio_enums.defs:
	* gio/src/gio_vfuncs.defs:
	* gio/src/mount.ccg:
	* gio/src/mount.hg:
	* gio/src/volume.ccg:
	* gio/src/volume.hg:
	* tools/m4/convert_gio.m4: update to match new gio API which adds a
	GMountMountFlags argument to all mount operations

2008-02-11  Jonathon Jongsma  <jjongsma@gnome.org>

	* configure.in: bump glib requirement to 2.15.5 (bug #515727)

2008-02-09  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/gio_vfuncs.defs: Added hand-written vfunc .defs for
	GVolume and GVolumeMonitor.
	* gio/src/volume.hg:
	* gio/src/volumemonitor.hg: Added vfuncs, though not using all C++ types
	yet. I am not really sure that these will ever be useful (if anyone will
	ever want to implement them in C++).

2008-02-09  Murray Cumming, <murrayc@murrayc.com>

	* gio/giomm.h:
	* gio/src/Makefile_list_of_hg.am_fragment:
	* gio/src/simpleasyncresult.ccg:
	* gio/src/simpleasyncresult.hg: removed SimpleAsyncResult because I
	do not believe it is really public API. If we are wrong then we
	can resurrect it from svn later.

2008-02-09  Takao Fujiwara  <Takao.Fujiwara@Sun.COM>

	* glib/glibmm/Makefile.am:
	* glib/glibmm/i18n-lib.h: Actually install this header,
	and make the header guards unique.
	Bug #515133

2.15.4:

2008-02-07  Murray Cumming  <murrayc@murrayc.com>

	* glib/glibmm/Makefile.am:
	* glib/glibmm/main.h: Moved the Priorities enum into
	* glib/glibmm/priorities.h:
	Though all the giomm stuff seems to already include main.h anyway.
	It probably shouldn't, and then we can include priorities.h only.

	* gio/src/bufferedinputstream.hg:
	* gio/src/file.hg:
	* gio/src/fileenumerator.hg:
	* gio/src/fileinputstream.hg:
	* gio/src/fileoutputstream.hg:
	* gio/src/gio_methods.defs:
	* gio/src/inputstream.hg:
	* gio/src/outputstream.hg: Use Glib::PRIORITY_DEFAULT instead of
	G_PRIORITY_DEFAULT.

	* glib/src/iochannel.ccg: Add some ifdefs to avoid unused parameter
	warnings when exceptions are disabled, because our current trick for
	that is now causing another warning instead.

2008-02-06  Jonathon Jongsma  <jjongsma@gnome.org>

	* gio/src/datainputstream.ccg:
	* gio/src/datainputstream.hg: change the read_line() and read_until() APIs
	so that they are actually useable.  These functions now return a boolean
	value to indicate that the end of the stream was reached and return the
	string data via reference argument.  See bug #514097 for more information

2008-02-06  Murray Cumming <murrayc@murrayc.com>

	* gio/src/gio_methods.defs: Regenerated with h2defs.py

	* configure.in: Depend on gio-unix-2.0 when not on win32.
	* gio/src/Makefile_list_of_hg.am_fragment:
	* gio/src/unixinputstream.ccg:
	* gio/src/unixinputstream.hg:
	* gio/src/unixoutputstream.ccg: Mentioned this as unix-specific files
	so they are built.

	* gio/src/bufferedoutputstream.hg: Fixed a parameter type to fix the
	build, after a change in gio.

2008-02-05  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/file.ccg:
	* gio/src/file.hg: Added an overload of query_default_handler()
	without the cancellable.

2008-02-05  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/Makefile_list_of_hg.am_fragment:
	* gio/src/vfs.ccg:
	* gio/src/vfs.hg: Remove these because they are not API - they
	are declarations of entry points for dynamically-loadable modules.

2008-02-04  Marko Anastasov  <marko.anastasov@gmail.com>

	* gio/src/file.ccg:
	* gio/src/file.hg: Added copy_async(), with overloads without
	slot_progress (which is optional and would run in the main loop),
	with documentation. Wrapped copy_finish(), query_default_handler().

2008-02-04  José Alburquerque  <jaalburqu@svn.gnome.org>

	* gio/src/desktopappinfo.ccg:
	* gio/src/desktopappinfo.hg: Added DesktopAppInfo but not to
	Makefile_list_of_hg.am_fragment yet (need to use gio-unix-2.0.pc to
	compile correctly)

2008-02-04  José Alburquerque  <jaalburqu@svn.gnome.org>

	* gio/src/bufferedoutputstream.ccg: Changed size param of
	create_sized() to type gsize (in agreement with declaration) to fix
	compilation

2008-02-04  Murray Cumming  <murrayc@murrayc.com>

	* tools/m4/class_interface.m4: Allow _CLASS_INTERFACE() to take two
	extra optional paremeters to specify the base class, so that appropriate
	code is generated when we derive from another Interface - which seems
	appropriate when the GInterface has a prerequisite.
	* gio/src/loadableicon.ccg:
	* gio/src/loadableicon.hg: Derive from Icon, because it is a prerequisite
	of this interface. Use the extra _CLASS_INTERFACE() parameters.
	* gio/src/fileicon.hg: Do not derive from Icon because that happens
	through LoadableIcon now. But do use _IMPLEMENTS_INTERFACE(Icon) here,
	because only a Glib::Object can actually implement an interface.

2008-02-04  Jonathon Jongsma  <jjongsma@gnome.org>

	* gio/src/file.hg: remove an obsolete TODO
	* gio/src/gio_vfuncs.defs: add LoadableIcon vfunc definitions
	* gio/src/loadableicon.ccg:
	* gio/src/loadableicon.hg: wrap some methods of LoadableIcon.  Some vfuncs
	need to be wrapped yet

2008-02-04  Jonathon Jongsma  <jjongsma@gnome.org>

	* gio/src/bufferedoutputstream.hg: switch back create_sized() size parameter
	to gsize since glib switched their declaration due to bug #514013.

2008-02-03  José Alburquerque  <jaalburqu@svn.gnome.org>

	* gio/src/unixinputstream.ccg:
	* gio/src/unixinputstream.hg:
	* gio/src/unixmount.ccg:
	* gio/src/unixmount.hg:
	* gio/src/unixoutputstream.ccg:
	* gio/src/unixoutputstream.hg: Added these, but not to
	Makefile_list_of_hg.am_fragment to avoid compile errors (need
	gio-unix-2.0.pc to compile correctly)
	* gio/src/vfs.hg: Moved forward decs to top (was between class doc and
	declaration)

2008-02-03  José Alburquerque  <jaalburqu@svn.gnome.org>

	* gio/src/Makefile_list_of_hg.am_fragment:
	* gio/src/vfs.ccg:
	* gio/src/vfs.hg:
	* tools/m4/convert_gio.m4: Added Vfs

2008-02-04  Murray Cumming  <murrayc@murrayc.com>

	* tools/extra_defs_gen/generate_defs_gio.cc: Added types.
	* gio/src/gio_signals.defs: Regenerated.
	* gio/src/Makefile_list_of_hg.am_fragment:
	* gio/src/filenamecompleter.hg:
	* gio/src/themedicon.hg: Added FilenameCompleter and ThemedIcon.

2008-02-03  José Alburquerque  <jaalburqu@svn.gnome.org>

	* gio/src/bufferedoutputstream.ccg: changed size param of
	create_sized() to type guint (in agreement with declaration)
	* gio/src/file.ccg:
	* gio/src/file.hg: added non-cancellable set_attribute_string(),
	set_attribute_byte_string(), set_attribute_{uint32, int32, uint64,
	int64}

2008-02-03  Murray Cumming  <murrayc@murrayc.com>

	* tools/extra_defs_gen/generate_defs_gio.cc: Added types.
	* gio/src/gio_signals.defs: Regenerated.

	* tools/m4/convert_gio.m4:
	* gio/src/drive.hg:
	* gio/src/filterinputstream.hg:
	* gio/src/filteroutputstream.hg:
	* gio/src/mount.hg:
	* gio/src/mountoperation.hg:
	* gio/src/volume.hg:
	* gio/src/volumemonitor.hg: Added signals and properties.

	* gio/src/file.ccg:
	* gio/src/file.hg: Added query_filesystem_info() without a cancellable.

2008-02-03  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/filemonitor.hg: Add class documentation, now that there is
	some in gio.
	* gio/src/volumemonitor.hg: Add class documentation.
	Remove _DO_NOT_DERIVE_GTYPE because gio no longer abuses the type
	system - see bug #511814.

2008-02-02  Jonathon Jongsma  <jjongsma@gnome.org>

	* gio/giomm.h:
	* gio/src/Makefile_list_of_hg.am_fragment:
	* gio/src/memoryinputstream.ccg:
	* gio/src/memoryinputstream.hg: add MemoryInputStream class

2008-02-02  Jonathon Jongsma  <jjongsma@gnome.org>

	* gio/src/dataoutputstream.ccg: fix copy/paste error

2008-02-02  Jonathon Jongsma  <jjongsma@gnome.org>

	* gio/src/Makefile_list_of_hg.am_fragment:
	* gio/src/datainputstream.hg:
	* gio/src/dataoutputstream.hg: add DataOutputStream class
	* gio/src/dataoutputstream.ccg:
	* gio/src/enums.ccg:
	* gio/src/enums.hg: moved the DataStream enums to a common enums header
	since they're needed by both the input and output data streams.
	* gio/giomm.h: add new headers

2008-02-02  Jonathon Jongsma  <jjongsma@gnome.org>

	* gio/src/bufferedoutputstream.ccg:
	* gio/src/bufferedoutputstream.hg: add BufferedOutputStream class

2008-02-02  Jonathon Jongsma  <jjongsma@gnome.org>

	* gio/giomm.h:
	* gio/src/Makefile_list_of_hg.am_fragment:
	* gio/src/filteroutputstream.ccg:
	* gio/src/filteroutputstream.hg:
	* tools/m4/convert_gio.m4: add FilterOutputStream class

2008-02-03  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/file.ccg:
	* gio/src/file.hg: find_enclosing_mout(), append_to(): Reordered
	parameters and added overload without cancellable. Removed superfluous
	monitor_file() overload.

2008-02-03  Murray Cumming  <murrayc@murrayc.com>

	* tools/m4/convert_gio.m4:
	* gio/src/bufferedinputstream.hg: Move a signal-specific conversion
	here, because these conversions are unusual and shouldn't be used by
	mistake elsewhere, and when they are next to the signal then it is
	more obvious why they take a reference (also fixed).

2008-02-02  Jonathon Jongsma  <jjongsma@gnome.org>

	* gio/giomm.h: add new header files to the main include
	* gio/src/datainputstream.hg: add FIXME note about not being able to tell
	error conditions from empty strings on read_line() / read_until()

2008-02-02  Jonathon Jongsma  <jjongsma@gnome.org>

	* gio/giomm/Makefile.am: add slot_async.h private header to EXTRA_DIST so
	that it gets distributed.  I didn't add it to the
	sublib_files_extra_general_h variable, since then it would get installed

2008-02-02  Jonathon Jongsma  <jjongsma@gnome.org>

	* gio/src/Makefile_list_of_hg.am_fragment:
	* gio/src/datainputstream.ccg:
	* gio/src/datainputstream.hg:
	* tools/m4/convert_gio.m4: add DataInputStream class

2008-02-02  Jonathon Jongsma  <jjongsma@gnome.org>

	* gio/src/gio_vfuncs.defs:
	* gio/src/Makefile_list_of_hg.am_fragment:
	* gio/src/bufferedinputstream.ccg:
	* gio/src/bufferedinputstream.hg: add BufferedInputStream class
	* gio/giomm/slot_async.cc:
	* gio/giomm/slot_async.h: split out the SlotProxy_async_callback so it
	doesn't have to be implemented in every file
	* gio/src/drive.ccg:
	* gio/src/file.ccg:
	* gio/src/file.hg:
	* gio/src/fileenumerator.ccg:
	* gio/src/fileinputstream.ccg:
	* gio/src/fileoutputstream.ccg:
	* gio/src/inputstream.ccg:
	* gio/src/mount.ccg:
	* gio/src/outputstream.ccg:
	* gio/src/volume.ccg: use the common SlotProxy_async_callback function in
	all of these files
	* tools/m4/convert_gio.m4: add conversion for Cancellable
	* gio/giomm/Makefile.am: indenting changes

2008-02-02  Marko Anastasov  <marko.anastasov@gmail.com>

	* gio/src/volumemonitor.hg: Removed VolumeMonitorEvent enum def,
	which does not exist any more in the C API.
	* gio/src/volume.hg: Added get_identifier(), enumerate_identifiers().

2008-02-02  Marko Anastasov  <marko@marko.anastasov.name>

	* gio/src/volume.hg: Added get_mount().
	* gio/src/gio_enums.defs: Regenerated with enums.pl.
	* gio/src/gio_methods.defs: Regenerated with h2defs.py.

2008-02-02  Kjartan Maraas  <kmaraas@gnome.org>

	* tests/giomm_simple/main.cc: Fix compile with GCC 4.3.

2008-02-02  Murray Cumming  <murrayc@murrayc.com>

	* build_shared/Makefile_gensrc.am_fragment: Use the local .pm files
	for gmmproc instead of installed ones. This was a regression that I
	introduced when I added gio to the build.
	* tools/pm/DocsParser.pm: append_parameter_docs(): Ignore error
	parameters because they are almost always wrapped as exceptions.

2008-02-01  Jonathon Jongsma  <jjongsma@gnome.org>

	* gio/src/Makefile.am:
	* gio/src/appinfo.hg:
	* gio/src/gio_vfuncs.defs:
	* tools/m4/convert_gio.m4:
	* tools/m4/convert_glib.m4: Add Gio::AppInfo vfuncs

2008-02-02  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/file.ccg:
	* gio/src/file.hg: Added overloads of create_file(), remove(), trash(),
	make_directory(), make_symbolic_link(), query_settable_attributes(),
	and query_writable_namespaces() without cancellable parameters.
	The set_attribute_*() methods still need this to be done.

2008-02-02  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/cancellable.hg: Added the signal.
	* gio/src/file.ccg:
	* gio/src/file.hg: Added copy_attributes(), added mount_enclosing_volume()
	mount_enclosing_volume_finish(), find_enclosing_mount(), and
	find_enclosing_mount_finish().
	Added a mount_mountable() overload with no parameters.
	set_attributes_from_info(): Reordered parameters so we can have default
	values.

2008-02-02  Murray Cumming  <murrayc@murrayc.com>

	* gio/giomm/contenttype.cc:
	* gio/giomm/contenttype.h: Use convert_return_gchar_ptr_to_ustring()
	because it releases the gchar* and checks for NULL.
	Removed the ontent_type_guess() that takes a basic_string<guchar>
	because I doubt anybody would use that. Added one that takes a
	gchar* and size, and one that takes a std::string (for when the data is
	a string).

2008-01-31  Jonathon Jongsma  <jjongsma@gnome.org>

	* gio/giomm/contenttype.cc: put content_type functions in the Gio namespace
	which was accidentally omitted.

2008-01-31  Jonathon Jongsma  <jjongsma@gnome.org>

	* gio/giomm.h: forgot to add new contenttype.h header
	* gio/giomm/Makefile.am: forgot to install contenttype.h header

2008-01-31  Jonathon Jongsma  <jjongsma@gnome.org>

	* gio/giomm/Makefile.am:
	* gio/giomm/contenttype.cc:
	* gio/giomm/contenttype.h: wrap content_type_* functions

2008-01-29  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/file.hg: get_child_for_display_name():
	Change the display_name parameter to a ustring because
	the C documentation says it should be UTF-8.
	* gio/src/fileinfo.hg: Add get_attribute_as_string(), which
	returns a UTF-8 string.
 	(Note that no other gio documentation mentions UTF-8.)
	Thanks to Iain Nicol.

2.15.3:

2008-01-27  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/fileattribute.ccg:
	* gio/src/fileattribute.hg: Split into
	* gio/src/fileattributeinfo.ccg:
	* gio/src/fileattributeinfo.hg: and
	* gio/src/fileattributeinfolist.ccg:
	* gio/src/fileattributeinfolist.hg

	* gio/giomm.h:
	* gio/src/Makefile_list_of_hg.am_fragment:
	* gio/src/file.hg:
	* gio/src/fileinfo.hg:
	* gio/src/outputstream.hg:
	* gio/src/seekable.hg:
	* glib/src/optionentry.hg: Adapted.

	* tools/pm/DocsParser.pm: substitute_identifiers():
	Tried (unsuccessfully) to remove G:: prefixes in generated documentation.

2008-01-27  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/appinfo.hg:
	* gio/src/asyncresult.hg:
	* gio/src/cancellable.hg:
	* gio/src/drive.hg:
	* gio/src/error.hg:
	* gio/src/file.hg:
	* gio/src/fileattribute.hg:
	* gio/src/fileenumerator.hg:
	* gio/src/fileicon.hg:
	* gio/src/fileinfo.hg:
	* gio/src/fileinputstream.hg:
	* gio/src/fileoutputstream.hg:
	* gio/src/filterinputstream.hg:
	* gio/src/icon.hg:
	* gio/src/inputstream.hg:
	* gio/src/loadableicon.hg:
	* gio/src/mount.hg:
	* gio/src/mountoperation.hg:
	* gio/src/outputstream.hg:
	* gio/src/seekable.hg:
	* gio/src/simpleasyncresult.hg:
	* gio/src/volume.hg: Do not include gio.h from our public headers, to
	avoid polluting the namespace.

2008-01-27  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/appinfo.ccg:
	* gio/src/appinfo.hg: Make equal() non virtual - equal_vfunc() is instead.
	* gio/src/file.ccg:
	* gio/src/file.hg: Make equal() non virtual - equal_vfunc() is instead.
	replace_contents(), replace_contents_async(), replace_contents_finish():
	Reordered parameters to allow default values, and added method overloads.

2008-01-25  Murray Cumming  <murrayc@murrayc.com>

	* tools/m4/convert_gio.m4:
	* gio/src/filterinputstream.hg: Added the _CLASS_* macro so this type
	is really wrapped.

2008-01-25  Murray Cumming  <murrayc@murrayc.com>

	* tools/m4/class_shared.m4: Added _DO_NOT_DERIVE_GTYPE for use in .hg
	files when we do not want to derive a new GType, meaning of course that
	we cannot have default signal handlers or vfuncs.
	* gio/src/volumemonitor.hg: Use _DO_NOT_DERIVE_GTYPE, because
	gio tries to call every type that derives from G_TYPE_VOLUME_MONITOR,
	which seems unwise to me - bug #511814.
	This makes gtkmm-documentation/examples/book/volumes not crash.

2008-01-24  Jonathon Jongsma  <jjongsma@gnome.org>

	* gio/giomm.h: add missing headers to the main include header

2008-01-23  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/error.hg: Renamed Gio::IOError to
	Gio::Error.
	* gio/src/fileenumerator.ccg:
	* gio/src/fileenumerator.hg: Added method overloads of close() and
	next_file() without the cancellable parameter.

2008-01-23  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/Makefile_list_of_hg.am_fragment:
	* gio/src/error.ccg:
	* gio/src/error.hg: Wrapped GIOErrorEnum as Gio::Error exception.
	(This is registered in wrap_init()), so that the correct exception
	is thrown.
	* gio/giomm.h: Include error.h

2008-01-23  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/file.ccg:
	* gio/src/file.hg: Added a read() method overload with no
	cancellable parameter.
	* tests/giomm_simple/main.cc: Try loading the contents of a file.
	Seems to work, though there is an unknown GError domain when the file
	does not exist.

2.15.2:

2008-01-21  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/gio_methods.defs: Regenerated.
	* gio/src/file.ccg:
	* gio/src/file.hg:
	* gio/src/fileinputstream.ccg:
	* gio/src/fileinputstream.hg:
	* gio/src/fileoutputstream.ccg:
	* gio/src/fileoutputstream.hg: More overloads, parameter reordering,
	and documentation.

2008-01-21  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/inputstream.ccg:
	* gio/src/inputstream.hg: Added method overloads and documentation.

2008-01-20  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/fileinputstream.ccg:
	* gio/src/fileinputstream.hg:
	* gio/src/fileoutputstream.ccg:
	* gio/src/fileoutputstream.hg: Ignore functions that are just
	duplicates of the ones in Seekable, and mention Seekable more in
	the documentation.
	* gio/src/seekable.hg: Expand the class documentation.
	* gio/src/outputstream.ccg:
	* gio/src/outputstream.hg: Added method overloads and documentation.

2008-01-20  Murray Cumming  <murrayc@murrayc.com>

	* glib/glibmm/objectbase.cc:
	* glib/glibmm/objectbase.h: Added connect_property_changed_with_return()
	because connect_property_changed() does not return a sigc::connection.
	Bug #433984 (Philip Langdale, Kalle Vahlman).

2008-01-20  Murray Cumming  <murrayc@murrayc.com>

	* glib/src/checksum.ccg:
	* glib/src/checksum.hg: Added class documentation. Corrected constructor
	documentation and added operator bool() to check for a failure in the
	constructor.

2008-01-20  Marko Anastasov  <marko@marko.anastasov.name>

	* tools/enum.pl: Handle possible parenthesis when matching enum
	values declared as shifted ones. Bug #498621.

2008-01-20  Naveen Verma  <ernaveenverma@gmail.com>

	* glib/src/checksum.[hg|ccg]:
	* glib/src/Makefile_list_of_hg.am_fragment:
	Added Checksum, wrapping GChecksum Bug #510235.

2008-01-20  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/inputstream.hg: Ignore g_input_stream_clear_pending() as well as
	the other implementation functions.
	* gio/src/outputstream.hg: Ignore the equivalent functions here,
	assuming that they are also only for implementations.

2008-01-20  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/fileinfo.hg: FileAttributeMatcher::create(): Add a default
	value and documentation.
	* gio/src/file.ccg:
	* gio/src/file.hg:
	* gio/src/mount.ccg:
	* gio/src/mount.hg: const corrections for Slot* and Cancellable
	parameters.

2008-01-20  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/file.hg:
	* gio/src/file.ccg: enumerate_children(), enumerate_children_async(),
	query_info(), query_info_async(), query_exists(): Reorder parameters to
	add default values, add documentation, make const.

2008-01-18  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/mount.ccg:
	* gio/src/mount.hg: Added unmount(), remount(), and
	eject(), based on code from José Alburquerque in bug #510080.
	* gio/src/volume.hg: Added documentation.

2008-01-18  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/drive.ccg:
	* gio/src/drive.hg: poll_for_media(): Added documentation.
	Wrapped 2 vfuncs (though the .defs still need to be written).
	* gio/src/file.ccg:
	* gio/src/file.hg: move(), copy(), replace(): Rearranged the parameters so we
	can have default values, and added some documentation.
	set_display_name(), set_display_name_async(): Take a ustring instead
	of a std::string. Added documentation.

	* gio/src/fileattribute.ccg:
	* gio/src/fileattribute.hg: Added FileAttributeInfoList::add().
	Added FileAttributeInfoList::empty().

	* tools/m4/convert_gio.m4:
	* gio/src/appinfo.hg:
	* gio/src/fileenumerator.hg: Move the ListHandle conversions to the
	.hg files because the ownership is specific to each use.

2008-01-18  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/drive.hg:
	* gio/src/volumemonitor.hg: Wrapped functions that reurn GLists.

2008-01-18  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/appinfo.hg:
	* gio/src/icon.hg: Removed operator= and operator!= for these RefPtr<>
	specializations, because they are unobvious and conflict with the generic
	ones.

2008-01-17  Marko Anastasov  <marko.anastasov@gmail.com>

	* gio/src/inputstream.ccg:
	* gio/src/inputstream.hg: Fixed const-ness of Cancellables.
	* gio/src/fileinputstream.ccg:
	* gio/src/fileinputstream.ccg:
	* gio/src/fileoutputstream.ccg:
	* gio/src/fileoutputstream.hg: Added an overload of query_info_async(),
	* gio/src/outputstream.ccg:
	* gio/src/outputstream.hg: write_async(), splice_async() without
	the Cancellable.

	Patch from José Alburquerque, bug #510080.

2008-01-17  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/file.hg:
	* gio/src/drive.ccg:
	* gio/src/drive.hg: eject(),
	* gio/src/volume.ccg:
	* gio/src/volume.hg: eject(),
	* tools/m4/convert_gio.m4: Wrapped GMountUnmountFlags enum as
	MountUnmountFlags, and used it.

	* gio/src/file.ccg:
	* gio/src/file.hg: unmount_mountable(), eject(): Reorder the
	parameters and add a default flag value.

2008-01-17  Marko Anastasov  <marko.anastasov@gmail.com>

	* gio/src/filterinputstream.ccg:
	* gio/src/filterinputstream.hg:
	* gio/src/Makefile_list_of_hg.am_fragment: Added FilterInputStream.

	Updated svn:ignore properties.

2008-01-16  Murray Cumming  <murrayc@murrayc.com>

	* tools/extra_defs_gen/generate_defs_gio.cc: Added Mount and
	VolumeMonitor.
	* gio/src/gio_signals.defs: Regenerated.

	* gio/src/Makefile_list_of_hg.am_fragment:
	* gio/src/mount.ccg:
	* gio/src/mount.hg: Added Mount
	* gio/src/volumemonitor.hg:
	* gio/src/volumemonitor.ccg: Added VolumeMonitor.

	* tools/m4/convert_gio.m4: Added necessary conversions.

2008-01-16  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/Makefile_list_of_hg.am_fragment:
	* tools/m4/convert_gio.m4:
	* gio/src/filemonitor.hg:
	* gio/src/filemonitor.hg: Added FileMonitor.
	* gio/src/file.hg: Tried to wrap monitor_file() and
	monitor_directory but there is a problem with the GError in
	the generated code.

	* tools/extra_defs_gen/generate_defs_gio.cc: Added GFileMonitor.

2008-01-16  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/seekable.ccg:
	* gio/src/seekable.hg: Added methods and vfuncs (though the .defs
	do not exist for the vfuncs yet.)

2008-01-16  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/file.hg: Added query_file_exists().
	* glib/src/uriutils.hg:uri_unescape_string(), uri_escape_string():
	Change the illegal_characters and reserved_chars_allowed parameters
	to std::string, because they may not be UTF-8
	See bug #508773.

2008-01-15  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/drive.ccg:
	* gio/src/drive.hg:  eject(), poll_for_media()
	* gio/src/volume.ccg:
	* gio/src/volume.hg: mount(), eject():
	Add method overloads that take no slot.

	* glib/src/uriutils.hg: Fix a typo to fix the build.

2008-01-15  Murray Cumming  <murrayc@murrayc.com>

	* glib/src/uriutils.hg: Improved the documentation for uri_unescape_string(),
	based on the improved C documentation.

2008-01-15  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/drive.ccg:
	* gio/src/drive.hg:
	* gio/src/file.ccg:
	* gio/src/file.hg:
	* gio/src/fileenumerator.ccg:
	* gio/src/fileenumerator.hg:
	* gio/src/fileinputstream.ccg:
	* gio/src/fileinputstream.hg:
	* gio/src/fileoutputstream.ccg:
	* gio/src/fileoutputstream.hg:
	* gio/src/inputstream.ccg:
	* gio/src/inputstream.hg:
	* gio/src/outputstream.ccg:
	* gio/src/outputstream.hg:
	* gio/src/volume.ccg:
	* gio/src/volume.hg: *_async() functions: Rearrange the parameters,
	so the (optional) cancellable is always after the slot,
	and so flags and io_priority are always at the end, so they can have
	default values.

2008-01-15  Murray Cumming  <murrayc@murrayc.com>

	* tools/m4/Makefile_list_of_sources.am_fragment:
	* tools/m4/convert_gio.m4:
	* tools/m4/convert_glib.m4:
	* tools/m4/convert_gtkmm.m4: Moved the gio conversions into
	their own .m4 file, to make it easier to find them.

	* gio/src/cancellable.ccg:
	* gio/src/cancellable.hg: Use _WRAP_METHOD() for get_current(),
	which also fixes the refcounting.
	* glib/src/uriutils.hg: Added documentation and default parameter
	values.

2.15.1:

2008-01-12  Murray Cumming  <murrayc@murrayc.com>

	* glib/glibmm.h: Added uriutils.h
	* glib/glibmm/private/Makefile.am: Renamed some variables to
	avoid clashes with the build_shared/ variables, which caused
	a dist failure involving wrap_init.h

2008-01-11  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/appinfo.hg: Added class documentation.
	* gio/src/asyncresult.hg:
	* gio/src/cancellable.hg:
	* gio/src/drive.hg:
	* gio/src/file.hg:
	* gio/src/fileattribute.hg:
	* gio/src/fileenumerator.hg:
	* gio/src/fileicon.hg:
	* gio/src/fileinfo.hg:
	* gio/src/fileinputstream.hg:
	* gio/src/fileoutputstream.hg:
	* gio/src/icon.hg:
	* gio/src/inputstream.hg:
	* gio/src/loadableicon.hg:
	* gio/src/mountoperation.hg:
	* gio/src/outputstream.hg:
	* gio/src/seekable.hg:
	* gio/src/simpleasyncresult.hg:
	* gio/src/volume.hg: Added @newin2p16 to
	the documentation.

	* glib/src/Makefile_list_of_hg.am_fragment:
	* glib/src/uriutils.ccg:
	* glib/src/uriutils.hg: Added wrappers of (some) of
	these new g_uri_* functions. Not yet documented.

2008-01-11  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/file.ccg:
	* gio/src/file.hg: Rename create() to create_file(),
	create_async() to create_file_async() and
	create_finish() to create_file_finish() to slightly
	reduce confusion with the static create*() methods.

2008-01-11  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/Makefile_list_of_hg.am_fragment:
	* gio/src/seekable.ccg:
	* gio/src/seekable.hg: Added the Seekable interface, though it
	has not methods yet.
	* gio/src/fileinputstream.hg:
	* gio/src/fileoutputstream.hg: Derive/implement Seekable.
	* gio/src/icon.hg:
	* gio/src/inputstream.hg:
	* gio/src/loadableicon.hg:
	* gio/src/mountoperation.hg:
	* gio/src/outputstream.hg:
	* gio/src/simpleasyncresult.hg:
	* gio/src/volume.hg: Added class documentation, based on the C
	documentation.

2008-01-10  Marko Anastasov  <marko.anastasov@gmail.com>

	* gio/src/appinfo.ccg:
	* gio/src/appinfo.hg: Wrapped AppInfo and AppLaunchContext, without
	the vfuncs.
	* tools/m4/convert_glib.m4: New conversions.
	The previous comment on build was not valid.

2008-01-10  Marko Anastasov  <marko.anastasov@gmail.com>

	* gio/src/appinfo.ccg:
	* gio/src/appinfo.hg:
	* gio/src/Makefile_list_of_hg.am_fragment:
	Added AppInfo, with only two methods before we see why it
	doesn't get included in the build.

2008-01-10  Marko Anastasov  <marko.anastasov@gmail.com>

	* gio/src/drive.hg:
	* gio/src/drive.ccg: Added poll_for_media, poll_for_media_finish.
	* gio/src/fileinputstream.hg:
	* gio/src/fileoutputstream.hg:
	* gio/src/inputstream.hg:
	* gio/src/volume.hg: Modified *_finish functions to take a const
	AsyncResult.

2008-01-10  Marko Anastasov  <marko.anastasov@gmail.com>

	* gio/src/drive.hg: Added missing capability checking functions.
	* gio/giomm: Updated svn:ignore properties.

2008-01-10  Jonathon Jongsma  <jjongsma@gnome.org>

	* gio/src/mountoperation.hg: api change in reply() virtual function and
	addition of MountOperationResult enumeration
	* tools/m4/convert_glib.m4: add MountOperationResult enum conversion
	* gio/src/gio_enums.defs: re-generate enums
	* gio/src/gio_methods.defs: re-generate methods

2008-01-10  Murray Cumming  <murrayc@murrayc.com>

	* Makefile.am:
	* build_shared/Makefile_build.am_fragment:
	* build_shared/Makefile_build_extra.am_fragment:
	* build_shared/Makefile_build_gensrc.am_fragment:
	* build_shared/Makefile_gensrc.am_fragment:
	* build_shared/Makefile_gensrc_platform.am_fragment:
	Copy (and very slightly adjust) the build_shared/ files from
	gtkmm, which has had multiple sub-libraries for a long time.
	* gio/giomm/Makefile.am:
	* gio/src/Makefile.am:
	* gio/src/Makefile_list_of_hg.am_fragment:
	* glib/glibmm/Makefile.am:
	* glib/glibmm/private/Makefile.am:
	* glib/src/Makefile.am:
	* glib/src/Makefile_list_of_hg.am_fragment:
	Adapt to the structure (variable names, mostly) needed by the
	newer build_shared/ files, so that the giomm library is actually
	built.

	* tools/m4/convert_glib.m4:
	* gio/giomm/init.cc:
	* gio/giomm/init.h:
	* gio/src/asyncresult.ccg:
	* gio/src/drive.ccg:
	* gio/src/drive.hg:
	* gio/src/file.ccg:
	* gio/src/file.hg:
	* gio/src/fileattribute.ccg:
	* gio/src/fileinputstream.hg:
	* gio/src/fileoutputstream.hg:
	* gio/src/volume.ccg:
	* gio/src/volume.hg: Various build fixes, including adding a flags
	parameter to unmount and eject methods.

2008-01-10  Murray Cumming  <murrayc@murrayc.com>

	* gio/giomm.h: Correct an include.
	* gio/src/asyncresult.hg:
	* gio/src/cancellable.hg:
	* gio/src/drive.hg:
	* gio/src/file.hg:
	* gio/src/fileattribute.hg:
	* gio/src/fileenumerator.hg:
	* gio/src/fileicon.hg:
	* gio/src/fileinfo.hg:
	* gio/src/fileinputstream.hg:
	* gio/src/fileoutputstream.hg:
	* gio/src/outputstream.hg:
	* gio/src/simpleasyncresult.hg:
	* gio/src/volume.ccg:
	* gio/src/volume.hg: Correct several includes to use giomm/ instead of
	glibmm/.

	* configure.in:
	* examples/Makefile.am_fragment:
	* tests/Makefile.am_fragment: Include/Link giomm too.

	* tests/Makefile.am:
	* tests/giomm_simple/Makefile.am:
	* tests/giomm_simple/giomm_simple.cc:
	Added a little test, which shows that the library is not being built
	properly - we get undefined symbols.

2008-01-10  Murray Cumming  <murrayc@murrayc.com>

	* tools/extra_defs_gen/generate_defs_gio.cc: Added some types used so
	far. There are probably more that should be added here.
	* tools/extra_defs_gen/generate_extra_defs.cc: get_properties():
	Added warnings and a check to avoid a crash when
	g_object_interface_list_properties() returns a NULL paramspec, but a
	non-null properties count, as is happening with GVolume.
	* gio/src/gio_signals.defs: Generated this from generate_defs_gio.

2008-01-09  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/Makefile_list_of_hg.am_fragment:
	* gio/src/loadableicon.ccg:
	* gio/src/loadableicon.hg: Added this, though no methods or vfuncs are
	wrapped yet.
	* tools/m4/convert_glib.m4:
	* gio/src/fileicon.hg:
	* gio/src/fileinfo.hg: Derive from LoadableIcon and implement it.
	set_modification_time(): Take a const TimeVal.
	* gio/src/fileinputstream.ccg:
	* gio/src/fileinputstream.hg: Added documentation and a version of
	seek() without the cancellable parameter.
	* gio/src/gio_docs.xml: Generated from docextract_to_xml.py so we get
	documentation for methods created by _WRAP_METHOD().

2008-01-09  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/file.ccg:
	* gio/src/file.hg: Added method documentation for most *_async methods.
	See also GTK+ bug #508297.
	Removed one superfluous load_partial_contents_async() method overload.
	* gio/src/fileenumerator.hg: Corrected documentation for close_async().

2008-01-08  Murray Cumming  <murrayc@murrayc.com>

	* configure.in: Uncomment GTKMM_DOXYGEN_INPUT_SUBDIRS to fix the
	reference documentation build (no idea when this happened) and add
	gio to the list of directories.

	* glib/src/optioncontext.ccg:
	* glib/src/optioncontext.hg: Added get_help().

	* gio/src/gio_enums.defs: Regenerated with enums.pl
	* gio/src/gio_methods.defs: Regenerated with h2defs.py.

	* tools/m4/convert_glib.m4:
	* gio/src/fileattribute.hg: Renamed FileAttributeFlags to
	FileAttributeInfoFlags, as it is in gio.

	* gio/src/fileenumerator.hg:
	* gio/src/asyncresult.hg:
	* gio/src/cancellable.hg:
	* gio/src/drive.hg:
	* gio/src/file.hg: Added class documentation, and some method
	documentation, based on the C documentation.
	Many giomm classes still need documentation.

2008-01-08  Murray Cumming  <murrayc@murrayc.com>

	* gio/src/asyncresult.hg:
	* gio/src/cancellable.hg:
	* gio/src/fileattribute.hg:
	* gio/src/fileenumerator.hg:
	* gio/src/fileinputstream.hg:
	* gio/src/fileoutputstream.hg:
	* gio/src/icon.hg:
	* gio/src/inputstream.hg:
	* gio/src/mountoperation.hg:
	* gio/src/outputstream.hg:
	* gio/src/simpleasyncresult.hg:
	Made some whitespace more consistent with the rest of glibmm.
	In particular, white space alignment in .hg files will often be even worse
	when seen in the generated .h files.

	* gio/src/drive.hg: get_icon(),
	* gio/src/file.hg: read(),
	* gio/src/fileicon.hg: get_file(),
	* gio/src/fileinfo.hg: get_icon(),
	* gio/src/volume.hg: get_drive(), get_icon():
	For the const versions, actually return a const RefPtr.

2.15.0:

2007-12-28  Marko Anastasov  <marko.anastasov@gmail.com>

	* tools/extra_defs_gen/generate_defs_gio.cc:
	* tools/extra_defs_gen/Makefile.am: Build a separate extra defs
	generating program for gio. Currently the program would crash
	with get_defs() calls with gio types.
	* configure.in: Define GIOMM_CFLAGS and GIOMM_LIBS.

2007-12-28  Marko Anastasov  <marko.anastasov@gmail.com>

	* gio/src/gio_enums.defs:
	* gio/src/gio_methods.defs: Regenerated with enums.pl and h2defs.py.

2007-12-28  Marko Anastasov  <marko.anastasov@gmail.com>

	* gio/src/icon.ccg:
	* gio/src/icon.hg:
	* gio/src/inputstream.ccg:
	* gio/src/inputstream.hg:
	* gio/src/Makefile_list_of_hg.am_fragment: Added files missing from
	the import.

	Set svn:ignore properties for gio.

2007-12-28  Murray Cumming  <murrayc@murrayc.com>

	* configure.in: Mention the new gio/giommconfig.h in AM_CONFIG_HEADER().
	* gio/Makefile.am: Change references to the giomm-2.0.pc to giomm-2.4.pc.
	* gio/src/Makefile_list_of_hg.am_fragment: Remove icon.hg and inputstream.hg
	because they do not exist in svn.
	* gio/src/outputstream.hg: Comment out set_pending() because gmmproc complains
	about the wrong number of parameters.

	This fixes the build, though I don't know yet if everything is working properly.

2007-12-28  Marko Anastasov  <marko.anastasov@gmail.com>

	* configure.in: Fixed typo.

2007-12-28  Marko Anastasov  <marko.anastasov@gmail.com>

	* gio/*:
	* configure.in:
	* Makefile.am:
	* tools/m4/convert_glib.m4: Checked in sources from giomm. Build
	needs to be fixed to work with scripts in build_shared/.

2007-12-28  Murray Cumming  <murrayc@murrayc.com>

	* glib/glibmm/ustring.h: Added @newin2p16 to compose() and format()
	documentation.
	* glib/src/keyfile.ccg:
	* glib/src/keyfile.hg: set_double_list(): Make the ArrayHandle argument const.
	This could not have been used before.

2007-12-28  Murray Cumming  <murrayc@murrayc.com>

	* glib/src/keyfile.hg: Add class documentation from the glibmm-2-14 branch.

2007-12-28  Murray Cumming  <murrayc@murrayc.com>

	* tools/m4/class_gobject.m4:
	* tools/m4/ctor.m4:
	_INITIALLY_UNOWNED_SINK: Rename from INITIALLY_UNOWNED_SINK,
	for consistency, because this could be used directly from .ccg files
	that use _CONSTRUCT().
	Remove the debug code for the else case.

2007-12-28  Murray Cumming  <murrayc@murrayc.com>

	* tools/m4/class_gobject.m4:
	* tools/m4/ctor.m4:
	Added the _DERIVES_INITIALLY_UNOWNED macro, for use
	after _CLASS_GOBJECT(), if the C type derives
	from GInitiallyUnowned rather than just GObject.
	(Not for use with GtkObject-derived classes).
	This does g_object_ref_sink() so that we get a normally-behaved
	GObject.

2007-12-28  Murray Cumming  <murrayc@murrayc.com>

	* scripts/c_std.m4: Added this, to fix the build. I forgot to
	add this when merging the change from glibmm-2-14 on 2007-10-22.

2007-12-28  Murray Cumming  <murrayc@murrayc.com>

	* glib/glibmm/refptr.h: Use @newin2p16 in the reset() documentation.

2007-12-28  Murray Cumming  <murrayc@murrayc.com>

	* glib/glibmm/refptr.h: Deprecate clear(), replacing it with
	reset(), because people often do treemodel.clear() when they
	mean treemodel->clear(). reset() is consistent with std::auto_ptr<>.

2007-12-28  Daniel Elstner  <danielk@openismus.com>

	* tools/pm/Output.pm (output_wrap_property): Refuse to generate
	a wrapper for a construct-only property which is also write-only,
	and display an error message accordingly. (#436789)

2007-12-28  Murray Cumming  <murrayc@murrayc.com>

	* glib/glibmm/error.cc:
	* glib/glibmm/exception.cc:
	* glib/src/convert.ccg:
	* glib/src/date.ccg: Include glib.h instead of gmessages.h or
	gtestutils.h so this builds with all versions of glib.

2007-12-17  Marko Anastasov  <marko.anastasov@gmail.com>

	* glib/glibmm/exception.cc:
	* glib/glibmm/error.cc:
	* glib/src/date.ccg:
	* glib/src/convert.ccg: Include gtestutils.h instead of gmessages.h
	for g_assert* adapting to glib head.

2007-11-20  Sebastien Bacher  <seb128@ubuntu.com>

	* glib/glibmm/object.cc: fix build issue when using gcc4.3 (#498438)

2007-10-22  Murray Cumming  <murrayc@murrayc.com>

	* Merged this change from 2007-03-03 from the glibmm-2-12 branch, which was
	missing from this branch:
	* configure.in:
	* glib/glibmmconfig.h.in:
	* glib/src/date.ccg:
	* glib/src/date.hg:
	* scripts/Makefile.am:
	* scripts/c_std.m4: Added a test for the case that time_t is equivalent to
	guint32, as seems to be the case on NetBSD-4.99.6/amd64, so we can ifdef-out
	the (deprecated, anyway) Glib::Date::set_time(GTime) method when necessary, because
	GTime is also equivalent to guint32.
	Bug #386990.

2007-10-12  Armin Burgmeier  <armin@openismus.com>

	* tools/m4/base.m4: Added a new section called SECTION_HEADER_FIRST
	that within the header file that is before any generated code (apart
	from the include guards) and a _CONFIGINCLUDE macro that includes a
	file within this section. This is intended to be used with
	g*mmconfig.h so the *_DISABLE_DEPRECATED define is set for deprecated
	classes also when included from other code.

2007-10-05  Philipp Kerling <philipp@gmail.com>

	* tools/extra_defs_gen/generate_extra_defs.cc:
	Also create defs for interfaces, by refing and unrefing them
	temporarily.

2007-09-29  Rémi Cardona  <remi@gentoo.org>

	* configure.in:
	increase the minimum glib requirements.
	Bug #481566.

2007-10-02  Murray Cumming  <murrayc@murrayc.com>

	* glib/glibmm/wrap.cc:
	* glib/glibmm/wrap.h: Replaced wrap_create_new_wrapper()
	(introduced by the last commit) with wrap_create_new_wrapper(),
	allowing us to check that the parent GType actually implements
	the interface. This allows us to return a parent known type
	if it implements the wanted interface.

2007-09-25  Murray Cumming  <murrayc@murrayc.com>

	* glib/glibmm/wrap.cc:
	* glib/glibmm/wrap.h: Added wrap_auto_interface<>(), which should
	be used by wrap() specializations for interfaces, so we create
	instances of the interface even if the derived C type is unknown to
	us.
	* glib/glibmm/signalproxy_connectionnode.h: Do not wrap.h from here
	unnecessarily, to allow us to include objectbase.h in wrap.h,
	needed by the new templated method.
	* tools/m4/class_interface.m4: Use wrap_auto_interface<>()
	instead of wrap_auto() for interfaces.

2007-09-06  Daniel Elstner  <danielk@openismus.com>

	* glib/src/regex.{ccg,hg} (Regex): Some cosmetic cleanup.  Also
	replace C-style casts in default argument values with static_cast<>.
	(escape_string): Wrap missing function.
	(match_full): Rename to and add as overloads of match().
	(match_all_full): Rename to and add as overloads of match_all().
	(split_full): Rename to and add as overloads of split().

2007-09-03  Daniel Elstner  <danielk@openismus.com>

	* glib/glibmm/ustring.cc (ustring::FormatStream::FormatStream): Use
	the global C++ locale instead of forcing the environment's locale
	onto the formatting stream.  This lifts an unnecessary restriction
	at the cost of requiring users to call std::locale::global().
	* glib/glibmm/ustring.h (ustring): Advertise the new compose and
	format API in the class documentation.
	(ustring::format): Correct a couple of cut'n'paste mistakes -- ouch.
	Also add two more overloads so that format() now takes up to eight
	arguments.  Extent the method documentation, too.
	(ustring::Stringify): Explicitly declare the class as noncopyable.
	(ustring::compose): Qualify calls to method ustring::compose_argv()
	in order to avoid surprising name lookup results in the context of
	the template instantiation.

	* docs/reference/Doxyfile.in (PREDEFINED): Add GLIBMM_HAVE_WIDESTREAM
	so that the wide stream I/O operators show up in the documentation.

2007-08-16  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/reference/glibmm_footer.html_fragment,
	docs/reference/glibmm_header.html_fragment: added <div> to doxygen header
	and footer to make it easier to integrate with library.gnome.org, per a
	request by Frederic Peters

2007-08-15  Daniel Elstner  <danielk@openismus.com>

	* glib/glibmm/ustring.{cc,h} (ustring::compose_argv): Rename
	"format" argument to "fmt" to avoid name clashes with the method
	of the same name.
	(ustring::compose): Make the type of each substitution parameter
	a template argument, and invoke ustring::format() implicitly for
	non-string arguments.  Explicit invocation of ustring::format() is
	still necessary in order to apply I/O manipulators to an argument.
	(ustring::Stringify): New auxiliary template class used in the
	implementation of ustring::compose().

	* examples/compose/main.cc (show_examples): Omit explicit calls
	to ustring::format() where possible.

2007-08-12  Daniel Elstner  <danielk@openismus.com>

	* examples/compose: New example demonstrating the message
	compose and format features.
	* examples/compose/main.cc: New file.
	* examples/compose/Makefile.am: New file.

	* examples/Makefile.am (example_dirs): Add compose directory.
	* configure.in (AC_CONFIG_FILES): Add examples/compose/Makefile.

2007-08-12  Daniel Elstner  <danielk@openismus.com>

	* build_shared/Makefile_build.am_fragment (all_includes): Add
	-I$(top_builddir) in order to allow <config.h> to be included.

	* glib/glibmm/ustring.{cc,h}: Include <config.h> for the
	definition of SIZEOF_WCHAR_T.
	(ustring::FormatStream::stream): Replace accessor with template
